libreoffice (1:3.5.4+dfsg2-0+deb7u5) wheezy-security; urgency=high

  * debian/patches/CVE-2015-4551.diff: backport fix for Arbritary
    file disclosure vulnerabbility (CVE-2014-4551)
  * debian/patches/ww8dontwrap.diff: fix 'LibreOffice "Piece Table Counter"
    Invalid Check Design Error Vulnerability' (CVE-2015-5213)
  * debian/patches/coverity-1266485.diff: fix 'LibreOffice "PrinterSetup
    Length" Integer Underflow Vulnerability' (CVE-2015-5212)

    (thanks to Björn Michaelsen for preparing the patches)

  * debian/patches/pStatus-vector-offsets.diff: fix 'LibreOffice Bookmark
    Status Memory Corruption Vulnerability' (CVE-2015-5214)

 -- Rene Engelhard <rene@debian.org>  Fri, 28 Aug 2015 17:24:42 +0200

libreoffice (1:3.5.4+dfsg2-0+deb7u4) wheezy-security; urgency=high

  * debian/patches/CVE-2015-1774-hwpreader-check-reads.patch: fix
    "out of bounds write in hwp file filter" (CVE-2015-1774), backported from
    libreoffice-4-3 branch

 -- Rene Engelhard <rene@debian.org>  Sun, 12 Apr 2015 21:06:40 +0000

libreoffice (1:3.5.4+dfsg2-0+deb7u3) wheezy-security; urgency=high

  * Fix invalid memory writes when importing malformed RTF files
    as per CVE-2014-9093 (Closes: #771163)
  * Set urgency=high accordingly

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 09 Feb 2015 20:42:31 +0100

libreoffice (1:3.5.4+dfsg2-0+deb7u2) stable; urgency=low

  * debian/rules:
    - work around possible failure install-common target with missing
      ca-XV .dirs/.install... (closes: #685723)
    - hack around broken "*" directory in debian/tmp/pkg on kfreebsd-*
      extremely slowing down the install target...

 -- Rene Engelhard <rene@debian.org>  Wed, 29 May 2013 18:31:38 +0200

libreoffice (1:3.5.4+dfsg2-0+deb7u1) stable; urgency=low

  * src/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip: remove
    lib/servlet.jar..

  * debian/patches/fix-view-option.diff: backport fix to fix --view 
    from libreoffice-3-6 (closes: #697723)
  * debian/patches/odk-link-to-jdk-1.5-docs.diff: link to
    http://java.sun.com/j2se/1.5/docs/api instead of /1.4.1/ as the former
    doesn't exist anymore
  * debian/patches/oosplash-wait-for-ProcessingDone.diff: backport from 3.6;
    make oosplash wait for InternalIPC::ProcessingDone (closes: #681185)

  * debian/control.in:
    - remove bogus | python3-uno dependency alternatives. Will properly be back
      with LO 4.0 which supports python3

 -- Rene Engelhard <rene@debian.org>  Sun, 07 Apr 2013 15:33:36 +0200

libreoffice (1:3.5.4+dfsg-4) unstable; urgency=medium

  * debian/control.in:
    - remove obsolete Pre-Depends on ure  (>= 1.5.1+OOo3.1.1-15)
      (by the way closes: #693626)
  * debian/libreoffice-core.bug-control:
    - report-with: fonts-opensymbol instead of transitional ttf-opensymbol

 -- Rene Engelhard <rene@debian.org>  Mon, 19 Nov 2012 00:36:51 +0100

libreoffice (1:3.5.4+dfsg-3) unstable; urgency=high

  * debian/patches/ca-XV-update.diff: update ca-XV translations, thanks
    Jordi Mallach
  * debian/patches/CVE-2012-4233.diff: fix CVE-2012-4233.diff/HTB23106 
  * debian/patches/soffice-bashisms.diff: fix bashism in soffice for
    valgrinding (closes: #690717)
  * debian/patches/he-lucida-sans-unicode.diff: Update default Hebrew font
    from Lucida Sans to Lucida Sans Unicode, thanks Lior Kaplan
  * debian/patches/ure-no-etc-opt-ure.diff: exclude /etc/opt/ure from ure
    search paths (closes: #677601)

  * debian/rules:
    - exclude .desktop from dh_link call to get absolute symlinks
      (closes: #690336)

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Oct 2012 19:20:07 +0200

libreoffice (1:3.5.4+dfsg-2) unstable; urgency=low

  * use xz compression for all binary packages (closes: #687041) 

 -- Rene Engelhard <rene@debian.org>  Sun, 09 Sep 2012 14:45:20 +0200

libreoffice (1:3.5.4+dfsg-1) unstable; urgency=low

  * src/c735eab2d659a96e5a594c9e8541ad63-zlib-1.2.5.tar.gz: remove
    zlib-1.2.5/doc/rfc195{0,1,2}.txt (closes: #685133)

  * debian/rules:
    - fix python3-dev builddep to >= 3.2; 3.1 had a different naming of
      the .pc (without "mu")
  * debian/libreoffice-common.links.in:
    - s/libreofficeoasis/libreoffice-oasis/, thanks Jakub Wilk
      (closes: #683784) 

 -- Rene Engelhard <rene@debian.org>  Fri, 17 Aug 2012 14:45:26 +0200

libreoffice (1:3.5.4-7) unstable; urgency=high

  * debian/patches/CVE-2012-2665*.diff: fix CVE-2012-2665
    ("Multiple heap-based buffer overflows in the XML manifest
     encryption handling code")

  * debian/control.in: drop "| ttf-opensymbol" from -core and -math depends
    (closes: #682462)

 -- Rene Engelhard <rene@debian.org>  Wed, 01 Aug 2012 10:41:17 +0200

libreoffice (1:3.5.4-6) unstable; urgency=medium

  * debian/patches/CVE-2012-2334-clip-max-entries.diff: add additional
    fix for CVE-2012-2334 from Florian Weimer which we missed to apply
    so far..

  * debian/templates/soffice-template.desktop.in: fix Icon= (remove
    obsolete 3), thanks Miros◈aw Zalewski (closes: #678313)
  * debian/control.in: make -filter-mobiledev Break libreoffice-core
    (<< 1:3.5~) (closes: #633929)
  * debian/control.mediawiki.in: add missing epoch to -core dependency
  * debian/rules: re-enable -gcj

 -- Rene Engelhard <rene@debian.org>  Tue, 17 Jul 2012 20:21:31 +0200

libreoffice (1:3.5.4-5) unstable; urgency=low

  * debian/patches/evolution-3.4.diff: as name says,
    add libebook-1.2.so.13

  * debian/python{,3}-uno.NEWS: add missing ) 
  * debian/*.bug-script: add -draw to libreoffice report-with:;
    report libreoffice-script-provider-python with python(3)-uno

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Jun 2012 00:43:59 +0200

libreoffice (1:3.5.4-4) unstable; urgency=high

  * debian/patches/make-shortcuts-in-menus-localized-again.diff:
    backport from libreoffice-3-5; as name says, regression from 3.5.3
  * debian/patches/fix-legacy-report-opening.diff: backport fixes from
    libreoffice-3-5; as name says
  * debian/patches/s390-remove-fsigned-char.diff: move ...
  * debian/patches/fix-signed-char-mess.diff: ... here and add same
    fixes for gbuild modules - and m68k ;)

  * debian/rules:
    - re-enable Base on armel/armhf; apparently also fixed by
      yyinput-fix-for-unsigned-char.diff 
    - remove i386/amd64 special-casing, run junit checks on all archs
    - remove obsolete rm -rf preventing -report-builders contents getting
      packaged, thanks Björn Michaelsen for pointing out the empty package
  * debian/changelog: 
    - mention recent security fixes in respective changelog entries

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Jun 2012 22:36:47 +0200

libreoffice (1:3.5.4-3) unstable; urgency=medium

  * debian/patches/ppc-readd-fsigned-char.diff: sigh. actually breaks.
    revert.
  * debian/patches/s390-remove-fsigned-char.diff: remove -fsigned-char
    to fix smoketest

  * debian/rules:
    - re-enable extensions on s390(x)
    - actually enable evolution on s390x - and don't ship an empty package
      if -evolution is disabled

 -- Rene Engelhard <rene@debian.org>  Wed, 06 Jun 2012 16:43:09 +0200

libreoffice (1:3.5.4-2) unstable; urgency=medium

  * debian/patches/ppc-readd-fsigned-char.diff: backport
    7ef203d2bf72f7d96fd10d1297af06e82550a1c4 from master, as name says

  * debian/rules:
    - sigh. fix $(error clause in gcj builds

 -- Rene Engelhard <rene@debian.org>  Tue, 05 Jun 2012 15:13:17 +0200

libreoffice (1:3.5.4-1) unstable; urgency=medium

  * LibreOffice 3.5.4 final (identical to rc2)

  * upload to unstable

  * debian/patches/tests-fix-build-with-jdk7.diff: backport root fix
    7e6a58014864ddafe534ed7a08ecca75fa4e4860 from libreoffice-3-5;
    remove other parts ...
  * debian/patches/jdk7.diff: ... and move here. Also add internal hsqldb
    buildfix.
  * debian/patches/fix-Test-BigPtrArray-on-64bit-bigendian.diff: backport test
    fix from Fedora, should fix s390x (closes: #666746), thanks Aurelien
    Jarno
  * debian/patches/yyinput-fix-for-unsigned-char.diff: add from Fedora;
    Fixes database opening tables on ppc if -fsigned-char is removed

  * debian/rules:
    - exclude s390(x) from OOO_REPORTDESIGN_ARCH to not make "libreoffice"
      depend on -report-builder-bin there as extensions (and also
      -report-builder-bin) are disabled there.
    - re-enable Base on powerpc et al. (closes: #667047)

  * merge from Ubuntu:
    - add control tags as per 'firefox distro add-on support'-spec 

 -- Rene Engelhard <rene@debian.org>  Mon, 04 Jun 2012 13:16:25 +0200

libreoffice (1:3.5.4~rc2-1) experimental; urgency=low

  * new upstream release candidate

  * debian/rules: 
    - really disable -gcj package completely (not just empty package) 
    - surrender and disable mozilla plugin. broken again for whatever
      non-LO reason.

 -- Rene Engelhard <rene@debian.org>  Sat, 26 May 2012 10:36:27 +0200

libreoffice (1:3.5.4~rc1-1) experimental; urgency=low

  * new upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Thu, 17 May 2012 23:24:57 +0200

libreoffice (1:3.5.3-3) unstable; urgency=low

  [ Rene Engelhard ]
  * debian/patches/ignore-sc_cellrangesbase-fails.diff:
    make .IGNORE actually work
  * debian/patches/wiki-publisher-add-missing-xsls.diff:
    add missing .xsls for -wiki-publisher 
  * debian/rules:
    - (temporarily) stop building -gcj even on kfreebsd-* to be able to get into
      testing (otherwise gcc-defaults is blocking...)
  * debian/mysqlcppconn-mysqlclient-SONAME.diff: move ...
  * debian/mysqlcppconn-libmysqlclient-SONAME.diff: ... and dynamically determine
    libmysqlclient_r.so.XX in internal mysqlcppconn

  [ Andreas Beckmann ]
  * debian/shell-lib-extension.sh: set HOME to $INSTDIR also for
    unopkg list --bundled  (Closes: #669271). Most probably also
    closes: #619263 as $HOME isn't touched anymore.

 -- Rene Engelhard <rene@debian.org>  Tue, 15 May 2012 00:22:05 +0200

libreoffice (1:3.5.3-2) unstable; urgency=low

  * upload to unstable

  * debian/patches/mozilla-profile-absolute-paths.diff: add patch from
    libreoffice-3-5 branch to respect absolute paths for mozilla profile
    (closes: #659733) 
  * debian/patches/more-robust-nss-initialization.diff: add patch from
    master to fall back to without profile if path is invalid or profile
    does not exist
  * debian/patches/fix-bean.diff: add patch from master to fix bean after
    switching to gbuild

 -- Rene Engelhard <rene@debian.org>  Mon, 07 May 2012 19:11:04 +0200

libreoffice (1:3.5.3-1) experimental; urgency=low

  * LibreOffice 3.5.3 final (identical to rc2)

  [ Rene Engelhard ]
  * debian/patches/ignore-sc_cellrangesbase-fails.diff: as it says; gives
    OK but (sometimes!) segfaults after it.
  * debian/patches/smoketest-disable-db-insert-delete-seek-tests.diff: move ...
  * debian/patches/disable-db-tests.diff: ... here and also disable dbaccess
    complex patch if Base disabled
 
  * debian/rules: 
    - guard libdbalo.so mv with feq PACKAGE_BASE=y...
    - use make -k check

  [ Björn Michaelsen ]
  * add missing mimetypes to impress.desktop (LP: #904212)

 -- Rene Engelhard <rene@debian.org>  Wed, 02 May 2012 00:45:13 +0200

libreoffice (1:3.5.3~rc2-1) experimental; urgency=low

  * new upstream release candidate

  * debian/patches/gcc-4.4.dif: fix gtk3 build with gcc 4.4

  * debian/rules:
    - only ship (and build) unowinreg.dll for i386/amd64. Probably not used
      on other archs and it saves us the g++-mingw-w64-i686 build-dep there 
    - use gcc 4.4 on mips a) for consistency b) as 3.5.3~rc1-1 bus errord on
      ball, too
    - readd move of libdbalo.so to -base-core (closes: #670350)
  * debian/shell-lib-extension.sh: also set HOME to $INSTDIR for unopkg
    (as -env=UserInstallation doesn't work (anymore) - closes: #669271
  * debian/libreoffice-common.postrm.in: fix typo to actually try to rm -rf
    /var/lib/libreoffice/share/prereg

 -- Rene Engelhard <rene@debian.org>  Wed, 25 Apr 2012 03:09:29 +0200

libreoffice (1:3.5.3~rc1-1) experimental; urgency=low

  * new upstream release candidate
    - additional fixes for png for SA47244/CVE-2012-1149

  [ Rene Engelhard ]
  * debian/rules:
    - build-depend on new g++-mingw-w64-i686 instead of the whole thing
    - use gcc 4.4 on mipsel
  * debian/libreoffice-common.links: move ...
  * debian/libreoffice-common.links.in: ... here again as we need to
    subsitute @OODIR@ (closes: #669138)

  [ Björn Michaelsen ]
  * add visio mimetype to libreoffice draw desktop file

 -- Rene Engelhard <rene@debian.org>  Sat, 21 Apr 2012 15:54:28 +0200

libreoffice (1:3.5.2-4) unstable; urgency=medium

  * debian/patches/icu-4.9.diff: backport fix from libreoffice-3-5
    for ICU >= 4.9 support 
  * debian/patches/fix-system-lpsolve-build.diff: use -Wl$(COMMA)-rpath as
    otherwise gbuild strips everything after the , away;
    makes it actually set the rpath and fixes gcc 4.7 build
  * debian/patches/tests-fix-build-with-jdk7.diff: fix tests (connecticity
    and dbaccess) build with OpenJDK7 for some modules, thanks Douglas Mencken
    for the hint. Not complete yet so this disables sfx2,sw,unoxml tests for
    jdk7
  * debian/patches/gcc-4.7.diff: add also fix for sal/qa/osl/osl_Mutex.cxx
  * debian/patches/disable-sc-sw-unoapi-subsequentcheck-for-now.diff: move ..
  * debian/patches/disable-unoapi-subsequentcheck-for-now.diff: ... here and
    disable all unoapi tests, still too flaky (should be better in master...)

  * debian/rules:
    - readd gcc-$(GCC_VERSION), g++-$(GCC_VERSION) build-deps if
      GCC_VERSION != ""....
    - actually add epoch to libqt4-dev builddeps...
    - revert JDK7 test workaround from last upload again
    - build-depend on make >= 3.81-8.2 instead of 3.82 now that sid is also fixed;
      PARALLEL_BUILD=y again
  * debian/python{,3}-uno.preinst.in: only run extension stuff when upgrading
    from version where the extension was here ...
  * debian/libreoffice-script-provider-python.preinst.in: ... and copy
    (old version) here
  * debian/control.in:
    - readd libreoffice-core (<< 1:3.5~), libreoffice-common (<< 1:3.5~)
      conflicts again (lost when moved to -script-provider-python) to help
      upgrades (closes: #666523)
    - make libreoffice-core Pre-Depend on ure
  * debian/debian/shell-lib-extensions.sh: run unopkg list before trying
    to sync; hopefully catches cases where unopkg doesn't (yet) work 
    (closes: #668193)

 -- Rene Engelhard <rene@debian.org>  Mon, 16 Apr 2012 09:02:21 +0200

libreoffice (1:3.5.2-3) unstable; urgency=low

  * brown paper bag release;
    rebuild .dsc/.debian.tar.gz with correct gcc epoch in
    Build-Conflicts: and with proper arch-qualifiers...
 
  * debian/rules:
    - use gnutls for neon again
    - disable junit tests on OpenJDK7-using archs, building
      fails
    - add ulimit -c unlimited before make check call to catch
      backtraces on sporatic soffice.bin crashes "failing" the build;
      build-depend on gdb if RUN_MAKE_CHECK=y

 -- Rene Engelhard <rene@debian.org>  Wed, 11 Apr 2012 13:44:02 +0200

libreoffice (1:3.5.2-2) unstable; urgency=low

  * debian/patches/gcc-4.7{,-i386.-amd64}.diff: backport gcc 4.7 build and
    runtime(!) fixes for i386/amd64 from master
  * debian/patches/odk-jni-include.diff: remove ...
  * debian/patches/safe-jni-h-include.diff: ... in favour of this using
    gcj --print-file-name include/jni.h. thanks doko

  * debian/shell-lib-extensions.sh, debian/*bug-script.in:
    use --bundled instead of --shared; that's what we do and without bundled
    we don't get the info with unopkg list
  * debian/rules:
    - strip ure from uno-libs3.substvars again after the .symbols change
      (closes: #667465)
    - remove hack to use same gcc version as gcj version again
    - build-depends on libqt4-dev (>= 4.8) if SYSTEM_GCC_VERSION is 4.7...
  * debian/libreoffice-core.preinst.in: silence rmdir 
  * debian/rules, debian/control.in, debian/*.triggers.in,
    debian/scripts/gid2pkgdirs.sh: split script-provider-for-python out of
    python(3)-uno out to libreoffice-script-provider-python where it belongs
  * debian/control.in:
    - build-conflict against
      gcc (>= 4:4.7~) [!i386 !amd64 !kfreebsd-i386 !kfreebsd-amd64], 
      g++ (>= 4:4.7~) [!i386 !amd64 !kfreebsd-i386 !kfreebsd-amd64]

 -- Rene Engelhard <rene@debian.org>  Sat, 07 Apr 2012 14:30:41 +0200

libreoffice (1:3.5.2-1) unstable; urgency=low

  * LibreOffice 3.5.2 final (same as rc2)

  * debian/patches/gtk3-hack-explicit-gmodule.diff: explicitly link to
    gmodule, as we otherwise get undefined references to g_mdoule_ in the
    gtk3 VCLplug...
  * debian/patches/debian-hardened-buildflags.diff: remove extraneous ""'s
    breaking the build on ia64 as the hardened LDFLAGS is empty there

  * debian/rules:
    - enable Base stuff on s390x again, libebook1.2-dev available now 
    - (temporarily?) build with libneon-dev (openssl) to work around #667043
  * debian/uno-libs3.lintian-overrides:
    - override shlibs-declares-dependency-on-other-package and
      symbols-declares-dependency-on-other-package
  * debian/control*.in:
    - make extensions conflicts against libreoffice-core (<< 1:3.5~),
      libreoffice-common (<< 1:3.5~) to (hopefully) help unopkg be working
      when called on upgrades 3.4 -> 3.5 (closes: #666523) 
  * debian/control{,.lang}.in:
    - suggest libreoffice-grammarcheck{,-@LCODE@} (e.g. provided by
      lightproof) 

 -- Rene Engelhard <rene@debian.org>  Wed, 04 Apr 2012 09:25:32 +0200

libreoffice (1:3.5.2~rc2-1) unstable; urgency=low

  * new upstream release candidate
    - fixes gvfs build for glib (closes: #665574)
    - avoids looping on busted escher records e.g. ppt (CVE-2012-2334)

  * upload to unstable

  * debian/rules:
    - make make check failure abort again 
    - readd apparently lost explicit --with-num-cpus=1 when PARALLEL_BUILD=n,
      the configure check apparently doesn't prevent us from failing (anymore)
  * debian/rules, debian/uno-libs3.symbols:
    - add ure dependency for stuff linked to uno-libs3, too

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Mar 2012 08:18:15 +0200

libreoffice (1:3.5.1-1) experimental; urgency=low

  [ Rene Engelhard ]
  * new upstream release
    - fixes up excessive numbers of "JRE is defective" messages
      (closes: #602127)
    - fixes populating "Recent Documents" after a profile upgrade
      (closes: #660185)
    - fixes nsplugin to create a correct
      com.sun.star.ucb.SimpleFileAccess instance (closes: #661747)
    - disables problematic reading of external entities in internal
      raptor copy (CVE-2012-0037)

  * debian/patches/armhf-bridges-doubles.diff: some more armhf fixes
    (+ testcase) from master
  * debian/patches/debian-hardened-buildflags.diff: use hardened
    buildflags from dpkg-buildflags (closes: #656643)
  * debian/patches/debian-opt.diff: fix to actually make test and grep
    work
  * debian/patches/bibliography-no-crash-if-no-base.diff: backport fix
    from libreoffice-3-5 to not crash Tools -> Bibliography if -base isn't
    installed (closes: #602953, #598809)
  * debian/patches/pyuno_fix_python2.diff: backport from libreoffice-3-5.
    As name says, fix breakages in python2 after python3 fixes

  * debian/rules: rename ext-sources to src, as done upstream
  * debian/control.fonts.in: make ttf-opensymbol Priority: extra, thanks
    lintian
  * debian/rules:
    - --with-mingw -> --with-mingw-cross-compiler; remove obsolete
      "export MINGWSTRIP" hack 
    - don't set ENABLE_SDBC_POSTGRESQL=n when building no extensions, as
      this isn't an extension anymore
    - remove obsolete "export MINGWSTRIP" hack 
    - fix (>= 1.1.9) for libcommons-logging-java to actually work, thanks
      Rico Tzschichholz
    - chmod 755 setsdkenv_unix
    - also disable graphite on alpha (closes: #661294)
    - actually filter-out also armhf and powerpc powerpcspe ppc64 s390x for
      OOO_REPORTDESIGN_ARCHS
    - remove -O0 setting via ARCH_FLAGS, already handled by debian-opt.diff
  * debian/control.in: build-conflict against
    libc0.1-dev (= 2.13-26) [kfreebsd-i386 kfreebsd-amd64]
  * debian/control.mozilla.in: stricten dependencies to 3.5, thanks
    Mario Holbe for the observation 
  * debian/rules, debian/control.mozilla.in: update nsplugin conditional
    to actually disable nsplugin build (and get rid of xulrunner-dev build-dep)
    if disabled 
  * debian/*.triggers, debian/*.prerm.in:
   - add activate triggers for /usr/lib/libreoffice/share/extensions to
     the respetive extensions. Run sync_extensions after rm -rf'ing the
     dir already in preinst (upgrade) (closes: #658646)

  [ Bjoern Michaelsen ]
  * debian/patches/fix-quickstart-shutdown.diff: fix logout with
    quickstarter (closes: #632920, #605268)

 -- Rene Engelhard <rene@debian.org>  Mon, 12 Mar 2012 22:15:54 +0100

libreoffice (1:3.5.0-2) experimental; urgency=low

  [ Rene Engelhard ]
  * debian/patches/armhf-bridges*.diff: add armhf bridges fixes from
    Jani Monoses (LP: #900636)
  * debian/patches/revert-468fe685e3c58c84bce6d9a48b931dcc21682679.diff:
    remove, obsolete
  * debian/patches/icu-arm.diff: fix internal icu build on arm.
  * debian/patches/move-binfilter-mimetypes-in-extra-desktop-file.diff:
    as name says; imported from Fedora
  * debian/patches/passwordTest-test-old-password-algorith-too.diff: as name
    says (see fdo#45171 and #659733/#659720)
  * debian/patches/getMIMEDescription-mismatch.diff: update with proper
    ./configure check, thanks Lubok Lunak...; also update internal header

  * debian/rules:
    - remove obsolete (and buggy) conditional icu-on-arm-fails breaking
      the build
    - apply patch from Rico Tzschichholz to update some configure flags
      to new names in 3.5.x; remove some obsolete ones
    - don't try to mv libvclplug_gtk3.so if not built, thanks Rico
      Tzschichholz again
    - disable base (libebook1.2-dev missing and nsplugin (xulrunner-dev
      missing) on s390x
    - disable *all* extensions on s390*, extension mechanism broken
  * debian/source/components: remove, unused and causes lintian error
 
  [ Bjoern Michaelsen ]
  * debian/libreoffice-common.postrm.in: remove mismerged superfluous fi
    (closes: #660580)

 -- Rene Engelhard <rene@debian.org>  Wed, 22 Feb 2012 08:34:06 +0100

libreoffice (1:3.5.0-1) experimental; urgency=low

  * LibreOffice 3.5.0 final release (identical to rc3)

  * debian/patches/no-rcX-in-final.diff: don't show rc3, it's not a rc
    amymore...
  * debian/patches/patches/make-gengal-work-again.diff: register gengal.bin
    executable to get proper rpath and remove gengalrc
  * debian/patches/odk-fix-rdb-paths.diff: backport fix to fix rdb path
    in settings/std.mk in the SDK

  * debian/rules:
    - install found .gdb-py files into respective -dbg packages 
    - add additional libpoppler-private-dev build-dep for new popplers
  * debian/control.in, debian/libreofice-common.p*:
    apply patch from Colin Watson to use Pre-Depends rather than
    'dpkg-maintscript-helper supports' guards (closes: #659867)
  * debian/watch: point to download.documentfoundation.org/libreoffice/src
    instead of dev-builds

 -- Rene Engelhard <rene@debian.org>  Tue, 14 Feb 2012 17:56:49 +0000

libreoffice (1:3.5.0~rc3-1) experimental; urgency=low

  * new upstream release candidate

  * debian/patches/SwTblBoxFormula-destructor.diff: work around link error
    on armel by specifying explicit SwTblBoxFormula destructor, thanks
    Michael Meeks
  * debian/patches/ia64-oox-size.diff: build oox on ia64 with -Os
    as otherwise it gets too big to link
  * debian/patches/mediwiki-oor-replace.diff: replace oor:fuse by oor:replace
    for -wiki-publishers config (hopefully closes: #616011)

  * debian/rules:
    - give gb_FULLDEPS= to actual make check call, not debian/rules
      check
    - simplify -dbg/--enable-symbols conditionals
    - build with default boost again but add build-dep on g++-4.6 (>= 4.6.2-12)

 -- Rene Engelhard <rene@debian.org>  Sat, 04 Feb 2012 11:27:46 +0100

libreoffice (1:3.5.0~rc2-2) experimental; urgency=low

  * debian/rules:
    - fix another merge error to really fix patch rule in check 
    - enable ca-XV, put into -{l10n,help}-ca

 -- Rene Engelhard <rene@debian.org>  Sun, 29 Jan 2012 17:00:47 +0100

libreoffice (1:3.5.0~rc2-1) experimental; urgency=low

  * new upstream release candidate 

  * debian/rules:
    - fix patch rule in check
    - fix merge errors: $(ARCH) -> $(DEB_HOST_ARCH)
    - install full changelog only for packages with the same name in OOo
      times; strip pre-libreoffice entries otherwise.
    - (re-)enable -script-provider-js
  * debian/libreoffice-common.postrm.in: fix merge:
    @OOBRANDDIR@/@OOBASISDIR@ -> @OODIR@ 

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Jan 2012 09:23:07 +0000

libreoffice (1:3.5.0~rc1-1) experimental; urgency=low

  * new upstream release candidate 

  * debian/patches/gbuild-JavaClassSet-honour-JAVAFLAGS.diff: honour
    JAVAFLAGS (-source 1.5 -target 1.5)

  * debian/rules:
    - fix Java stuff in SDK install (don't remove /usr/share/libreoffice/sdk)
    - work around smoketest failure; disable base for powerpc(spe)/ppc64 as
      for armel
    - switch to .xz tarballs, upstream will only provide those...

  * merge from ubuntu-precise-3.5:
    - re-enable junit tests

 -- Rene Engelhard <rene@debian.org>  Fri, 20 Jan 2012 10:19:36 +0000

libreoffice (1:3.5.0~beta3-1) experimental; urgency=low

  * new upstream beta release

  * debian/patches/fix-ARM-detection-in-set-soenv.diff: fix for armhf...
  * debian/patches/revert-468fe685e3c58c84bce6d9a48b931dcc21682679.diff:
    fix armhf build in bridges...
  * debian/patches/ppc-fix-soffice.sh.diff: make soffice.sh on ppc correct
  * debian/patches/jdbc-driver-threading.diff: backport fix for
    Attach/Detach-CurrentThread slowness from libreoffice-3-5
    (closes: #644957)

  * debian/libreoffice-core.preinst.in:
    - rm -f /var/lib/libreoffice/basis3.4/program/services.rdb on upgrade
      (and for safety on install, too) (closes: #650341) 
  * debian/libreoffice-{common,core}.postrm.in:
    - on remove, remove all /var/lib content on remove (prereg/bundled
      basisX.Y)
  * debian/rules:
    - stop creating a dependency on ure for uno-libs3 in .shlibs, use
      uno-libs3 instead
    - specify correct --with-servlet-api= after recent libcommons-logging-java
      changes 
  * debian/uno-libs3.symbols:
    - use uno-libs3, not ure as dependency
  * debian/control.ure.in:
    - remove obsolete cli-uno-bridge Suggests

  * merge from ubuntu-precise-3.5:
    - add debian multiarch support for Qt4
    - no dependencies needed for full builds
      + propagate gb_FULLDEPS
    - get rid of obsolete BrOffice specialcasing (LP: #884786)
    - enable l10n
  * merge from libreoffice_3.5.0_beta2-2ubuntu2
    - enable gio, disable gvfs 

 -- Rene Engelhard <rene@debian.org>  Tue, 17 Jan 2012 10:03:24 +0000

libreoffice (1:3.5.0~beta2-2) experimental; urgency=low

  * debian/patches/fix-ARM-detetcion-in-set-soenv.diff: as name says
  * debian/patches/make-package-modules-not-suck.diff: add missing , so
    that kde4be1.uno.so correctly ends up in -kde

  * debian/smoketest/patches/smoketest-disable-db-insert-delete-seek-tests.diff,
    debian/rules: make patch apply again
 
  * debian/rules:
    - force boost to 1.46 due to ICE with 1.48  
    - prevent creating bogus gcc- build-dependency on gcj archs

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Dec 2011 00:11:06 +0100

libreoffice (1:3.5.0~beta2-1) experimental; urgency=low

  [ Rene Engelhard ]
  * new upstream beta release
    - fixes SA47244/CVE-2012-CVE-2012-1149
    ("LibreOffice Integer Overflow" when allocation memory for images)

  * debian/*:
    - use "core" sources, no libreoffice-build anymore. Loads of updates.

  * debian/patches/*: move from patches/hotfixes to patch the code
    directly without libreoffice-build

  * debian/rules, debian/vars.*, debian/*.links.in:
    - loads of updates for new envfile name and gone LIBSUFFIX
  * debian/rules:
    - enable new build against Gtk3
    - bump python b-d to >= 2.6 as we don't work with earlier anymore.
      Also build python3-uno
    - add new conditionals and build-deps for new (libvisio,librsvg,gettext,
      libcmis) libraries and libexttextcat switch - and those we needed to move
      from libreoffice-builds' distro-configs. Adapt for changed configure
      options
    - add new conditionals and build-deps for new libvisio,librsvg,gettext,
      libcmis usage and libexttextcat switch - and those we needed to move
      from libreoffice-builds' distro-configs
    - run new "make check" instead of solenv/bin/subsequenttests and
      manual smoketest
    - remove fakeroot hackaround
  * debian/rules, debian/make-package-modules-not-suck.diff: migrate loads of
    mv's in debian/rules to proper scp2 patches
  * debian/rules, debian/control.in: 
    - move from self-defined UPSTREAM_VERSION/ARCH etc. to use
      /usr/share/dpkg/*.mk
  * debian/control.in:
     - update descriptions for new Gtk(3) print dialog
    - move libreoffice, libreoffice-l10n-{in,za} to new metapackages
      section
  * debian/control.fonts.in: ttf-opensymbol should be in oldlibs, thanks
    lintian
  * debian/patches:
     - migrate reportdesign-mention-package.diff from libreoffice/build
     - migrate jdbc-driver-classpaths.diff from libreoffice/build
     - migrate mysqlcppconn-mysqlclient-SONAME.diff from libreoffice/build
     - migrate system-python-{ure-bootstrap,uno-path}.diff and
       pyuno-ooodir.diff from libreoffice/build
     - migrate split-icons-search-usr-share.diff from libreoffice/build
  * debian/vars.armhf: add

  [ Bjoern Michaelsen ]
  * debian/rules:
    - set CURDIR before first use and use safe method to set it
    - update GIT_ vars, add GIT_BASEURL for local mirrors
    - update get-orig-source
    - build needs the ext-sources
  * debian/README:
    - update most outdated README sections
  * debian/patches:
    - migrate mention-java-common-package.diff from libreoffice/build
    - migrate help-msg-add-package-info.diff from libreoffice/build
    - update help-msg-add-package-info.diff, replace openoffice.org with
      libreoffice
    - migrate sensible-ooomua.diff from libreoffice/build and rename to
      sensible-lomua; add icedove and thunderbird as fallbacks
    - migrate sensible-browser.diff from libreoffice/build

 -- Rene Engelhard <rene@debian.org>  Tue, 27 Dec 2011 10:16:18 +0000

libreoffice (1:3.4.4-2) unstable; urgency=medium

  * debian/patches/libebook-1.2.so.11.diff: remove ...
  * debian/patches/libebook-1.2.so.12.diff: ... for this and update
    accordingly (evolution 3.2)
  * debian/patches/wordml2ooo_draw.xsl-add-missing-include.diff: backport
    patch from master to add missing include (closes: #648250)

  * debian/rules:
    - recommend fonts-thai-tlwg instead of ttf-thai-tlwg (closes: #648785)
    - disable mono in prepartion for mono transition
  * debian/control.in, debian/rules:
    - correctly disable SRB on gcj-archs
  * debian/rules, debian/control.fonts.in:
    - rename ttf-opensymbol to fonts-opensymbol

 -- Rene Engelhard <rene@debian.org>  Mon, 21 Nov 2011 22:35:03 +0000

libreoffice (1:3.4.4-1) unstable; urgency=low

  * New upstream release
    - repackage liblayout and seamonkey in ext-sources to remove
      RFC/I-Ds (closes: #645753)

  * debian/patches/update-sdbc-postgresql.diff: update to 0.8.1
  * debian/patches/update-libreoffice.1.diff: update libreoffice.1 for
    new long parameters (closes: #646800)

  * debian/rules:
    - don't try to use internal jfreereport on ia64; disable the SRB
      instead.
    - fix USE_SYSTEM_TEXTCAT_DATA for squeeze
    - change debug in DEB_BUILD_OPTIONS not to do -g only but also
      --enable-debug
  * debian/watch:
    - point to libreoffice-bootstrap-(\d.\d.\d).\d.tar.bz2 in debian/watch;
      does not suffice but we should reference the source and not binaries
  * debian/rules, debian/*.menu.in:
    - also add icon version to debian menus (closes: #645953)
  * debian/control.in:
    - remove suggests on menu (closes: #647371) 
 
 -- Rene Engelhard <rene@debian.org>  Mon, 07 Nov 2011 23:33:54 +0100

libreoffice (1:3.4.3-4) unstable; urgency=low

  * debian/patches/poppler-0.17.x.diff: backport patches from master to
    make pdfimport build with poppler 0.17.x
  * debian/patches/update-sdbc-postgresql.diff: add check for
    PQconnectdbParams in -lpq

  * debian/rules:
    - use jh_classpath instead of manual MANIFEST.MF hacking for jurt.jar 
    - build-depend on libpoppler-cpp-dev
    - fix libsslX.Y.Z in -dbgs suggests for multiarch
    - use internal jfreereport on squeeze-backports
    - keep -g1 on squeeze-backports
    - use mingw-w64 for unowinreg.dll build (closes: #642954)
    - build-dep on libpq-dev (>= 9.0~) for PQconnectdbParams
    - add libhunspell-1.3-0-dbg to DBG_DBG_SUGGESTS
    - remove PYTHON_HELPER conditional, we use dh_python2 anywhere and
      lintian just spits out false positives...

  * merge from ubuntu-oneiric-3.4:
    - hard hack to make upload happy: Pre-Depends on xz-capable dpkg
      for -dbg

 -- Rene Engelhard <rene@debian.org>  Sat, 08 Oct 2011 12:08:04 +0200

libreoffice (1:3.4.3-3) unstable; urgency=low

  * debian/patches/jdk-1.7.0-vendorname.diff: backport from master; allow
    "Oracle Corporation" JDK >= 1.7.0 (closes: #642425)
  * debian/patches/s390x.diff: add patch from aurel32 to fix build on s390x
    (closes: #642951)

  * debian/rules:
    - build against "normal" pentaho libraries again, in new upstream versions
      (closes: #641594)
    - build with -g on {,kfreebsd}{i386,amd64} (similar to linux-2.6's -dbgs)
      as policy says. Compress with xz
    - allow openjdk 7; build against it on ia64 even when the rest is at 6
    - stop building -gcj on all openjdk-archs, keep it on gcj-using archs
    - build with gcc 4.6 again, add build-conflicts on g++ 4.6.1-10 and -11

  * merge from ubuntu-oneiric-3.4:
    - fixing crash on closing document with footnotes (LP: #854626)
    - fixing crash on screen resolution change (LP: #852819)

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Sep 2011 13:41:27 +0200

libreoffice (1:3.4.3-2) unstable; urgency=medium

  [ Rene Engelhard ]
  * debian/patches/no-deprecated-options-in-qstart-wrappers.diff: use --writer
    instead of -writer (closes: #638868)
  * debian/patches/fix-sample-icc-1.3.2-patch.diff: backport from master:
    re-enable patch hunk to fix PDF A/1-a export on 64bit archs, thanks lmamane
    for the patch (closes: #633480)
  * debian/patches/update-sdbc-postgresql.diff: update SDBC PostgreSQL
    driver to Lionels new LibreOffice version.
  * debian/patches/handle-NULL-display-gracefully.diff: backport from
    libreoffice-3-4

  * debian/control.in:
    - remove obsolete Pre-Depends on debconf in ure 
    - add Breaks: on incompatible -cores on -common (basis-link symlink)
      (closes: #641357)
  * debian/control.postgresql.in: add (>= 8,4) to postgresql suggests to make
    more visible that we need >= 8.4 of PostgreSQL. Update Homepage for new
    LibreOffice location
  * debian/control.reportdesign.in: make -report-builder depend on
    -report-builder-bin (>= ${base-version}) (closes: #640900)
  * debian/rules: 
    - re-enable -sdbc-postgresql
    - fix adding PYTHONPATH to unopkg (closes: #625878)
    - temporarily build with gcc 4.5 as gcc 4.6.1-10 breaks the vcl build
  * debian/libreoffice-common.links, debian/rules:
    - fix mimetype icon links for hicolor (closes: #641860)

  [ Lionel Elie Mamane ]
  * debian/rules: we need translate-toolkit (>= 1.9.0)

 -- Rene Engelhard <rene@debian.org>  Sat, 17 Sep 2011 08:28:13 +0000

libreoffice (1:3.4.3-1) unstable; urgency=low

  * New upstream release
    - fixes Out-of-bounds read in DOC sprm (CVE-2011-2713)

  * debian/patches/fdo35784.diff: add patch from fdo35784, thanks lmamane
  * debian/patches/mipsel-jfw-plugin-arch.diff: fix JFW_PLUGIN_ARCH
    (s/mips32/mipsel/) in jvmfwk for mipsel, thanks Aurelien Jarno 
  * debian/patches/oosplash-javaldx-path.diff: fix javaldx path in oosplash
    (closes: #637829)

  * debian/rules:
    - try build with openjdk on mipsel again now that jvmfwk knows the
      correct arch 
    - fix SYSTEM_STUFF for ENABLE_JAVA=n 
    - don't try to run dh_nativejava if ENABLE_JAVA=n
    - adapt for /usr/lib/jvm/java-6-openjdk -> /usr/lib/jvm/java-6-openjdk-$ARCH
      move in OpenJDK

 -- Rene Engelhard <rene@debian.org>  Wed, 31 Aug 2011 08:10:59 +0000

libreoffice (1:3.4.2-2) experimental; urgency=low

  * debian/patches/make-gengal-work-again.diff: as name says
  * debian/patches/fix-distro-config.diff: really use system sane.h

  * debian/rules:
    - fix syntax of graphite removal from SYSTEM_STUFF (forgot s/+=/:=/)
    - install gengal again
    - on sid (and when building with debug), compress -dbg with xz; make bzip2
      compression unconditional

 -- Rene Engelhard <rene@debian.org>  Tue, 16 Aug 2011 12:55:45 +0000

libreoffice (1:3.4.2-1) experimental; urgency=low

  * new upstream release

  * debian/patches/*: migrate to libreoffice-build/hotfixes where possible
  * debian/rules:
    - try gcj again on mipsel, stay with OpenJDK for mips
    - use system-graphite again, disable graphite on armel and sparc for
      the time being as we don't have a graphite2 which doesn't fail its tests
      there yet

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Aug 2011 08:13:02 +0000

libreoffice (1:3.4.1-4) experimental; urgency=low

  * debian/rules:
    - don't statically check for /build/buildd- but use grep, which will
      catch also /build/buildd2- as on lucatelli2... 
    - reverse conditional to not build reportbuilder to really disable
      its build on gcj archs (apparently ant and envvars still broken due
      to multiarch)
    - add libstlport4.6-dev builddep only when something is in
      OOO_STLPORT_ARCHS, don't rely on LINK_TO_STLPORT. Not set on !i386...

 -- Rene Engelhard <rene@debian.org>  Thu, 28 Jul 2011 09:31:12 +0000

libreoffice (1:3.4.1-3) experimental; urgency=low

  * debian/patches/fix-bridges-cpp-uno-depends.diff: fix mising depends in
    bridges' build.lst which can cause FTBFS on s390(x), arm, ia64, hppa, alpha
  * debian/patches/no-prctl-on-kfreebsd.diff: don't try to #include <sys/prctl.h>,
    it doesn't exist for FreeBSD
 
  * debian/rules: 
    - also set ON_BUILDD=y if $(CURDIR) begins with /build/buildd-
    - build-depend on javahelper >= 0.37~ instead of >= 0.37 to help
      squeeze-backpors

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Jul 2011 16:06:11 +0000

libreoffice (1:3.4.1-2) experimental; urgency=low

  [ Rene Engelhard ]
  * debian/patches/vbaobj-visibility-fix.diff: fix sc build on i386, imported
    from Fedora

  * debian/libreoffice-common.postinst.in, libreoffice-core.postinst.in,
    debian/shell-lib-components.sh:
    check for /@OOBASISDIR@/program/.services.rdb before using it
    (closes: #633396) and replace manual call of the function by
    dpkg-trigger. Also run the trigger in -cores postinst
    (thanks Jonathan Nieder)
  * debian/control.in:
    - make new -common break old -evolution/-filter-binfilter
  * debian/rules:
    - also -Xlibreoffice-dbg on jh_depends... (closes: #633540)
    - update ENABLE_OPENGL configure flags, now --enable-opengl is default
      upstream
    - fix build with make 3.82: remove space after, in $(call; build-depend
      on make >= 3.82 if PARALLEL_BUILD=y
    - fix -javafilter.destop Exec=
    - remove obsolete libstlport4.6-dev build-conflict, thanks Björn
      Michaelsen
    - fix conditional for translate-toolkit
    - explicitely specify --without-stlport
    - temporarily build with internal graphite2 until the system graphite2
      package is ready for use
  * debian/copyright: s/Specificatin/Specification/, thanks Jakub Wilk
  * merge from ubuntu-oneiric-3.4:
    - gconf also needs liborbit2-dev
    - bump libebook so name to allow for libebook-1.2.so-11 too
    - disable --dynamic-list-cpp-new/--dynamic-list-cpp-typeino
      as they SIGSEGV ld from binutils-2.21.52.20110707

  [ Nelson A. de Oliveira ]
  * debian/*menu.in, debian/*mime:
    - Fix deprecated options when calling soffice and libreoffice
      (closes: #634001)
 
 -- Rene Engelhard <rene@debian.org>  Wed, 20 Jul 2011 22:28:52 +0200

libreoffice (1:3.4.1-1) experimental; urgency=low

  * new upstream release
    - handles various table columns differing in case correct
      (closes: #617596)
    - should fix embedding of (some) fonts in PDFs (closes: #616117)
    - (still) use libreoffice-build for now; not tagged,
      use 069b0a4b4f052255c97ece23f0e37be85921fe27

  * debian/patches/debian-debug.diff: readd option to build with small
    symbols (removed upstream), otherwise we get a too big -dbg (760M, 2G I-S)
  * debian/patches/update-debian-opt.diff: call dpkg-buildflags correctly
 
  * debian/rules:
    - bump build-dep on libmdds-dev to >= 0.5.0
    - build-depend on libgraphite2-dev instead of libgraphite-dev
    - update for new extension and mingw configure switches
    - temprarily don't install gengal, not built anymore since the switch to
      GNU Make...
    - install .component files to registered-components
    - build-dep on translate-toolkit, now needed for translations module
  * debian/control.sdk.in, debian/rules: 
    - stop building with STLport on i386, just create a symlink in ure.
      Should suffice for compat with binary-only OOo extensions
  * debian/control.in, debian/rules:
     - the script providers are now extensions. split js and bsh out into
       extra packages (also closes: #603595)
  * debian/uno-libs3.symbols: update 
  * debian/rules, debian/patches/packcomponents-remove-split-components.diff: 
    remove evoab, binfilter and kdeab deregistering into patch patching
    the new packcomponents
  * debian/shell-lib-components.sh: add new update_services_rdb() merging
    "default" services.rdb and the .component files from registered-components
  * debian/libreoffice-common.triggers.in, libreoffice-*.p*.in:
    new trigger running update_services_rdb, remove obsolete maintainer scripts
  * debian/changelog: mention VU#953183/CVE-2011-2685 in 1:3.3.3-1
  * debian/control.in:
    - fix description: s/libreoffice-hyphenation/hyphen/,
      s/libreoffice-thesaurus/mythes/
  * debian/rules:
    - don't try to change libreoffice-base when we don't built it
    - build-depend on javahelper (>= 0.37) and use -s
  * debian/source.lintian-overrides:
    - override new libreoffice source: dh_pycentral-is-obsolete line 3214
      and libreoffice source: dh_python-is-obsolete line 3223

 -- Rene Engelhard <rene@debian.org>  Wed, 06 Jul 2011 16:00:18 +0200

libreoffice (1:3.3.3-4) unstable; urgency=low

  * The "Don't trust, test-install even libreoffice-officebean" release.

  * debian/rules:
    - bump javahelper build-dep to (>= 0.35)
    - exclude ure for jh_depends. Readd it manually for -officebean. jh_depends
      would add a ure (>= ${source:Version}) which doesn't match the ure
      versioning scheme.

 -- Rene Engelhard <rene@debian.org>  Fri, 01 Jul 2011 16:37:17 +0000

libreoffice (1:3.3.3-3) unstable; urgency=low

  * brown paper pag release.

  * debian/patches/mips-openjdk-jre-paths.diff: oops, forgot JRELIBIR when
    porting the patch from gabrielli.. 

 -- Rene Engelhard <rene@debian.org>  Thu, 30 Jun 2011 21:39:44 +0000

libreoffice (1:3.3.3-2) unstable; urgency=low

  * debian/patches/bsh-hardcode-path.diff,
    debian/patches/disable-rhino.diff: add hacks to fix build
    with the still broken gcj multiarch/ant combo. Disable rhino completely
    as we can't patch the envvar usage out in a sane way
  * debian/patches/disable-sdbc-postgresql.diff: also disable the build
  * debian/patches/mips-openjdk-jre-paths.diff: add missing jre/ to
    set_soenv for MIPS

  * debian/rules:
    - make multiarch changes conditional and skip them for squeeze
      (Daniel Baumann)
    - move evolocal.odb into -evolution proper
    - use OpenJDK on mips(el), seems to work. (ia64 still SIGSEGVs)
  * debian/libreoffice-filter-binfilter.links.in: actually create symlink
    for libbindet*so in registered-components
  * debian/control.in:
    - move libpaper-utils from Suggests to Recommends
    - fix libreoffice Description: - -filter-binfilter is not installed
      per default since longer (only suggested)
  * debian/control.in, debian/rules: move libpq-dev builddep to a
    conditional
  * debian/rules, debian/control*in:
    - run jh_depends and add ${java:Depends} where we have Java

 -- Rene Engelhard <rene@debian.org>  Wed, 29 Jun 2011 10:03:21 +0200

libreoffice (1:3.3.3-1) unstable; urgency=medium

  * new upstream release
    - fixes VU#953183: 'Lotus Word Pro' document import filter
      multiple vulnerabilities (CVE-2011-2685)

  [ Rene Engelhard ]
  * debian/patches/disable-optional-outplace-ole.diff: as name says; makes
    toolbars work in e.g. Base edit forms (closes: #617319)

  * debian/rules:
    - disable -sdbc-postgresql until fixed (closes: #620100)
    - stop moving vbaevents*.uno.so to -calc. Move libvbaswobj*uno.so
      to -writer
    - make -l10n-sw (if enabled) depend on locales (>= 2.13-5)
    - adapt GCJ_JAWT_DIR handling for new multiarch dirs and explicitly
      give -l to the libgcj_bc.so.1 multiarch dir to dh_shlibdeps...
  * debian/control.in:
    - build-conflict against libmdds-dev (>= 0.4.0)
  * debian/rules, debian/*lintian-overrides:
    fix/override (some) new Java related lintian warnings
  * debian/rules, debian/libreoffice-filter-binfilter*.in:
    oops, we forgot to do (de-)registering for libbindet*.so

  [ Björn Michaelsen ]
  * debian/patches/jurt-soffice-location.diff: add the fallback
    /usr/lib/libreoffice/program/soffice to jurts NativeLibraryLoader;
    we know where it is

 -- Rene Engelhard <rene@debian.org>  Tue, 14 Jun 2011 08:30:21 +0000

libreoffice (1:3.3.2-4) unstable; urgency=low

  * debian/patches/gcc4.6.0.diff: fix build with gcc 4.6, imported from
    Fedora
  * debian/patches/odk-jni-include.diff: add hack to also include e.g.
    /usr/lib/gcc/x86_64-linux-gnu/4.6.1/include explicitely to work around gcj
    mismatches

  * debian/rules:
    - disable smoketest on sparc, flaky 

 -- Rene Engelhard <rene@debian.org>  Sun, 01 May 2011 09:09:08 +0000

libreoffice (1:3.3.2-3) unstable; urgency=low

  * debian/rules, debian/control.in:
    - readd recommends for libtextcat-data though libtextcat0 depends on it.
      Makes more clear what we need now (see #620568)
  * debian/rules:
     - run dpkg -s gcj-jdk on openjdk-using archs only when we build -gcj,
       as otherwise it's not installed on the buildds (and we end up with a
       eventually "wrong" gcc). 
     - restrict parallel=x to 2, at least 6 breaks, and don't experiment :)
     - don't reference -ctl-he anymore and fix CTLSequenceChecking setting 
       in ctl_he.xcd (closes: #622301)
     - enable is (icelandic) l10n
  * debian/control.in:
    - build-conflict against at3-dev-tools, it installs a moc-qt3 alternative
      for moc, which might hose the KDE VCLplug build - and configure insists
      on ../bin/moc relative to libQt.so (thus /usr/bin/moc) now
  * debian/control.gcj.in: move -gcj into Section: java 
  * debian/*.lintian-overrides*: update for new lintian 2.5.0 (s#/usr#usr#g)

 -- Rene Engelhard <rene@debian.org>  Sat, 16 Apr 2011 10:03:50 +0000

libreoffice (1:3.3.2-2) unstable; urgency=medium

  * debian/patches/fix-evolution-local.diff: backport from libreoffice-3-3
    branch

  * debian/rules:
    - really use internal libtextcat on squeeze (thanks dba) 
    - re-enable -evolution
    - hack around gcc vs. libgcj mismatch for jni.h, explicitly build against
      (and use) gcc x.y matching the gcj-x.y-jdk version
    - remove obsolete s390 and armel gcc builddeps
  * debian/libreoffice-common.postinst.in:
    - try to remove /etc/openoffice if it's empty 
  * debian/*.mime:
    - s/LibreOffice/OpenOffice.org/, it's OOo 1.0 file format after all
    - add print= for OpenDocument mimetypes (closes: #619569)
  * debian/rules, debian/*.mime:
    - remove obsolete KDE 3 stuff
  * debian/shlibs.override.kde: remove, obsolete
  * debian/rules, debian/libreoffice-common.links.in:
    - remove fingerprint link, create on the fly in rules; we don't want
      this if we use the internal data

 -- Rene Engelhard <rene@debian.org>  Fri, 01 Apr 2011 22:37:37 +0000

libreoffice (1:3.3.2-1) unstable; urgency=low

  * LibreOffice 3.3.2 final (identical to rc2)

  * debian/patches/update-debian-opt.diff: update debian-opt.diff:
    + don't hardcode -Os for m68k, mips, ARM
    + use dpkg-buildflags when available to honour noopt and to make support
      generic

  * debian/rules:
    - don't add shell-lib-conffiles.sh to maintscripts anymore
    - remove lenny-backport support; lenny hasn't a dpkg-maintscript-helper
    - make base-files build-conflict also work after 6.0.1
    - build with system libtextcat now that that is patched
    - call dh_python2 with -ppython-uno to work around #619005
  * debian/libreoffice-common.p*.in:
    - remove hardcoded rm_conffile. use dpkg-maintscript-helper
    - move psprint.conf, sofficerc and soffice.sh (closes: #619113)
  * debian/shell-lib-conffiles.sh: remove
  * debian/control.in:
    - Standards-Version: 3.9.1 (no changes needed)
    - make conflicts on libtextcat-data versioned

 -- Rene Engelhard <rene@debian.org>  Tue, 22 Mar 2011 13:46:25 +0000

libreoffice (1:3.3.2~rc2-1) unstable; urgency=low

  * new upstream release candidate

  * debian/patches/arm-optimization.diff, debian/rules:
    - remove ARM fixes introduced in last revision again,
      better solution upstream

  * debian/control.mediawiki.in:
    - make -wiki-publisher depend on -java-common
  * debian/rules:
    - use dh_python2 (closes: #616871)
  * debian/control.in:
    - add replaces and (versioned) conflicts against mozilla-openoffice.org
      (closes: #618550)

  * merge from Ubuntu:
    - added ppc fixes (LP: #727118)

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Mar 2011 07:59:52 +0000

libreoffice (1:3.3.1-1) unstable; urgency=low

  * LibreOffice 3.3.1 final (identical to rc2)

  * debian/patches/arm-optimization.diff: add explicit support for
    optimization for armv4t/6/7, based on i117017
  * debian/patches/javaldx-LibreOffice.diff: s/openoffice.org/libreoffice/
    for javaldx (closes: #614103)
  * debian/patches/alpha-no-relax.diff: use -Wl,--no-relax on alpha
    (https://bugs.freedesktop.org/show_bug.cgi?id=32224)
  * debian/patches/disable-impress-media-embedding.diff: temp fix from
    upstream; disable impress media embedding patches so that avmedia gets
    file urls passed correct again (closes: #612940)

  * debian/rules:
    - --with-arm-target=7 on armhf, explicit --with-arm-target=4
      (armv4t) for armel
  * debian/libreoffice-common.links: s/openofficeorg3/libreoffice/
    (closes: #614100) 

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Feb 2011 09:07:55 +0100

libreoffice (1:3.3.1~rc2-1) unstable; urgency=low

  * new upstream release candidate

  * debian/control.in:
    - update for new git
  * debian/rules, debian/soffice.sh, debian/README.Debian:
    - more s/OOo/LibreOffice/ (closes: #613215)
  * debian/rules:
    - disable evolution2 support for now as it doesn't work with
      evolution 2.32 
    - build -ogltrans for armhf
  * debian/control.in, debian/control.{kab,evolution}.in, debian/rules:
    - move -evolution and -kab into own files so they get automatically
      be removed from control when disabled

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Feb 2011 14:43:18 +0000

libreoffice (1:3.3.1~rc1-2) unstable; urgency=low

  * debian/libreoffice-preinst.in: remove files in /user and /share one
    by one (closes: #613083) 

 -- Rene Engelhard <rene@debian.org>  Sat, 12 Feb 2011 19:52:55 +0100

libreoffice (1:3.3.1~rc1-1) unstable; urgency=low

  * new upstream release candidate

  * debian/patches/odk-settings-fix-STLPORTLIB.diff: fix STLPORTLIB setting
    (aka make it empty) on kfreebsd-*,powerpc,sparc

  * debian/rules:
    - allow squeeze backports
    - explicitely set export HOME=$(CURDIR)/debian/smoketest for the
      smoketest, as it otherwise fails if $HOME is not there/broken (as on
      buildds)
    - fixup PRODUCTNAME_BR also in javafilter.desktop and startcenter.desktop
      (closes: #612598)
  * debian/control.sdk.in:
    - conflict against openoffice.org-dev-doc (closes: #612494) 
  * debian/shell-lib-extensions.sh: properly set INSTDIR and d also in
    sync_extensions() (closes: #612572) 
  * libreoffice-common.preinst.in: rm -rf /share and /user when upgrading from
    versions before 3.3.0-3
  * libreoffice-common.postinst.in: run sync_extensions() in postinst when
    upgrading from versions before 3.3.0-3 explicitly

 -- Rene Engelhard <rene@debian.org>  Thu, 10 Feb 2011 22:29:50 +0000

libreoffice (1:3.3.0-2) unstable; urgency=low

  * upload to unstable

  * debian/patches/fixed-close-parentheses-with-icu-4.4.diff: add fix for
    closing parantheses with icu >= 4.4 from fdo#32171 (closes: #601078)
  * debian/patches/nsplugin-LibreOffice.diff:
    s/OpenOffice.org Plug-in/LibreOffice Plug-in/g

  * debian/rules:
    - fix parallel=n handling to also work if parallel=N is not the first or
      only option, thanks Kees Cook
    - install jar.sos in /usr/lib/gcj/libreoffice instead of /openoffice
      (closes: #611276)
    - don't hardcode TMP=/tmp for make install, thanks Jani Monoses for the
      pointer
    - build-depend on default-jdk in the JDK=default case only. Add
      gcj-native-helper/default-jdk-builddep build-dep when building the
      jars native
  * debian/control.gcj.in:
    - depend on gcj-jre instead of (the virtual) java-gcj-compat
      (closes: #609657)
  * debian/control.in:
     - make -core conflict against libreoffice-style-* (<< 1:3.3.0-1)
       (closes: #611279)
  * debian/watch:
    - update to look after the binaries in stable/, not src, as that
      version is different
  * debian/README.Debian, debian/control.in, control.lang.in:
    update for new names of hyphenation patterns and thesauri
    (hyphen-*/mythes-*). Actually make -l10n-* suggest mythes-*

 -- Rene Engelhard <rene@debian.org>  Sun, 06 Feb 2011 10:34:53 +0000

libreoffice (1:3.3.0-1) experimental; urgency=low

  * LibreOffice 3.3.0 final (identical to rc4)

  * debian/patches/bridges-mkstemp-error-better-message.diff: make failure to
    create temp file because /tmp vanished more clear; backported from master
  * debian/patches/pyuno-demo-fix-PYTHONPATH.diff: fix insecure PYTHONPATH
    usage in pyuno demos (closes: #605178)

  * debian/rules:
    - remove obsolete (commented-out) FIXME section as /usr/share for icons
      works again since longer. Fixes actual splitout of the images to the
      various -style-* packages, thanks Matthias Klose for the pointer 
    - really substitute ${PRODUCTNAME_BR} ${PRODUCTVERSION} in Name[pt_BR]
      (closes: #610345)
    - error-out on control target if /usr/include/ldap_features.h is not
      existing
    - stop renaming libreoffice.sh to ooffice.sh now that have transitional
      packages cleaning up office.sh from openoffice.org-common
  * debian/control.in
    - readd versioned ttf-opensymbol depends bogusly removed by
      "Remove obsolete OOo versions in dependencies." (closes: #610917)
    - some more s/OOo/LibreOffice/
    - make libreoffice-common conflict against
      openoffice.org-common (<< 1:3.3.0~)
  * debian/libreoffice-common.preinst.in: rm_conffile
    /etc/bash_completion.d/ooffice.sh if upgrading from older libreoffice-common
  * debian/changelog: mention fixed security issues in previous changelog
    entries

 -- Rene Engelhard <rene@debian.org>  Tue, 25 Jan 2011 12:42:33 +0100

libreoffice (1:3.3.0~rc4-1) experimental; urgency=low

  * LibreOffice 3.3.0 rc4
    - fixes right/left margin settings in report builder on 64bit
      archs (closes: #607715)

  * debian/copyright: update Upstream-{Maintainer,Source}
  * libreoffice-emailmerge.preinst.in: remove (closes: #610205) 
  * debian/rules:
    - also substitute ${PRODUCTNAME_BR} ${PRODUCTVERSION} correctly
      (closes: #610345)
    - fix to not install {intro,about}-pt_BR.png into -common if not
      building pt-BR (file conflict common/-l10n-pt-br)
  * debian/control.in:
    - add Vcs-Browser:, thanks Nelson A. de Oliveira

 -- Rene Engelhard <rene@debian.org>  Wed, 19 Jan 2011 10:03:33 +0100

libreoffice (1:3.3.0~rc3-2) experimental; urgency=low

  * debian/patches/fix-mesa-headers-check.diff: readd, still needed;
    forgot to actually push this upstream

 -- Rene Engelhard <rene@debian.org>  Thu, 13 Jan 2011 22:45:04 +0100

libreoffice (1:3.3.0~rc3-1) experimental; urgency=low

  * LibreOffice 3.3.0 rc3
    - includes OpenOffice.org 3.3.0 release branch milestone 19, so:
      + fixes CVE-2010-3702 and CVE-2010-3704 for the (unused) internal
        xpdf copy
      + fixes CVE-2010-4494 for the (unused) internal libxml2 copy
      + fixes possible heap overflow when reading manipulated TGA images
        (CVE-2010-4643)

  * debian/patches/java-common-message-LibreOffice.diff: fix patched-in
    java-common message to say libreoffice-java-common (closes: #609660)
  * debian/patches/presenter-screen-fix-description.diff: fix for correctly
    generating -presenter-consoles description.xml

  * debian/rules
    - bump SPI (c) upto 2011 
    - remove debian source package 1.0 format support, we don't
      support stuff older than lenny anyways and lenny is able to
      handle 3.0 (quilt)
    - stop creating libreoffice -> ooffice symlink
    - install LibreOffices new technical.dic (closes: #425791),
      obsoletes Debian.dic
    - lintian fixes (permissions, really remove some of the LICENSE files)
  * debian/control.in, debian/rules, *.xmlcatalogs.in: rename
    libreoffice-dtd-officedocument1.0 back to
    openoffice.org-dtd-officedocument1.0. It's OpenOffice.org 1.x' dtd,
    so... Fix description to say OpenOffice.org 1.x instead of
    LibreOffice 1.x and .xmlcatalogs.in itself
    ("/OpenOffice.org//DTD OfficeDocument 1.0"). Make package properly
    versioned.
  * debian/source/local-options: abort-on-upstream-changes 
  * debian/rules, debian/*.manpages, debian/README.Debian: update for
    oo* -> lo*/libreoffice
  * debian/control.in:
    - remove openoffice.org-{base,math,draw,impress,calc}
      Replaces: again, as we don't ship oo* wrappers/manpages anymore
      but lo*.
    - actually add Replaces: on openoffice.org-common (closes: #602867)
    - change Homepage: to point to www.libreoffice.org

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Jan 2011 02:47:36 +0100

libreoffice (1:3.3.0~rc2-3) experimental; urgency=low

  [ Rene Engelhard ]
  * debian/patches/fix-mesa-headers-check.diff: backport fix from
    master: check for mesaa headers only when OpenGL enabled.

  * debian/rules
    - merge OOo lenny-backport fixes
      + keep 3.0 (quilt) for lenny-backports now that it supports it
      + really use internal mythes 
      + disable gconf as gconftool-2 -g /desktop/gnome/interface/accessibility
        hangs in the smoketest in a lenny chroot
    - add explicit --with-system-mesa-headers
    - update hsqldb conditionals for new SYSTEM_STUFF variable.
    - fix report-builder install to actually install the files
    - remove unneeded LICENSE files in the extensions

  [ Matthias Klose ]
  * debian/rules:
    - Cleanup architecture specific configuration handling.
    - Move architecture specific config before distro specific config.
    - Add build support for dh_python2.
    - Do not re-introduce arm (old ARM ABI).
    - Add a helper macro gen_no_archs to generate macros OOO_NO_<foo>_ARCHS
      from OOO_<foo>_ARCHS.  Use these macros in build dependencies.
    - Factor out SYSTEM_GCC_VERSION macro.
    - Don't special case CC_PREFIX on sparc, not needed.
    - Eliminate the explicit macros for the configuration of system
      components.
  * debian/control.in:
    - Remove packages and versions in build dependencies,
      which are present in the last old stable release.
    - Avoid empty filed in build dependencies.
    - Adjust for slightly changed OOO_NO_BASE_ARCHS macro.
  * debian/scripts/joinctrl.py:
    - Normalize whitespace in dependencies and similar fields.

 -- Rene Engelhard <rene@debian.org>  Sat, 01 Jan 2011 19:29:18 +0100

libreoffice (1:3.3.0~rc2-2) experimental; urgency=low

  [ Rene Engelhard ]
  * debian/rules:
    - use dpkg -s instead of apt-cache show (closes: #607873)
    - install modes.sxd into /usr/share/doc/python-uno directly, not a
      extra doc/ 
    - fix mingw32/gcc-mingw32 conditional to not break with gcc 4.5,
      thanks Matthias Klose

  [ Matthias Klose ]
  * debian/rules:
    - Remove leading whitespaces.
    - Avoid some duplicate shell calls.
  * debian/control*.in:
    - Remove obsolete OOo conflicts, replaces and provides.
    - Remove obsolete OOo versions in dependencies.

 -- Rene Engelhard <rene@debian.org>  Tue, 28 Dec 2010 13:35:57 +0100

libreoffice (1:3.3.0~rc2-1) experimental; urgency=low

  * LibreOffice 3.3.0 rc2
    - fixes CVE-2010-4008 for the (unused) internal libxml2 copy
    - fix config path in soffice (closes: #606432)
    - includes OpenOffice.org 3.3.0 release branch milestone 18, so:
      + fixes export of group shapes to ppt (closes: #607377)

  * stop versioning libreoffice-build and ext-sources-libreoffice-build
    as releases of them now match LibO releases, makes building from git
    easier, thanks Chris Halls

  * stop building a broffice package. Most BrOffice things is now at
    runtime (LANG=pt-BR), which is apparently what the BrOffice people
    wanz. Put intro and about for pt-BR into -l10n-pt-br. fix .desktop files
    (closes: #593123)

  * debian/patches/do-not-switch-workspaces-of-wm.diff: backport fix from
    OOo 3.4 to not switch workspaces of wm when using awesome
    (closes: #607051) and set it to "false" so it's never done on any wm
    (closes: #380748)

  * debian/rules:
    - re-enable sdbc-postgresql
    - add conditional for squeeze-backports (Daniel Baumann)
      (closes: #606368) - disabled for now as lsb_release returns squeeze
      on sid right now...
    - apparently we need -with-extension-integration explicitly now; install
      the extensions from debian/tmp instead of -common/-core
    - use new --with-helppack-integration as we otherwise don't get the help
      installed
    - follow "universial" builds with "tag libreoffice x.y.z" in
      --with-build-version
  * debian/control.in:
    - remove libreoffice-core conflicts against itself, thanks Julian
      Andres Klode (closes: #606480)
  * debian/README.Debian-source: update to reflect current source package
    format and document building form vcs (Chris Halls) 
  * debian/README.qa, debian/control*in, debian/rules: fix various URLs and
    Homepage: fields

 -- Rene Engelhard <rene@debian.org>  Tue, 21 Dec 2010 19:37:54 +0100

libreoffice (1:3.3.0~rc1-1) experimental; urgency=low

  * LibreOffice 3.3.0 rc1
    - includes OpenOffice.org 3.3.0 release branch milestone 17, so:
      + fixes CVE-2010-4253: Heap based buffer overflow, PPT files.

  * debian/patches/splash-progressbarcolor.diff: update for new artwork 
  * debian/patches/buildfix-patches.diff: remove
    reportdesogn-mention-package-l10n.diff patch, upstream

  * debian/broffice.lintian-overrides: oops forgot s/broffice.org/broffice/
    here...
  * debian/libreoffice-{filter-mobiledev,dev}.lintian-overrides,
    libreoffice-{base,calc,draw,impress,math,writer}.lintian-overrides.in,
    more lintian fixes
  * debian/uno-libs3.symbols: tighten depends to (>= 1.7.0+LibO3.3.0~beta3)
    for osl_{set,clear}Environment@UDK_3.11 (closes: #604201, #605897)
  * debian/patches/smoketest-disable-db-insert-delete-seek-tests.diff:
    rediff again - seems it got broken last time (closes: #603008)
  * debian/rules:
    - don't try to add application/vnd.openofficeorg.extension to
      startcenter.desktop, it's already there, thanks Axel Beckert
    - adapt for new .oxt packaging of postgresql-sdbc
    - remove libwpd 0.9 conditional, now 0.9 is needed as 0.8 support is gone
    - add explicit --prefix=/usr
  * debian/control.postgresql.in: bump depends to 3.3
  * debian/control.in: remove Breaks on -sdbc-postgresql again

 -- Rene Engelhard <rene@debian.org>  Mon, 06 Dec 2010 11:29:46 +0100

libreoffice (1:3.3.0~beta3-2) experimental; urgency=low

  * debian/patches/postgresql-sdbc-0-7-6-b.diff: update PostgreSQL driver
    to 0.7.6b, needing for OOo/LibO 3.3 support

  * debian/rules:
    - actually install debian-presentation.odp to -common...
      (really closes: #602043)
    - create fake -help-sk package with symlink and depening on -help-cs
      (closes: #600335)
  * debian/rules: add support to build with libwpd 0.9.x(libwp{s,g} 0.2.0.
    Will be the only option from next version on anyway...
  * debian/control.ure.in: Breaks: openoffice.org-core (<< 1:3.3~) due to
    upstream (private library) symbol breakage (closes: #603549)
  * debian/control.in:
    - as LibO is independent from Sun and doesn't need to obey
      what Sun thinks is "integral part of the office", stop libreoffice
      depending on the officebean (closes: #459332)
    - readd imagemagick to B-D-I, we actually use it in install-indep, thanks
      Kai Wasserbäch
  * debian/uno-libs3.symbols: update 
  * debian/*.lintian-overrides.in: update for libreoffice
  * debian/*.menu: update icon= and use libreoffice -xy

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Nov 2010 02:08:59 +0100

libreoffice (1:3.3.0~beta3-1) experimental; urgency=low

  * LibreOffice 3.3 beta3
    - Set correct default formula syntax value in case it's not
      explicitly set (closes: #527535)
    - includes OpenOffice.org 3.3.0 release branch milestone 10, so:
      + fixes several vulerabilities:
        . soffice script does not treat empty LD_LIBRARY_PATH like unset one
          (CVE-2010-3689)
        . Crash in WW8DopTypography::ReadFromMem (CVE-2010-3454)
        . Crash in SwRTFParser::ReadNumSecLevel (CVE-2010-3452)
        . Out of bounds write in WW8ListManager::WW8ListManager()
          (CVE-2010-3453)
        . Loading certain RTF document leads to corrupt table model
          (CVE-2010-3451)

  * debian/patches/buildfix-patches.diff:
    openoffice.org-report-builder -> libreoffice-report-builder
  * debian/patches/hack-no-rm-fr-of-smoketest-userconfig.diff: don't try
    to remove user dir on smokest, rm -f -r mysteriously fails

  * debian/control.in:
    - make -math depend on ttf-opensymbol (>> 2:2.4.3~) (closes: #603203)
    - remove build-dep on imagemagick
    - replace old openoffice.org-{base,math,draw,impress,common,kde,writer,calc}
      (closes: #602866)
    - stop build-depending on libpam0g-dev, pam-needing stuff gone
  * debian/copyright:
    - update again, it's actually supposed to be "Copyright (c) 2000, 2010
      LibreOffice contributors and/or their affiliates."
    - add dmake/dbug/*, thanks Alexander Schmehl
  * debian/rules:
    - revert system-{graphite,cppunit,stlport} changes in 1:3.3.0~beta2-2
    - stop building with --enable-hids per default again, slows down  the build
      and we don't use the VCL Testtool anyway
    - use new --enable-broffice
    - remove manual installing of LibO splash (LibO now also supports intro.png)
    - update .desktop file/icon installation to actually give sensible results
      (Exec= and Icon=; fix up broffice.org changes) (closes: #602883)
    - stop trying to change the product name in ooo*.res and versionrc;
      apparently it is not needed anymore (and doing so breaks BrOffice.org
      About) (closes: #602868)
    - we need to explicitly add --enable-build-unowinreg now
    - also disable the "subsequent tests" on non-openjdk builds
  * debian/broffice.org.p*.in: adapt diversions for new intro.png;
    remove ooo*.res/versionrc diversions
  * debian/soffice-template.desktop.in: update for LibreOffice and ..
  * debian/templates/soffice-template.desktop.in: ... move here
  * debian/templates/debian-presentation*: add Debian presentation template,
    thanks Raphael Hertzog (closes: #602043)
  * debian/rules, debian/control.in: add Bugs: header to divert reports on
    backports to debian-backports@l.d.o 
  * debian/rules, debian/control.in: hi-IN -> hi 
  * debian/watch: update to look for libreoffice-build 
  * debian/smoketest/smoketest-disable-db-insert-delete-seek-tests.diff:
    rediff (closes: #603008) 
  * debian/control.in, debian/rules: remove .org from BrOffice stuff 
  * debian/broffice.org.*: move ...
  * debian/broffice.* ... here 

 -- Rene Engelhard <rene@debian.org>  Fri, 12 Nov 2010 23:23:52 +0000

libreoffice (1:3.3.0~beta2-2) experimental; urgency=low

  * debian/patches/buildfix-patches.diff: don't apply fields-table-formula.diff 
  
  * debian/control.in:
    - add missing build-depends on automake 
  * debian/rules, control.lenny_squeeze_transitional.in:
    - remove lenny->squeeze transitional packages, obsolete and not
      needed here anyways with the OOo -> LibO move
  * debian/rules:
    - temporarily disable system-{graphite,cppunit,stlport} on i386,
      will be reeenabled when beta3 included the necessary patches to
      make this work
    - fix clean to remove some generated localize-related files
  * debian/copyright: update

 -- Rene Engelhard <rene@debian.org>  Mon, 18 Oct 2010 15:26:07 +0200

libreoffice (1:3.3.0~beta2-1) experimental; urgency=low

  * welcome, LibreOffice 3.3 beta 2 (aka 3.2.99.2)
    - includes OpenOffice.org 3.3.0 release branch milestone 9, so:
      + fixes hebrew text in sheet tabs when using system fonts
        (closes: #433231)
      + fixes directory traversal vulnerability in OOo (CVE-2010-3450)

  * switch to new LibreOffice build infrastructure (more or less ooo-build,
    though), update Homepage:.
    LO uses own splash, so this indirectly closes: #529709

  * debian/*: loads of OpenOffice.org -> LibreOffice changes

  * debian/rules:
    - add and rework target(s) for new external sources handling upstream
    - updates for (OOo) 3.3 and its various configuration changes
    - move oo-*ldap.xcd.sample to /usr/share/openoffice.org-common/examples
    - unpack extensions to /usr/lib/openoffice/share/extensions instead of
      shipping the oxt
    - adapt jar locations to actually match Java policy: public jars
      inside /usr/share/java (and /usr/lib/ure/...) and "internal" ones
      to /usr/share/java/basisX.Y/program/classes. Keep the symlinks there
    - remove WITH_SPLIT option, upstream vanilla tarballs not supported by
      new ooo-build build anymore
    - temporarily disable -sdbc-postgresql as unopkg apparently has problems
      with .zips now...
    - use convert directly for copnverting to 24bpp bmp instead of using fix_bmp_rgb
    - opens___.ttf has an own version number; reflect this in the package version
  * debian/control.in, debian/rules: adapt for "Test Cleanup". Build-depend
    on libcppunit-dev and junit4. Remove xvfb.
  * debian/*.{pre,post},{inst,rm}.in, debian/shell-lib-{components,extensions}:
    cleanup. remove unused THIS_SCRIPT. Use dpkgs DPKG_MAINTSCRIPT_PACKAGE
    instead of THIS_SCRIPT
  * debian/shell-lib-extensions.sh: remove add_extension(), not needed anymore;
    add new validate_extensions() and sync_extensions()
  * debian/*.postinst.in, debian/*.prerm.in: Remove unopkg calls for
    extensions in prerm and postinst, as we don't need them anymore
  * debian/control*in: remove Pre-Depends: on openoffice.orgVER-common
  * debian/*.preinst.in: when upgrading from a m84 or newer, don't run unopkg
    remove anymore
  * debian/control.in:
    - move binfilter to suggests (and remove from openoffice.orgs
      Description), it is not in the default install anymore
    - generalize -style-* Breaks: in common to always break -style-*
      (<< ${basis-version}) and add a Breaks on (>= 1:{next-basis-version})
      so that we don't "loose" icons because of not-matching basis. Thanks
      Michael Tokarev for pointing this out.
  * debian/uno-libs3.symbols: update
  * debian/icons: remove again
  * debian/broffice.org*: update diversions
  * debian/Recovery.xcu: remove, we now need to to this in main.xcd
  * debian/rules, debian/scripts/vars.powerpcspe: add powerpcspe support
    (Sebastian Andrzej Siewior)  - closes: #594038
  * debian/openoffice.org-common.triggers, debian/shell-lib-extensions.sh:
    add trigger for openoffice.org-common to run unopkg sync after all
    extensions in /usr/lib/openoffice/share/extensions have been
    installed/updated
  * debian/control.in, debian/rules: stop building industrial package 
  * debian/scripts/fix_bmp_rgb: remove 
  * debian/catalog.xml: move ...
  * debian/catalog.xml.in: ... here and fix path to dtd
  * debian/udk*in, debian/xmerge-javadoc.in: Sun Microsystems, Inc -> Oracle

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Oct 2010 19:34:53 +0200

openoffice.org (1:3.2.1-7) unstable; urgency=low

  * debian/patches/add-some-missing-german-translations.diff: as named,
    thanks Andre Schnabel
  * debian/patches/pdf-link-export-fix.diff: import from ooo-build master;
    don't export PDFs with damaged xref table (closes: #594275)

  * debian/control.in:
    - we use bc in debian/rules control, we probably should build-dep on it
  * debian/rules:
    - change Class-Path: of jurt.jar to contain /usr/lib/ure/lib hardcoded
      as otherwise libjpipe.so (needed in the Java bridge) is not found...
  * debian/scripts/fix_image_rgb: -resize to 548x364 to work around
    i#95472 (closes: #513746)

 -- Rene Engelhard <rene@debian.org>  Wed, 22 Sep 2010 17:58:25 +0200

openoffice.org (1:3.2.1-6) unstable; urgency=high

  * debian/patches/reduce-height-on-dialogs-for-netbooks.diff: add
    patch from ooo-build-3-2-1 branch to reduce the PDF export and Recovery
    dialogs to fit on Netbooks (closes: #531930)
  * debian/patches/regcomp-fix-spelling.diff: succesful -> successful
    (closes: #593440)
  * debian/patches/shift-translations.diff: some translations must be shifted
    in the itemlist; backported from ooo-build-3-2-1 branch (closes: #593234)
  * debian/patches/SA40775.diff: fix CVE-2010-2935 and CVE-2010-2936
    aka SA40775: two buffer-overflow vulnerabilities in OpenOffice.org Impress

  * merge from Ubuntu (thanks Loic Minier):
    - Pass the same -v to "dh_makeshlibs --" (for dpkg-gensymbols) as to
      "dh_gencontrol --" (for dpkg-gencontrol); some symbols are missing from
      the symbols files and hence ure symbols have bogus dep on ure >=
      source-version which can't be satisfied as ure uses another versioning
      scheme

 -- Rene Engelhard <rene@debian.org>  Thu, 19 Aug 2010 15:52:11 +0200

openoffice.org (1:3.2.1-5) unstable; urgency=medium

  * debian/patches/odk-configure-honour-ure-link.diff: fix the (unneeded)
    configure.pl of the SDK to honour ure-link (closes: #588495)
  * debian/patches/fix-i113084.diff; fix easy to trigger crash in macro
    recorder (from upstream)
  * debian/patches/fix-i113461.diff: do not freeze after erasing non-breaking
    space inserted by French AutoCorrection (from upstream)

  * debian/rules:
    - for safety, add a build-conflicts against libhsqldb-java (>> 1.8.1~) 
    - move startcenter.png install to the rest of hicolor icons install;
      don't install ooo-build desktop icons when using sysui desktops
    - move LDAP.xcu.sample to /usr/share/openoffice.org-common/examples
  * debian/control.in:
    - make new -common Breaks: older openoffice.org-core (closes: #587750) 
  * debian/control.kde.in:
    - remove obsolete Pre-Depends:

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Jul 2010 22:26:58 +0200

openoffice.org (1:3.2.1-4) unstable; urgency=medium

  * debian/patches/fix-smoketest-without-java.diff: complete fix,
    I missed some parts and had the conditional wrong...
  * debian/patches/fix-system-saxon.diff: fix configure check/makefile
    for system saxon; doesn't work at runtime yet, though

  * debian/rules:
    - fix builds without Java
    - update smoketest conditional, enable smoketest uncoditionally when
      building without Java
    - build without the layout dialogs again, broken in various ways
      (closes: #587171, #575908)
    - use the vanilla app icons when USE_OOO_BUILD_DESKTOPS=n (closes: #512731);
      install fixed startcenter.png
  * debian/control.in, debian/rules:
    - build for only the default python again (closes: #587402)
  * debian/icons/sysui: add fixed startcenter.png to match the rest from
    3.3

 -- Rene Engelhard <rene@debian.org>  Tue, 29 Jun 2010 09:42:53 +0200

openoffice.org (1:3.2.1-3) unstable; urgency=low

  * ooo-build:
    - update (3.2.1.4)

  * debian/rules:
    - make smoketest install into debian/smoketest/tmp as some buildds
      only have a 128m /tmp... 
    - don't run smoketest on gcj archs when on the buildds

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Jun 2010 22:16:01 +0200

openoffice.org (1:3.2.1-2) unstable; urgency=low

  * debian/patches/powerpc-fixes.diff: add powerpc fix and powerpcspe
    support, thanks Sebastian Andrzej Siewior
  * debian/patches/fix-smoketest-without-java.diff: disable tests which
    need Java if Java is disabled
  * debian/patches/fix-nodep-check.diff: fix ooo-builds check whether
    we can enable nodep=true to actually work with system dmake. Big effect
    on build time
  * debian/patches/installer-globals-max-1-regcomp.diff: only try to register
    one component at a time
  * debian/patches/kde4-statusbar-redrawing-border-width.diff: backport; add
    better border width (closes: #584322)
 
  * debian/control.in:
    - update Vcs-Bzr: 
  * debian/rules:
    - run smoketest for armel again (the logic was flawed anyway and
      disabled smok)etest for all archs)  
  * debian/smoketest/*, debian/rules: disable Database{Insert,Delete,Seek}
    tests on armel. No regression. Base (still) unusable, though :/
  * debian/rules, debian/control*in: disable Base and associated stuff for
    armel (As Base is now gone this closes: #585829) 

 -- Rene Engelhard <rene@debian.org>  Mon, 14 Jun 2010 17:33:19 +0200

openoffice.org (1:3.2.1-1) unstable; urgency=medium

  * OpenOffice.org 3.2.1 final (OOO320_m19)

  * translation-updates-20100529: oops, this has to be ....
  * translation-updates-20100526: ... this

  * ooo-build:
    - update (3.2.1.3)

  * debian/patches/hu-translation-fixes.diff: add hu translation fixes
    from ooo-build-3-2-1 branch
  * debian/patches/backport-ftruncate-check.diff: add from ooo-build-3-2-1
    branch - check for success of ftruncate(). Fixes OOo start when $HOME is
    on cifs
  * debian/patches/fix-incorrect-automatic-print-area-assignment.diff: as
    the name says, also from ooo-build-3-2-1 branch
  * debian/patches/fix-save-performance-with-hidden-rows.diff: add patch
    from ooo-build-3-2-1 branch to fix performance when saving with hidden
    rows (closes: #582785)

  * debian/rules:
    - use Oracles tarballs again
    - actually remove $(STAMP_DIR) in clean
  * debian/changelog: mention security fix in rc1s changelog

 -- Rene Engelhard <rene@debian.org>  Sat, 05 Jun 2010 07:02:54 +0200

openoffice.org (1:3.2.1~rc2-2) experimental; urgency=low

  * debian/patches/extensions-mozilla-plugin-pc-if-libxul.diff: remove
    again ..
  * debian/patches/fix-bashisms-in-configure.diff: in favour of the
    correct fix (== vs. = breaking with dash)

  * debian/rules:
    - use system mdds 
    - fix variable to not add kfreebsd-i386 to OOO_MONO_ARCHS twice but
      to actually add it to OOO_MOZILLA_ARCHS 
    - OpenJDK crashes on runtime on armel, run the tests using gcj, still
      breaks though so disable smoketest on armel for now

 -- Rene Engelhard <rene@debian.org>  Sun, 30 May 2010 19:43:23 +0200

openoffice.org (1:3.2.1~rc2-1) experimental; urgency=low

  * OpenOffice.org 3.2.1rc2 (OOO320_m18)

  * ooo-build:
    - update (3.2.1.2)
      - also add cifs to the locking conditionals in soffice.sh
      - redraw the status bar when needed in KDE4 (closes: #570570)

  * translation-updates-20100529: update GSIs from ftp.linux.cz

  * debian/control.lenny_squeeze_transitional.in: move packages to
    localization, where they belong
  * debian/control.in:
    - add Breaks: -style-* as with new -common and old -style the newly branded
      startcenter is broken, thanks Mechtilde Stehmann 
  * debian/rules,
    debian/openoffice.org-{filter-binfilter,evolution,kab}.bug-script.in:
    fix component bug scripts and add the kab one
  * debian/rules:
    - start a next try to run the smoketest after the build. move the tests in
      the non-fakeroot part of the build (call test in build)
    - explicitly set LD_PRELOAD so that we don't get loads of
      libfakeroot-sysv.so preloading errors during make install anymore
    - temporarily use "split" tarballs again
  * debian/rules, debian/po/*, debian/control*in, debian/*.lintian*:
    remove debconf error when OOo is running again (closes: #565692)
  * debian/broffice.org.postinst.in: guard against $2 being empty 

 -- Rene Engelhard <rene@debian.org>  Wed, 26 May 2010 01:37:03 +0200

openoffice.org (1:3.2.1~rc1-2) experimental; urgency=low

  * ooo-build:
    - update (3.2.1.1)
      - cws-kfreebsdport01v2.diff: update to fix SDK for kfreebsd-*
      - fix-arm-eabi-bridge.diff: update with newest patch also fixing
        extensions
      - reportbuilder-mention-package-l10n.diff: don't remove translation we
        should keep (dbuimiscres.src)

  * debian/rules, debian/control.in: stop building libmythes-dev (now built
    again by mythes)
  * debian/rules:
    - re-enable extensions on armel
    - make grep -v for RID_STR_EXTENSION_NOT_PRESENT stricter so that
      we don't catch dbumiscres.src
  * debian/copyright: mention mdds 

 -- Rene Engelhard <rene@debian.org>  Fri, 14 May 2010 10:04:51 +0200

openoffice.org (1:3.2.1~rc1-1) experimental; urgency=low

  * OpenOffice.org 3.2.1 rc1 (aka OOO320_m17)
    - avoids execution of python code when browsing macros (CVE-2010-0395)
    - fixes crash when copying text to clipart and then exporting with RTF.
      Although not being RTF upstream says this also closes: #575109

  * ooo-build:
    - update (3.2.0.99.3)

  * translation-updates-20100506: update GSIs from ftp.linux.cz

  * debian/patches/fix-system-mythes-for-mythes-1.2.diff: adapt build
    for mythes 1.2

  * debian/rules,
    debian/openoffice.org-{report-builder,presentation-minimizer}.*:
    adapt for new .oxt filenames for -report-builder and
    -presentation-minimizer
  * debian/copyright: update for (C) Oracle
  * debian/rules:
    - get intro.bmp (still needed due to oosplash) from intro.png, remove
      unused intro.png again
    - update get-orig-source target for 3.0 (quilt)
    - fix/update get-orig-source to current state wrt hyphenation patterns
  * debian/broffice.org.*: update diversions for new about.png 

 -- Rene Engelhard <rene@debian.org>  Sun, 09 May 2010 18:55:41 +0200

openoffice.org (1:3.2.0-9) unstable; urgency=low

  * debian/patches/cws-kfreebsdport01v2.diff: add kFreeBSD port patches,
    thanks Petr Salinger (closes: #578023)
  * patches/fix-localized-filenames.diff: backport fix from upstream to
    fix the "localized" names of the extras when the en-US version is used
  * debian/patches/debian/patches/fix-arm-eabi-bridge.diff: updated patch
    from caolan from cws armeabi02 to fix the ARM EABI bridges
  * debian/patches/fix-calc-formula-option-tree.sdf.diff: fix ooo-build patch
    for xx-IN -> xx move

  * debian/control*.in:
    - Build-Depends: libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64]
  * debian/rules:
    - fix langpacks target to actually remove extra LICENSE* and README*
      files again
    - fix build with new dpkg 1.15.7
    - fix es translation for SC_OPCODE_SUBSTITUTE, thanks Margarita Manterola
      (closes: #578767)
    - enable kfreebsd-{i386,amd64}
    - actually add subsitution for java-runtime-depends to dh_gencontrol -i call
  * debian/scripts/vars.kfreebsd-*: add PLATFORMID
  * debian/shlibs.override.libc: force libc0.1 dependency to (>= 2.10.2-7)
  * debian/control.in, debian/rules: use textcat data from
    libtextcat-data-utf8 if the same with "ours". B-D-I on libtextcat-data-utf8
    to find that out
  * merge from Ubuntu:
    - add ENABLE_SDBC_POSTGRESQL variable and disable the build of the
      arch-dep extensions when we don't package them anyways
    - change the way components like -evolution or -filter-binfilter are
      registered so that we do not need to pre-depends on
      openoffice.org-core anymore (thanks Michael Vogt)
  * debian/rules, debian/control.sdk.in: stop suggesting/recommending
    java2-compiler, add the JAVA_RUNTIME_DEPENDS we already use instead.
  * debian/control.in, debian/rules: move netpbm, fdupes and xml-core to
    Build-Depends-Indep

 -- Rene Engelhard <rene@debian.org>  Sat, 01 May 2010 18:05:16 +0200

openoffice.org (1:3.2.0-8) unstable; urgency=low

  * Brown paper bag release.

  * debian/rules:
    - fix OOO_BINFILTER_ARCHS setting so that we don't build it for arm(el)
      again
    - fix builds without arch-dep extensions to not fail at dh_genchanges
    - add Replaces: to l10n-xx for l10n-xx-in (for safety, seems to work
      otherwise as the filenames change)
  * debian/control.mysqlc.in: s/OOO_ARCHS/OOO_ARCH_DEP_EXTENSIONS_ARCHS/
  * debian/changelog: remove bogus changelog entry

 -- Rene Engelhard <rene@debian.org>  Thu, 15 Apr 2010 09:35:00 +0200

openoffice.org (1:3.2.0-7) unstable; urgency=low

  * ooo-build:
    - update (3.2.0.10)

  * debian/patches/branch-update-bc571534c9b7435429003010d733e9c3a34df32d.diff:
    remove
  * debian/patches/es-fix-buleano.diff: fix spanish "boolean value" translation
    (closes: #576842)
  * debian/patches/nsplugin-path-handle-relative-symlinks.diff: add patch
    from upstream to handle relative symlinks (closes: #570452)
  * debian/patches/nsplugin-long.diff: add patch from issue 110747 to fix
    the plugin on 64bit archs

  * debian/rules, debian/shlibs.*: fix shlib-dependencies to not depend
    on the kdelibs5 transitional package anymore when built with KDE 4.4 
  * debian/rules:
    - remove trailing ), breaking the libmysqlcppconn-dev build-dep on sparc
    - disable binfilter building on mips(el) like we do on arm(el) to save
      build time
    - remove libnpsoplugin.so symlinks in dirs except /usr/lib/mozilla
      (which is the canonical location)
  * debian/scripts/vars.s390x: add, we have S390X conditionals in rules
    after all
  * debian/rules, debian/control*in: GAH, I missed that armel has broken
    arch-dep extensions, Reintroduce %OOO_ARCH_DEP_EXTENSIONS_ARCHS%
  * debian/control.in: add also Pre-Depends on -common for -evolution to
    work around APT bug (thanks Ubuntu..).
    Do the same for -filter-binfilter to make it have orrect Pre-Depends:
    again
  * debian/rules, debian/control.lenny_squeeze_transitional.in: add
    transitional packages for xx-IN -> xx move as Conflicts/Provides/Replaces
    alone doesn't seem to work

 -- Rene Engelhard <rene@debian.org>  Tue, 13 Apr 2010 15:28:02 +0200

openoffice.org (1:3.2.0-6) unstable; urgency=low

  * debian/patches/cws-linuxaxp01.diff: update
  * debian/patches/branch-update-f7b99eb375dea6024a48ca1b41f8bc76c220a38e.diff:
    move ...
  * debian/patches/branch-update-bc571534c9b7435429003010d733e9c3a34df32d.diff:
    ... here and update to current git
    - removes (bogus) last hunk in last interator usage fix (closes: #576665)

  * debian/rules:
    - remove obsolete filter-out for libmysqlcppconn-dev builddep so it
      actually gets added for i386... 
    - add -F0 to QUILT_OPTIONS
    - re-enable arch-dep extensions for m68k
    - fix rule for replacing the old -in packages to not add it in
      uppercase (closes: #576721)
    - fix python-uno install for 2.6. $(shell is bad here
  * debian/rules, debian/control*in: remove %OOO_ARCH_DEP_EXTENSIONS_ARCHS%
    again

 -- Rene Engelhard <rene@debian.org>  Wed, 07 Apr 2010 00:27:20 +0200

openoffice.org (1:3.2.0-5) unstable; urgency=low

  * ooo-build:
    - update (3.2.0.9) 
      - branch_directly_to_cpp_vtable_call_on_arm.diff: adds
        ARM bridges fix from issue 105359

  * debian/patches/update-mysqlc.diff: "update" MySQL Connector to the
    version which (unnannounced) went in to 3.2.1
  * debian/patches/cws-linuxaxp01.diff: add alpha port from issue 110145
  * debian/patches/fix-system-redland.diff: remove redland patches
    allowing to use system-redland and reset security preferences (from issues
    108911 and 110523)
  * debian/patches/branch-update-f7b99eb375dea6024a48ca1b41f8bc76c220a38e.diff:
    update ooo-build-3-2 branch
    - Fix invalid iterator usage in X11SalGraphics::drawPolyPolygon 
      (closes: #575758)

  * debian/shell-lib-extensions.sh: handle non-existant basis-link
    (closes: #561498) 
  * debian/rules:
    - re-enable system-mysqlcppconn (also in the STLport case)
    - re-enable armel, disable arch-dep extensions for it now, though
    - fix build with 1.0 source format. Add missing uuencode for the extra
      "3.0 (quilt)" components. Use "normal" quilt for patching, add build-dep
    - disable system-boost on lenny
    - remove ant1.7 workaround, add build-conflicts against ant 1.8.0-{1,2,3}
    - update get-ooo-build and get-orig-source tergets to create
      .orig-ooo-build-X.Y.z.tar.gz, too and remove obsolete vcsupdate target
    - fix libservlet2.x-java package/jar name detection, thanks calc for the
      info
    - enable alpha
    - enable system-redland
    - due to the reland change: switch to libcurl4-gnutls-dev (closes: #391671)
    - sort arch lists, patch from Chris Cheney
    - install uno.py and unohelper.py for all supported python versions
      (closes: #476213)
  * debian/README.Debian-source: update for 3.2, mention new extra compnents
  * debian/scripts/vars.alpha: add
  * debian/control*.in:
    - remove full-featured from short description to accommodate longer
      language names (closes: #566606) 
    - Standards-Version: 3.8.4 (no changes)
    - fix python-unos description
    - fix Breaks: on -sdbc-postgresql for lenny-backports (allow -4~...)
    - hack: "lower" Pre-Depends: on -java-common to -common for -report-builder.
      Add -java-common to Depends: instead (closes: #571771)
  * debian/po:
    - add nb.po, thanks Bjørn Steensrud 
    - add vi.po, thanks Clytie Siddall (closes: #576122)

 -- Rene Engelhard <rene@debian.org>  Mon, 05 Apr 2010 15:24:55 +0200

openoffice.org (1:3.2.0-4) unstable; urgency=low

  * debian/patches/update-postgresql-sdbc-to-0.7.6a.diff:
    update PostgreSQL driver to 0.7.6a (closes: #572590).
    Hack around 0.7.6+... > 0.7.6a+... by keeping 0.7.6 as version.
  * debian/control.in:
    - add Breaks: openoffice.org-sdbc-postgresql (<< 1:0.7.6+OOo3.2.0-4)
      for -base
  * debian/copyright: update

 -- Rene Engelhard <rene@debian.org>  Fri, 05 Mar 2010 16:41:14 +0100

openoffice.org (1:3.2.0-3) unstable; urgency=low

  * debian/control.in: update Vcs-Bzr:
  * debian/rules:
    - build-depend on ant1.7 on gij-using archs (see #571532) 
    - conditionalize armel build; re-enable on lenny-backport - that still
      should work
    - change build version to omit openoffice.org-core but mention ooo-build
      release instead

 -- Rene Engelhard <rene@debian.org>  Wed, 03 Mar 2010 13:49:25 +0100

openoffice.org (1:3.2.0-2) unstable; urgency=low

  * ooo-build:
    - update (3.2.0.7)
      - really localize the layout dialogs (closes: #570378)
      - gcc-HelpLinker.diff: work around HelpLinker miscompile with gcc 4.3
        by using -O0, thanks Phillip Matthias Hahn (see #555026)

  * debian/control.in:
    - make -base depend on -java-common (>= 1:3.2.0~) (closes: #570335). Also
      fix conflicts against -help for 2.4 and 3.1. Thanks Tim Richardson
    - stop -filter-binfilter pre-depending on new(er) core to unbreak
      upgrades (closes: #570361) though stricly it'd be needed...
    - remove obsolete X-Vcs-Git: - we use ooo-builds release tarballs now

  * debian/rules, debian/source/*: migrate to "3.0 (quilt)" with bzip2
    compression
  * debian/po: add sk.po, thanks Ivan Masár (closes: #571225)

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Feb 2010 12:48:40 +0100

openoffice.org (1:3.2.0-1) experimental; urgency=low

  * OpenOffice.org 3.2.0 final (same as RC5)

  * ooo-build:
    - update (023b7794da1e7eda6857466b839562177b13c903)
      - fix logic for nfs/smb detection to actually work; also export
        STAR_PROFILE_LOCKING_DISABLED=1 when on nfs|smb/FILE_LOCKING=no
        (closes: #568672) and also copy it over to unopkg (closes: #568036).
        Also split home on nfs and file on nfs tests, thanks Alex Bodnaru
      - actually apply mysqlcppconn-mysqlclient-SONAME.diff (closes: #560788)
      - desktop-initial-preference-5.diff: add InitialPreference=5 to make
        OOo have a priority over koffice or even okular for ODF documents
        (closes: #549940)

  * debian/control.in:
    - build-conflict against graphicsmagick-imagemagick-compat (<< 1.3.9¨),
      suggest imagemagick | graphicsmagick-imagemagick-compat instead of
      vice-versa (closes: #569124)
    - build-depend on libjpeg-dev instead of libjpeg62-dev
  * debian/rules:
    - wrap KDELIBS_MINVER for KDE4 into ifneq "$(LENNY_BACKPORT)" "y" as it
      for some reason also gets used for lenny-backports which has KDE3..
  * debian/control.ure.in: fix uno-libs3*'s ure replaces
  * debian/changelog: mention security fixes in last uploads
  * debian/po:
    - add ro.po, thanks Ionel Mugurel Ciobica
    - add updated ar.po, fr.po (closes: #568596), ja.po (closes: #568605), ru.po
  * debian/ure.preinst, debian/shell-lib-{extensions,components}:
    - add a || true to db_input/db_go where missing (closes: #569840)

 -- Rene Engelhard <rene@debian.org>  Mon, 15 Feb 2010 19:57:40 +0100

openoffice.org (1:3.2.0~rc5-2) experimental; urgency=low

  * ooo-build:
    - update (f390aa944ea0330c26a983408766293df1cc4c3f)

  * debian/rules:
    - re-enable -gcj again as gcc-defaults migrated
    - add explicit build-dep on mingw32-runtime when using gcc-mingw32,
      see #567698
  * debian/control.in:
    - update Java packages in openoffice.orgs description 

 -- Rene Engelhard <rene@debian.org>  Thu, 04 Feb 2010 13:50:05 +0100

openoffice.org (1:3.2.0~rc5-1) experimental; urgency=low

  * OpenOffice.org 3.2.0 release candidate 5 (OOO320_m12)

  * ooo-build:
    - update (d1c34f500fba2e2bd02377587e8c3d0414d8f23c)
      - fix-es-accelerators.diff: fix "accelarators" for es (closes: #567384)
  
  * debian/rules:
    - move from manual installing of the bug files to dh_bugfiles, bump
      debhelper builddep
  * debian/*.control.bug, debian/*.script.bug.in, debian/presubj: move ...
  * debian/*.bug-control, debian/*.bug-script.in, debian/bug-presubj: ... here
  * debian/control.in:
    - make -base conflict against openoffice.org-report-builder (<< 1.2.0~) and
      openoffice.org-report-builder-bin (<< 1:3.2.0~) 
  * debian/control*in:
    - make -core depends on ure (>= 1.5.1+OOo3.1.1-15) to get
      above fix and make all extensions/conflicts conflict against older ures.
      (closes: #566832, #566829, #566189)
    - make -core conflict against ure (>= 1.6.0~), thanks Alex Bodnaru
      (closes: #566062)
  * debian/ure.templates.in, debian/po/*: Add debconf note for the "broken
    rdbs" problem.
  * debian/po: add updated de,po it.po, cs.po, es.po, zh_CN.po,
    sv.po (closes: #568017), pt.po (closes: #568026), eu.po (closes: #568077)

 -- Rene Engelhard <rene@debian.org>  Wed, 03 Feb 2010 21:53:49 +0100

openoffice.org (1:3.2.0~rc4-1) experimental; urgency=low

  * OpenOffice.org 3.2.0 release candidate 4 (OOO320_m11)

  * ooo-build:
    - update (88ffff08f56f252264b491d0022e05d0d7639747)
    - src: add fixed es GSI from issue 108563

  * debian/rules:
    - re-enable system-stlport as a updated patch works with STLport 4.6
    - also exclude /var/lib/openoffice/basisX.Y/program/services.rdb at
      dh_md5sums
    - build without VERBOSE=true (normal) mode on all buildds now in a try
      to mitigate buildd log size
  * debian/shell-lib-{extensions,components}.sh: add echos instead of debconf
    message on DEBIAN_FRONTEND = noninteractive so that people in that case also
    know what goes on
  * debian/openoffice.org-common.tenplates,in, debian/rules, debian/po*: Move
    debconf template to shared/openofficeorg-running (see #566644); Unfuzzy.
  * debian/control.presenter.in: depend on (our) OOo 3.2
  * debian/control.in: Breaks: openoffice.org-presenter-console (<< 1.0.3~) 

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Jan 2010 18:29:51 +0100

openoffice.org (1:3.2.0~rc3-1) experimental; urgency=low

  * OpenOffice.org 3.2.0 release candidate 3 (OOO320_m10)

  * ooo-build:
    - update (86bf4b50ea8d350ecaed08451b32f86710d611c0)

  * merge 1:3.1.1-14

 -- Rene Engelhard <rene@debian.org>  Sun, 17 Jan 2010 15:08:05 +0100

openoffice.org (1:3.1.1-14) unstable; urgency=medium

  * ooo-build:
    - update (2953d9ac150d05f8774712294a792302bc15ade1) 

  * debian/rules
    - fix conditionals to also add gcj-jdk builddep in non--gcj-build cases
      as we have archs needing it also for "normal" builds
    - add -Xjavasettingsunopkginstall.xml so that it doesn't end up in
      .md5sums, thanks Loic Minier

 -- Rene Engelhard <rene@debian.org>  Fri, 15 Jan 2010 13:04:39 +0100

openoffice.org (1:3.2.0~rc2-1) experimental; urgency=low

  * OpenOffice.org 3.2.0 release candidate 2 (OOO320_m9)
      - fixes table wizard problem; get data source correctly (closes: #553612)

  * ooo-build:
    - switch to ooo-build-3-2 branch
    - update (fd8a89475d134bb24f8082e94f3bf0fefbea3bd5)

  * debian/control.in:
    - actually fix Vcs-Bzr: 

  * debian/rules:
    - use internal STLport and use system-graphite also on i386 (4.6 won't
      work)
    - work around weird crash in the build by build-conflicting against
      libstlport4.6-dev when building with internal STLport
    - remove explicit GCC_VERSION := 4.4 setting

  * merge 1:3.1.1-12 and -13

 -- Rene Engelhard <rene@debian.org>  Tue, 12 Jan 2010 23:37:02 +0100

openoffice.org (1:3.1.1-13) unstable; urgency=medium

  * ooo-build:
    - switch to own debian-3-1-1 branch
    - update (6feb90398c1e18eb4951af3c1be4f4d4c8e6861a)

  * debian/rules:
    - actually also remove armel from OOO_JAVA_ARCHS and OOO_MOZILLA_ARCHS;
      remobe stray arm from OOO_MOZILLA_ARCHS
    - temporarily disable -gcj to get a chance to get into testing
      (gcc-defaults is blocked)
    - per request from the security team: use internal mysqlcppconn for
      all archs (consistency), instead of only for i386
  * debian/shell-lib-{extensions,components}.sh: add missing .lock to actually
    check for the extistence of the lockfile and not for the profile dir, thanks
    Chris Cheney

 -- Rene Engelhard <rene@debian.org>  Tue, 12 Jan 2010 23:25:59 +0100

openoffice.org (1:3.1.1-12) unstable; urgency=medium

  * ooo-build:
    - update (bfe183f5f669daea3dd91d13fea47b2ddc8e370)
      - odk-unowinreg-osdir.diff: add missing -I.../include/linux also for
        gcj

    - surrender and disable armel until the bug in the bridges is fixed...
    - disable mono on sparc

 -- Rene Engelhard <rene@debian.org>  Fri, 25 Dec 2009 23:05:26 +0100

openoffice.org (1:3.2.0~rc1-1) experimental; urgency=low

  * OpenOffice.org 3.2.0 release candidate 1 (OOO320_m8)

  * ooo-build
    - update (26ed7c54320e44e0d31005c7db78194257ec80c8)
      - fixes vba macros not honouring macro security settings (CVE-2010-0136)
      - makes "Always allow saving of document" configurable (closes: #478130)
      - src: add OOO320 GSIs from ftp.linux.cz

  * debian/rules:
    - re-enable eo; enable ast (asturian)
    - enable hppa, use gcj-jdk
    - --enable-layout
    - install Recovery.xcu (see below)

  * debian/Recovery.xcu: add Recovery.xcu to make OOo handle
    GNOME session close (see issue 105172)

  * merge 1:3.1.1-9 to 1:3.1.1-11

 -- Rene Engelhard <rene@debian.org>  Sat, 19 Dec 2009 17:06:02 +0000

openoffice.org (1:3.1.1-11) unstable; urgency=low

  * ooo-build:
    - update (89b6191f14b42664b9c46395722ccecd562418c4)
      - fixes vba macros not honouring security settings (CVE-2010-0136)
      - debian-opt.diff: build with -O2 instead of -Os. Fixes FTBFS on ppc

  * debian/control.in:
    - bump ttf-opensymbol dep to (>= 1:3.0), we need it for some bullets
      (closes: #561182) 
    - make -common depend on ure (hopefully closes: #544621)
  * debian/rules:
    - build-depend on g++-4.4 (>= 4.4.2-5) on armel because of various
      wrong code generation fixes. Thanks Matthias Klose.
    - bump build-dep for mono to >= 2.4.2.3 and adapt for csc -> mono-csc
      change
    - don't add LIBSUFFIX/PLATFORMID to the arch-indep packages' maintainer
      scripts, as it will "only" be the system where the upload was built
      on anyway, thanks Kurt Roeckx
    - move libcalc??.so into -base as it actually is a db driver, not a
      calc component. Makes Base start up without -calc installed now... 

 -- Rene Engelhard <rene@debian.org>  Sat, 19 Dec 2009 18:05:14 +0100

openoffice.org (1:3.1.1-10) unstable; urgency=low

  * ooo-build:
    - update (6929a9d4285be22b2e6d682bab6d0c5bca2e8fa5)
      - mysqlcppconn-mysqlclient-SONAME.diff: use libmysqlcppconn.so.16 instead
        of libmysqlcppconn.so also in the internal mysqlcppconn copy...

  * debian/rules:
    - only build-depend on (gcc-)mingw32 when we actually enable the SDK
    - build-depend on kdelibs5-dev (>= 4:4.3.4) when building against KDE4
    - when building with internal mysqlcppconn, add explicit dep on
      libmysqlclient. Together with the new patch above this closes: #560788
  * debian/shlibs.local.in: force a kdebase-runtime >= 4:4.3.4 dependency

 -- Rene Engelhard <rene@debian.org>  Sat, 12 Dec 2009 23:48:31 +0100

openoffice.org (1:3.1.1-9) unstable; urgency=low

  * ooo-build
    - update (3bb313baf6ad6669913cee47884a438c75bf88be)
      - open-url-support-iceanimals.diff: support ice{ape,dove,weasel}
        in open-url (closes: #543652)
      - add support for building with internal mysql-connector-cpp (as
        upstream does) to ooo-build infrastructure; disable
        debian-mysqlc-build-against-stlport-hack.diff for now

  * debian/rules:
    - re-enable sparc
    - fix install on no-Java builds
    - build-depend on libmysqlcppconn*-dev (>= 1.1.0~r791) to build against
      version with fixed visibility of (e.g.) SQLException
      This closes: #558240 for !i386 at least.
      Build with internal libmysqlcppconn on i386 for now...
    - don't build-depend on openjdk on archs using gcj-jdk...
    - remove cacao-oj6-jre support, gone

 -- Rene Engelhard <rene@debian.org>  Wed, 09 Dec 2009 00:28:39 +0100

openoffice.org (1:3.2.0~ooo320m6-1) experimental; urgency=low

  * OpenOffice.org 3.2.0 release branch milestone 6
    - fixes "OpenOffice.org XPM Import Integer Overflow" (CVE-2009-2949)
      and "OpenOffice.org GIF Import Heap Overflow" (CVE-2009-2950 
    - fixes "OOO sprmTDefTable issue" (CVE-2009-3301) and
      "OOO sprmTSetBrc issue" (CVE-2009-3302)

  * ooo-build
    - update (405cdcba2ee1f14ddac18095cff2e2c3df907719)
      - cws-linuxhppa1.diff: backport hppa port (closes: #484116)

  * debian/rules:
    - enable l10n again (closes: #558030)
    - enable new languages:
      om (Oromo) including help, is (Icelandic), ug (Uighur),
      si (Sinhala), id (Indonesian) and as now fixed: oc (occitan)
    - remove removed languages: lo
    - fix install on no-Java builds
    - add BUILD_HPPA conditional, don't enable it yet
    - add symlink /usr/lib/openoffice/basisX.Y/help -> /usr/share/... to work
      around regression.... (see i107283)
    - remove beta splash workaround and fix regex to also catch one-digit
      milestones...
    - HELP_L10N_VIRTUAL_VERSION:=3.2
  * debian/control.in, debian/rules: adapt for upstream xx-IN -> xx rename
    (except hi-IN and pa-IN)
  * debian/scripts/vars.hppa: add

 -- Rene Engelhard <rene@debian.org>  Sun, 29 Nov 2009 23:07:48 +0100

openoffice.org (1:3.2.0~beta-2) experimental; urgency=low

  * ooo-build:
    - update (752257c78e21cb4702b80ab4be02f5677c37ffe7 - 3.1.99.2)

  * debian/control.in:
    - make -core conflict against -style-* (<< 1:3.2.0~beta) 
    - make all styles depends on -core (>= 1:3.2.0~beta)
    Thanks Mechtilde Stehmann for pointing this out.
  * debian/rules:
    - add conditional to disable the layout dialogues. Disable it as it
      still has some bugs (closes: #554274) 
    - if ooo-build/ChangeLog exist, install it as upstream changelog
    - build with g{cc,++} 4.4 
  * debian/uno-libs3.symbols: add symbol file

  * merge 1:3.1.1-7 and 1:3.1.1-8

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Nov 2009 21:27:01 +0100

openoffice.org (1:3.1.1-8) unstable; urgency=low

  * debian/changelog:
    - fix typo: s/endianess/endianness/
  * debian/rules:
    - just build-depend on libgcj-common (>= 1:4.4.1)
    - fix usr/lib/openoffice/ure removal to not fail if the dir does
      not exist anymore (e.g. on the non-mono archs)
  * debian/control.in:
    - fix Vcs-Bzr:
  * debian/openoffice.org-common.lintian-overrides.in: move ...
  * debian/openoffice.org-common.lintian-overrides: ... here

 -- Rene Engelhard <rene@debian.org>  Mon, 16 Nov 2009 20:49:08 +0100

openoffice.org (1:3.1.1-7) unstable; urgency=low

  * ooo-build
    - update (06bcdf6420e39ef6aff6f313bc9626b9fdac6b06)
      - icc-use-sal-endianness-and-types.diff: use correct endianness
        in icc (closes: #536348)
      - xulrunner-1.9.1.diff: fix build with xulrunner 1.9.1

  * debian/po:
    - add
      - fi.po (thanks Esko Arajärvi, closes: #554031)
      - fr.po (thanks L.F.Templeton, closes: #554374)
      - es.po (thanks Francisco Javier Cuadrado, closes: #554713)
      - gl.po (thanks Marce Villarino, closes: #554988)
      - it.po (thanks Vincenzo Campanella, closes: #556111)
  * debian/rules:
    - revert build-dep bump for armel, as it does not help as of latest
      findings and the bug probably is in OOo...
    - remove useless empty dir /usr/lib/openoffice/ure in -core
    - bump libgcj-common build-dep to 1:4.4.1-1 to fix lintian warnings
      (command-with-path-in-maintainer-script)
    - install /usr/share/openoffice/shell-lib-extensions.sh only with 644;
      thanks lintian
    - MOZILLA=libxul (closes: #555912)
  * debian/openoffice.org-common.lintian-overrides.in: override
    E: openoffice.org-common: no-debconf-config

 -- Rene Engelhard <rene@debian.org>  Fri, 13 Nov 2009 19:21:47 +0100

openoffice.org (1:3.2.0~beta-1) experimental; urgency=low

  * OpenOffice.org 3.2.0 beta (OOO320_m2)
    - fixes internal libxmlsec copy for CVE-2009-0217
    - paste into memo field doesn't replace existing content anymore
      (closes: #482473)
    - has many performance improvements for Base (closes: #488202)
    - unifies paper handling between modules, fixes for paper handling
      (closes: #488667)
    - supports opening of encrypted OOXML files (closes: #540442)
    - now you can add notes even when there are more document windows.
      Note that they are not updated on-the-fly when typing (closes: #538109)
    - now has ooo-builds patch integrated so we have synced behaviours e.g.
      with text in cells and SUM (closes: #504604)
    - now honours ACLs (closes: #216596, #548881)
    - no duplicate shortcut in Insert Menu anymore (closes: #550510)

  * ooo-build:
    - update (07111fca568ecb76a941c231af94a4f29f5f2a75)

  * debian/rules:
    - revert back to internal redland libs because odfmetadata2 now is in.
      As we don't have conflicting build-deps anymore revert to building
      using libcurl4-openssl-dev
    - build with --enable-hids to get a hid.lst build we can use later
      for the testtool
    - enable graphite; it's now upstream; don't use system-graphite on i386
      for now
    - bump libnss3-dev build-deps to >= 3.12.3
    - fix --with-lang= passing to configure. Don't do it when we build only
      en-US
    - update get-orig-source target for new way of downloading the tarballs
      from cgit.freedesktop.org
    - bump libboost-dev build-dep to >= 1.38
    - for now, only build with en-US
    - work around the fact that this is a beta version but has no beta splash
      but we're supposed to use the "Developer Snapshot" splash
    - move help and images*.zip into /usr/share (see #218067)
  * debian/control.mediawiki.in:
    - we don't need a strict depends on lucene anymore, remove it again.
      Bump dependencies to >= 1:3.0.0~ matching description.xml
  * debian/control.reportdesign.in, debian/control.mysql.in:
    - bump depends on >= 3.2 (for mysql for safety)
  * debian/control.in:
    - make openoffice.org depend on ttf-sil-gentium-basic as those fonts
      are included in OOos source now (for graphite support)
  * debian/control.in, debian/rules:
    - remove hardcoded libldap2-dev builddep and add ENABLE_LDAP conditional.
      Only suggest it because it's now dlopen()'ed anyway.

 -- Rene Engelhard <rene@debian.org>  Sat, 31 Oct 2009 19:21:37 +0100

openoffice.org (1:3.1.1-6) unstable; urgency=low

  [ Rene Engelhard ]
  * ooo-build:
    - update (8a4d08ec440c3c5eaf664b5732eb79d2c6ed9896) 
      - fixes wrong filter texts in KDE4 fpicker (closes: #551774)
      - Correct fix for the mirrored range selection bug in RTL mode.
        (closes: #548767)

  * debian/templates: apply changes from debian-l10n-english review
    (closes: #552370)
  * debian/po:
    - debconf-updatepo; update de.po
    - add
      - zh_CN.po (thanks Aron Xu)
      - cs.po (thanks Michal Simunek, closes: #552327)
      - ar.po (thanks Ossama Khayat, closes: #552381)
      - ja.po (thanks Hideki Yamane, closes: #552460)
      - eu.po (thanks Piarres Beobide, closes: #552703)
      - sv.po (thanks Martin Bagge, closes: #552740)
      - pt.po (thanks Pedro Ribeiro, closes: #553284)
  * debian/rules:
    - add conflict against (<< <minor version of lucene OOo was built with)
      for -help-en-us as newer versions necessarily don't create indexes a old
      version can read...
    - actually add lucene-depends to -wiki-publishers dh_gencontrol call
      (closes: #553370)
  * debian/control.in:
    - conflict against libhsqldb-java (>= 1.8.1~)
  * debian/templates, debian/openoffice.org-common.templates.in
    debian/rules: move templates to openoffice.org-common so that they get
    installed into openoffice.org-common per default, not openoffice.org...

  [ Rail Aliev ]
  * debian/po:
    - update ru.po, tr.po

 -- Rene Engelhard <rene@debian.org>  Sat, 31 Oct 2009 19:15:10 +0100

openoffice.org (1:3.1.1-5) unstable; urgency=low

  * ooo-build:
    - update (01bbcda85cb32be9eb5334430fb208ec5ca60041)
      - fixes german translation (s/Verwerfen/Abbrechen/) (closes: #550453)
      - kde4_fpicker_fixes2.diff
        - fixes text for checkboxes (closes: #544691)
        - makes filters work (closes: #550467)
    - src:/: update GSIs from ftp.linux.cz: ga nb nn sl

  * debian/control.in:
    - move -style-* recommends at -common to suggests (closes: #550126)
    - build-depend on po-debconf
    - build-depend on binutils (>= 2.20) and g{cc,++}-4.4 (>= 4.4.1-6) for
      armel when building with gcc 4.4, see http://gcc.gnu.org/PR40521
    - make -core provide openoffice.org-headless
  * debian/shell-lib.sh, debian/shell-lib*.sh, debian/*.lintian-overrides*,
    debian/rules: only add the functions needed to the respective maintainer
    scripts to prevent some bad side-effects, thanks Steve Langasek... 
  * debian/shell-lib-{components,extensions}.sh: check for known OOo-using
    services (docvert-openoffice.org) and stop/start them
  * debian/rules:
    - install extension shell lib for use by extensions not from here
    - enable el help (thanks Fotis Tsamis for telling it is enough translated)
    - move one missed place from bc to expr and fix expr statement, thanks
      Chris Cheney again

 -- Rene Engelhard <rene@debian.org>  Sat, 17 Oct 2009 16:34:53 +0200

openoffice.org (1:3.1.1-4) unstable; urgency=low

  * ooo-build:
    - update (db285975a659e1b3cd36bc16e5add7a0c427ac58)
      -  fix typo to make with-STLport build build

 -- Rene Engelhard <rene@debian.org>  Mon, 05 Oct 2009 22:15:02 +0200

openoffice.org (1:3.1.1-3) unstable; urgency=low

  * The "Goodbye sparc!" release. :-(

  * ooo-build:
    - update (4d4be60ad4dfc84b85b0ea1d4b21b8d74212673d)
      - Fixed range selection for RTL languages. (closes: #548767)
      - fix some Extended Tips abbreviations for Italian (closes: #478761)
      - apply optional-icon-themes.diff so that OOo doesn't list not-installed
        icons anymore (closes: #416877)

  * merge from Ubuntu:
    - Add support to turn off building on sparc.
  * debian/rules:
    - don't build sparc. Too many random(!) build failures
    - add ENABLE_S390X conditionals. enable. forgotten so far although OOo
      claims to support s390x
    - enable mysql-connector
    - use expr instead of bc so we get a proper kdelibsX-dev also with bc
      not installed
    - remove bogus (.*på engelsk) from GSI_da to fix some functions
      (closes: #548608)
    - fix lang= handling for DEB_BUILD_OPTIONS
    - point --with-external-{dict,hyph,thes}-dir to the new locations
    - build against libneon27-gnutls-dev (closes: #534243)
  * debian/control.in:
    - break dict/hyphen patterns/thesauri packages with the old location
    - stop making -common have a hard depends on the default iconset; make
      it depend on openoffice.orgVER-style-default | openoffice.orgVER-style
      and make -gtk/-kde only recommend -style-tango/-style-{crystal,oxgen}.
      Provide openoffice.orgVER-style on all -style-* (closes: #423021)
      Stop -style-* depending on -common (closes: #406778)
  * debian/control.mysql.in: remove bogus conflicts, add Homepage:
  * debian/shell-lib.sh:
    - check whether OOo is running before (de-)registering extensions or
      components (closes: #548721, #546723)
    - run unopkg with -v to have more info and to see where it breaks when
      it breaks. Removing "Adding extension XY .. done" echos
  * debian/templates, debian/po: add debconf error shown when OOo is running

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Oct 2009 02:42:13 +0200

openoffice.org (1:3.1.1-2) unstable; urgency=low

  [ Rene Engelhard ]
  * ooo-build:
    - update (1f44d9a5c0c024cba36a904b0b04dd09aca9e205)
  * debian/rules:
    - bump libmysqlcppconn-dev builddep for new snapshot of mysqlnative and
      adapt for STLport flavour
    - fix parallel=X handling to actually works, thanks to Wouter Verhelst for
      pointing it out
    - add export PYTHONPATH into /usr/lib/openoffice/program/unopkg, too.
      Thanks Frederic Peters (closes: #545482)
  * debian/control.in:
    - s/msttcorefonts/ttf-mscorefonts-installer/. Former is a transitional
      package even in lenny
    - conflict against mozilla-plugin-vlc (<< 1.0)
    - actually add Pre-Depends: for -filter-binfiler, thanks Chris Cheney
      for the pointer
  * debian/control.mysql.in:
    - remove conflicts against OOo >= 3.3
  * debian/changelog:
    - mention fixed security issues in ~ooo310m15-1 and rc2-1 uploads

  [ Rail Aliev ]
  * debian/rules:
    - use the official tarballs in get-orig-source when WITH_SPLIT=n is set
    - prevent empty GCJ_JAWT_DIR when libgcj10-awt is installed 
    - remove ooo-build directory before "git clone"
    - remove download.list file produced by download target
  * debian/control.in, debian/control.mediawiki.in, 
    debian/control.minimizer.in, debian/control.mysql.in, 
    debian/control.postgresql.in, debian/control.presenter.in:
    - drop the fields inherited from source package

 -- Rene Engelhard <rene@debian.org>  Sat, 12 Sep 2009 14:13:08 +0200

openoffice.org (1:3.1.1-1) unstable; urgency=low

  * OpenOffice.org 3.1.1 final release.
  * upload to unstable

  * ooo-build:
    - update (e73e72f999097ca3ab08ec48cddec798d6128075 - 3.1.1.1)
      - new-SQLLEN.diff: fix ODBC libs for "new" SQLLEN (closes: #539642)
      - prevent-multiple-window-resize-calls-when-maximised.diff: add;
        fixes window resize behavior when using Gtk plugin under KDE,
        thanks Chris Halls (closes: #542387)
      - fixes save to UTF8 paths in KDE4 filefpicker (closes: #536664)

  * debian/rules:
    - use upstreams tarballs

  * debian/control.mysql.in, debian/rules,
    debian/openoffice.org-mysql-connector.*: add support for "mysqlnative"
    driver 1.0.0 alongside the already packages sdbc_postgresql one. Use
    internal libmysqlcppconn on i386 for now... Don't enable it yet.
  * debian/control.mediawiki.in: don't depend on liblucene2-java but on
    ${lucene-depends}, so that we don't pick up a liblucene2-java depends
    when we use internal lucene... 

 -- Rene Engelhard <rene@debian.org>  Fri, 28 Aug 2009 09:06:36 +0200

openoffice.org (1:3.1.1~rc2-1) experimental; urgency=low

  * OpenOffice.org 3.1.1 rc2 (OOO310_m19)
    - fixes CVE-2009-2414 / CVE-2009-2416 for the (unused) inernal libxml2
      copy

  * ooo-build:
    - update (28051d9210b60491d4de238a41f03d96035b0f29)
    - src: update GSIs from ftp.linux.cz: bg bn el ga mk nb nn sk sl uz

  * debian/control.in:
    - Standards-Version: 3.8.3 (no changes needed)
  * debian/rules:
    - make sure debian/scripts/get_libebook_dep.sh is executable
    - move libsdfilt* to -draw
    - remove result/ and test/ from OOos own copy of libxml2, too...
      (see #331534)
    - use gcc-mingw32 instead of mingw32 when we build with gcc 4.4
    - use gcj-jdk/java-gcj-compat-dev on kfreebsd-*
    - make -l10n-tr suggest openoffice.org-spellcheck-tr to catch
      openoffice.org-zemberek analogous to openoffice.org-voikko
  * debian/rules, debian/openoffice.org-filter-binfilter-*:
    Move libbf_migratefilter* back to -filter-binfilter as it's linked to
    libs there. Add the regcomp (un)registering.
  * debian/source.lintian-overrides:
    - remove, lintian is fixed to not complain about these anymore

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Aug 2009 13:41:02 +0200

openoffice.org (1:3.1.1~rc1-1) experimental; urgency=low

  * OpenOffice.org 3.1.1 release candidate 1 (aka OOO310_m18)
    - imports tables in RTL context with (almost) correct alignment
      (closes: #528836)

  * ooo-build:
    - switch to ooo-build-3-1-1
    - update (00d9bf9f96938abe869a36085e72b3fe360b9e95)
      - fixes hyperlink opening in calc (closes: #533874)

  * debian/rules, debian/control.kde.in, debian/openoffice.org-kab*:
    also add/revoke libkab1.so to fix similar bug as with -evolution in -2 
  * debian/control.in, debian/rules, debian/scripts/get_libebook_dep.sh:
    don't hardcode libebook1.2-9 as depends. Get libebook version on the fly.
    Add Build-Dependency on libebook1.2-dev. 
  * debian/control.pdfimport.in:
    - mention that -pdfimport is for opening PDFs in Draw (closes: #538062) 
  * debian/rules:
    - remove debian/*.install and debian/*.dirs in clean
  * merge from Ubuntu:
    - don't depend on openoffice.org at -l10n-{in,za}, as it would install also
      not-wanted stuff
    - add conditional to disable gnome-vfs; add a confitional for gconf as
      we need a diect libgconf2-dev builddep anyway when we enable GConf
    - remove locolor, don't include gnome. Switch everything to use hicolor
    - rename ooo-*desktop to openoffice.org*desktop to use standard name
      for .desktop files (gnome-shell)

 -- Rene Engelhard <rene@debian.org>  Sat, 08 Aug 2009 14:31:27 +0200

openoffice.org (1:3.1.1~ooo310m15-1) experimental; urgency=high

  * OpenOffice.org 3.1.1 development milestone 15 (OOO310_m15)
    - fixes import of (non-RTL) ww8 tables (closes: #535971)
    - fixes CVE-2009-0200 ("OpenOffice.org sprmTDelete integer underflow")
      and CVE-2009-0201 ("OpenOffice.org sprmTInsert buffer overflow")

  * ooo-build:
    - update (ccbde7123a771221cf05adccf8ab86a1e01cf583)
    - src: update GSIs from ftp.linux.cz (bg cs el fi ga km uz)

  * debian/rules:
    - update graphite conditionals

 -- Rene Engelhard <rene@debian.org>  Mon, 06 Jul 2009 23:13:13 +0200

openoffice.org (1:3.1.1~ooo310m14-1) experimental; urgency=low

  * OpenOffice.org 3.1.1 development milestone 14 (OOO310_m14)
    - fixes some (random) crashes in "uno" (closes: #472461) 

  * ooo-build:
    - update (f3f544d7348651fc9b84d8038bf20b4d208a9c3d aka
              ooo-build 3.1.0.98.2)
      - "Slightly better way to prevent progress bar instantiation."
        (closes: #534658)

  * debian/rules:
    - fix typo in kde-icons-oxygen Suggests (closes: #534261)
    - stop running dh_desktop on sid, thanks lintian

 -- Rene Engelhard <rene@debian.org>  Tue, 30 Jun 2009 16:23:30 +0200

openoffice.org (1:3.1.1~ooo310m13-1) experimental; urgency=low

  * OpenOffice.org 3.1.1 development milestone 13 (OOO310_m13)
    - fixes sort when involving formulas (closes: #529430)

  * ooo-build:
    - use 'master' again (9bb64f6fa29ac3c7db1ad54a222010c6f9d4a115)
      + adds "a JVM and" to javaldx' message if no Java is found
        (closes: #532549)

  * debian/rules:
    - WITH_SPLIT=n, enable milestone detection again, use ooo-build tarballs
    - add conditionals for KDE4, enable -kde for KDE4 again (closes: #528487)
    - don't set VERBOSE=true on ia64/buildd now that the quiet-buildd.diff
      is more complete.
    - remove explicit gcj-4.3 builddep again 
  * debian/control.in:
    - build-conflict against libmono-dev 2.4+dfsg-2 on sparc - -3 is fixed
  * debian/README.Debian: mention kde4 for OOO_FORCE_DESKTOP
  * debian/control*in, debian/rules: add -style-oxygen package and synchroniize
    style handling in rules by just relying on $(IMAGES)
  * debian/ttf-opensymbol.*.in: remove; removes fc-cache calls (see
    debian-devel)

 -- Rene Engelhard <rene@debian.org>  Sat, 20 Jun 2009 14:08:52 +0200

openoffice.org (1:3.1.0-5) unstable; urgency=low

  * ooo-build:
    - update (5947487f5c17fc66f1e11d4eec055c0df95f64c1 - 3.1.0.6)
      - Fix build with glibc-2.10.1 and above/ICU 4.2 
  * debian/rules: 
    - BOOST_VERSION=default (closes: #531118)
    - remove mono-jit (>= 1.9+dfsg-2) B-D as it's apparently gone
      in mono 2.4 and lenny has -6 anyway.
    - bump LPSOLVE_MIN_VERSION and SUITESPARSE_MIN_VERSION for
      suitesparse 3.4.0
    - add explicit gcj-4.3 builddep to work around #532065
  * debian/shell-lib.sh:
    - don't rely on
      /u/l/openoffice/basis-link/share/config/javasettingsunopkginstall.xml
      - find out the basis and specify /var/lib/openoffice/basisX.Y directly
      (hopefully closes: #530694, #531116, #531750)
  * debian/control.in:
    - add Pre-Depends: openoffice.org-comon to the various extension
      Add -java-common and ${java-runtime-depends} for the Java extensions.
      (hopefully closes: #529521)
    - add Pre-Depends: openoffice.org-core (>= 3.1.0-2) to -evolution
      (hopefully closes: #529519)

 -- Rene Engelhard <rene@debian.org>  Fri, 12 Jun 2009 18:33:45 +0200

openoffice.org (1:3.1.0-4) unstable; urgency=low

  * ooo-build:
    - update (3f777bce5cbe0665fb840eee9cfe08fd9e1c710e)

  * debian/rules:
    - use gcj-jdk instead of java-gcj-compat-dev (closes: #526292)
    - add | java5-runtime | jre to JAVA_RUNTIME_DEPENDS (closes: #509690)
    - use /usr/lib/gcc/aotcompile.py instead of (gone)
      /usr/share/pyshared/aotcompile.py
  * debian/control.in:
   - make -evolution depend on libebook1.2-9 (which is dlopen()ed)
  * debian/openoffice.org-common.preinst.in, debian/rules:
   - again move javasettingsunopkginstall.xml to
     /var/lib/openoffice/basisX.Y/share/config to match what $OOO_BASE_DIR
     would do...
  * debian/shell-lib.sh:
   - adapt to rely on /usr/lib/openoffice/basis-link instead of
     hardcoding the path

 -- Rene Engelhard <rene@debian.org>  Sun, 24 May 2009 00:01:51 +0200

openoffice.org (1:3.1.0-3) unstable; urgency=low

  * ooo-build:
    - update (c1a864706b14df89477cbafffdaba519fbc6c4e9 - 3.1.0.2)

  * debian/openoffice.org-common.preinst.in: use mkdir -p, not mkdir
    (closes: #529518)
  * debian/rules:
    - add explicit build-dep on gcj when building native jars, now needed
      due to java-gcj-compat changes....
  * debian/shell-lib.sh:
    - check whether $rdb exists in revoke_from_services_rdb() before running
      regview on it as it doesn't when the new -evolution is first unpacked in
      a upgrade run before the new -core.

 -- Rene Engelhard <rene@debian.org>  Wed, 20 May 2009 09:43:43 +0200

openoffice.org (1:3.1.0-2) unstable; urgency=low

  * ooo-build:
    - switch to ooo-build-3-1 branch
      (cda7535b832b1b354eedf6aacd0260d628ff9884)
      - odk-use-correct-L.diff: specify correct -L in settings.mk
        (closes: #529020)

  * debian/rules:
    - add support for boost-defaults
    - more fixes for GCC_VERSION setting
    - introduce new BASIS_VERSION variable
    - HSQLDB_MINVER= (>> 1.8.0.9) for lenny, thanks Tim Retout
    - move services.rdb to /var/lib/openoffice/basisX.Y/program
    - deregister libevoabl?.so from services.rdb in install-arch as Base
      now fails when its not present (closes: #527910)
  * debian/control.in, debian/rules:
    - allow flex again, bump build-dep for flex if we use gcc 4.4 for safety 
  * debian/control.in:
    - update openclipart-openoffice.org conflicts to (<= 0.18+dfsg-7) 
    - make -emailmerge Pre-Depend on ${python:Depends}, python-uno
      (closes: #522022, #527558)
    - make -common conflict against -core having another basisX.Y than -common
      (closes: #528854)
  * debian/copyright:
   - actually add Files: section matching the upstream tarballs 
  * debian/rules, debian/broffice.org.{preinst,postrm}.in,
    soffice-template.desktop.in: add extra .desktop files and soffice.* from
    extras/source/shellnew to /usr/share/templates for KDE (closes: #512737)
  * debian/rules, debian/shell-lib.sh, openoffice.org-common.preinst.in:
   - move javasettingsunopkginstall.xml once again to keep the path structure
     (now in /var/lib/openoffice/share/config)
  * debian/shell-lib.sh
   - add functions revoke_from_services_rdb() and register_to_services_rdb()
  * debian/openoffice.org-evolution.*.in:
   - add maintainer scripts for registering/revoking libevoabl?.so

 -- Rene Engelhard <rene@debian.org>  Mon, 18 May 2009 18:44:12 +0200

openoffice.org (1:3.1.0-1) unstable; urgency=low

  * OpenOffice.org 3.1.0 final (no source changes to rc2)
  * upload to unstable

  * ooo-build:
    - update (ed83f8ef25c224f80ded79eb91c845064b407421)
      - forces OpenJDK javadoc even on gcj builds, fixes odk build breakage
      - use 3.1s new feature of setting JDBC CLASSPATHs in DataAcess.xcu
        directly

  * debian/rules:
    - move python version setting before the python conditionals deciding
      thanks Chris Cheney)
    - remove arch specifier from openjdk build-dep
    - fix GCC_VERSION handling to work again with OOo build calling
      e.g. i486-linux-gnu-gcc
    - remove changing jvmfwk3rc for adding JDBC CLASSPATHs
    - keep -kde/-kab enabled on lenny-backports
    - build with -openssl flavour of curl on lenny-backports
  * debian/watch: move from ftp.stardiv.de (not master anymore) to
    ftp.gwdg.de
  * debian/control.in:
    - also suggest libjtds-java 
  * debian/control.reportdesign.in, control.presenter.in:
    - update depends/conflicts to match description.xml

 -- Rene Engelhard <rene@debian.org>  Wed, 06 May 2009 00:08:13 +0200

openoffice.org (1:3.1.0~rc2-1) experimental; urgency=low

  * OpenOffice.org 3.1.0 rc2 (OOO310_m11)
  * ooo-build
    - update (43f5c40737796e18d399275bd6f65237e98f66c8)
      - moves default-system-fpicker.diff into the common set
        (closes: #523314)

  * debian/control.in, debian/control.kde.in, debian/rules:
    - disable -kde and -kab as they're for KDE3 (closes: #523899). Improve
      BUILD_KDE conditional
  * debian/control.in, debian/broffice.org.postrm.in, debian/rules:
    - Standards-Version: 3.8.1. Fix DEB_BUILD_OPTIONS lang= parsing to actually
      work with DEB_BUILD_OPTIONS being separated by spaces as introduced
      in 3.8.0. (ccache,lang=en-US de -> ccache lang=en-US,de)
  * debian/rules, debian/control.debug.in:
    - fix lintians dbg-package-missing-depends
  * debian/rules, debian/control.in:
    - remove writer2latex remains as it a) is not a "bundled extension"
      anymore and b) is not in the code anymore either. Still available
      externally.
  * debian/rules debian/openoffice.org-gcj.*post*:
    - remove postinst/postrm of -gcj, let dh_nativejava -o do the job 
  * debian/rules:
    - remove Python26 special-casing, we now have a generic patch for 2.4 and
      2.6
    - remove scsolver stuff, scsolver is gone from ooo-build
  * debian/control.in:
    - make openoffice.org-common recommends xfonts-mathml (closes: #525245)

 -- Rene Engelhard <rene@debian.org>  Sat, 25 Apr 2009 15:26:24 +0200

openoffice.org (1:3.1.0~rc1-2) experimental; urgency=low

  * ooo-build:
    - update (9c5c8322f541550ca0bd605169aa40d9fd654d98)

  * debian/shell-lib.sh: export PYTHONPATH="/@OOBASISDIR/program" as
    regstering mailmerge.py aparently calls "import pythonloader" which
    does not work anymore without (closes: #522536)
  * debian/control.in:
    - fix override dispariry (-l10n-in/-l10n-za -> localization) 
  * debian/rules, debian/shell-lib.sh:
    - move javasettingsunopkginstall.xml to /var/lib/openoffice and adapt
      unopkg calls (closes: #523044)
  * debian/control.in, debian/control.ogltrans.in, debian/rules:
    OOo is fixed to not crash when OGLTrans.uno.so is not there anymore,
    re-enable splitout to -ogltrans

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Apr 2009 13:35:28 +0200

openoffice.org (1:3.1.0~rc1-1) experimental; urgency=low

  * OpenOffice.org 3.1.0 rc1 (OOO310_m9)
   
  * ooo-build:
    - update (b6c58e692ac4fa15ec666a3fbd79c98eed78c46e)
    - src: add GSI_ro.sdf.bz2 from ftp.linux.cz (DEV300), closes: #522180
  * debian/rules:
    - add conditional to use python-support
  * debian/control.in, debian/control.ogltrans.in, debian/rules:
    - don't put OGLTrans into -ogltrans, services.rdb references it and
      Impress crashes horribly if it's not there (closes: #521035). Add
      Conflict/Replaces/Provides.
  * debian/rules, ooo-build/*: switch to Fedoras solution for PyUNO. Replace
    RPATH with os.path.append in uno.py and just install uno*.py into
    site-packages (closes: #520944)
  * debian/control{,sdk,reportdesign}.in:
    - add last three ${misc:Depends}, even where we have no Depends: line
      otherwise

 -- Rene Engelhard <rene@debian.org>  Fri, 03 Apr 2009 14:35:15 +0200

openoffice.org (1:3.0.1-9) unstable; urgency=high

  [ Rene Engelhard ]
  * debian/rules:
    - use libcurl4-gnutls-dev (closes: #521741, #391671)

  [ Ben Finney ]
  * debian/control*.in:
    + Re-work each package synopsis to avoid self-reference.
      (Closes: Bug#520611)

 -- Rene Engelhard <rene@debian.org>  Sun, 29 Mar 2009 23:00:35 +0200

openoffice.org (1:3.0.1-8) unstable; urgency=high

  [ Rene Engelhard ]
  * ooo-build:
    - update (81a9da548b0e400b574bfe4e78b06b16982cd270), now in git
      *without* ChangeLog...
  * debian/rules:
    - fix saxon conditional. use internal saxon because system-saxon
      breaks various filters....
    - add arm to OOO_MOZILLA_ARCHS again as it FTBFSes on the lenny backport
      otherwise because iceape-dev is not installed.
    - remove "openoffice" symlink, add "openoffice.org$(VER)" (closes: #511232),
      upstream has openoffice.org3 launcher in /usr/bin, too
    - build with java-gcj-compat on mipsel (and mips, too as IMHO it doesn't
      make sense to build mips and mipsel with different JDKs) so that it
      builds...
  * debian/rules, debian/control.qa.in, debian/openoffice.org-qa-tools-*:
    - remove -qa-*, broken and unused anyway

  [ Ben Finney ]
  * debian/control*.in:
    + Replace deprecated ‘${Source-Version}’ with ‘${binary:Version}’ for
      architecture-dependent packages.
    + Replace deprecated ‘${Source-Version}’ with ‘${source:Version}’ for
      architecture-independent packages.
      (Closes: Bug#520475)
    + more ${misc:Depends}
      (Closes: Bug#519644)
    + Follow Lintian's recommendation to avoid dependency on a Debian ‘-1’
      revision.
      (Closes: Bug#520604)

 -- Rene Engelhard <rene@debian.org>  Wed, 25 Mar 2009 19:20:05 +0100

openoffice.org (1:3.1.0~ooo310m6-1) experimental; urgency=low

  * OpenOffice.org 3.1.0 development snapshot OOO310_m6
    - build without -march=armv5te for arm (closes: #501957)
    - lbnames.h supports gcc 4.4 (closes: #505669)
    - now has overline supports for word (closes: #228392)
    - About box now fixes en-US tense and adds missing comma (closes: #470521)
    - fixes bridges for SELinux (hopefully closes: #440105)
    - doesn't decrement date on input to 1 day past on some $TZ anymore
      (closes: #512644)
    - new orig without rfc314.txt (closes: #516784)
    - removes bogus /rs in some localized dialogs (closes: #514398)
    - fixes actions in the edit area after slideshow (closes: #520161)
  * ooo-build:
    - back on trunk (r15564)
      - updates openoffice.1 to remove --version (closes: #505768)
      - mentions ; vs , change in the help (closes: #519828)
    - src: add OOO310 GSIs from ftp.linux.cz
  * debian/shlibs.override.icu: update for new icu
  * debian/shlibs.override.xmlsec: remove, xmlsec went static
  * debian/rules:
    - bump minimal ICU version for sid to >= 4.0.0
    - various 3.1-related updates
    - remove option for internal writer2latex as it's now a (bundled) extension
      upstream too and we have it packaged already.
      Hardcode --without-writer2latex
    - add conditional for enabling graphite, now that ooo-build has a surrected
      --enable-graphite again (and upstream a cws for it)
    - temporarily disable the Report Builder extension until rptfix04
    - move install of make install-installed file from cp -a to dh_install;
      this also moves hid.lst to -qa-tools
    - explicitely specify --with-stlport in USE_STLPORT=y case as
      ./configure now only defaults to STLport on i386. Add note
      about STLport and some upcoming system stuff
    - remove build-conflict on libxul-dev for MOZILLA != libxul again;
      configure fixed
    - remove -unbundled conflict when VER = "" because upstreams packages
      now are called openoffice.orgX-*.
    - tighten hsqldb depends to 1.8.0.10 with the lock fix 
    - only specify --with-lang= when we don't only build en-US. en-US is
      default anyway and not specifying --with-lang=en-US afais speeds up the
      en-US only build even more
    - OGLTrans seems to work now in sid (even for amd64), so re-enable
      (closes: #517335)r
    - update pentaho libs (build-)depends to the -OOo31 versions
    - enable ca and fi help
  * debian/control*in:
    - update for new sections:
      - -dbg -> debug, -l10n-* -> localization, -officebean -> java,
        -base -> database, ttf-opensymbol -> fonts, *cli* -> cli-mono
  * debian/rules, debian/startcenter.desktop: remove own startcenter.desktop;
    OOo now has one upstream
  * debian/control.ure.in: suggest java5-runtime instead of java2-runtime as
    jvmfwk stopped displaying JVMs < 1.5.0 and conflict against Java
    extensions using the (wrong for OOo 3) $ORIGIN in their maintainer
    scripts to not break upgrades as the old Java config is invalidated....
  * debian/control.mediawiki.in: depend on liblucene2-java until i#98680 is
    fixed
  * debian/rules, debian/scripts/openoffice-xlate-lang:
    - add openoffice-xlate-lang symlink in debian/scripts, use
      debian/scripts/openoffice-xlate-lang
  * debian/rules, debian/control.in: add support for building against an other
    python than the "current" (default) one
  * debian/copyright:
    - update
    - migrate to http://wiki.debian.org/Proposals/CopyrightFormat format

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Mar 2009 14:55:31 +0100

openoffice.org (1:3.0.1-7) unstable; urgency=high

  * brown papaer bag release
  * debian/openoffice.org-emailmerge.postinst.in:
    - add missing @ (closes: #520146)

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Mar 2009 10:32:49 +0100

openoffice.org (1:3.0.1-6) unstable; urgency=low

  [ Rene Engelhard ] 
  * ooo-build:
    - update (15544)
  * debian/rules:
    - remove ure (>= ...) from uno-libs3s Depends: (closes: #519138)
  * debian/control.in:
    - s/experimental/unstable/ in Vcs-Bzr
  * debian/openoffice.org-qa-tools.{postrm,preinst},
    openoffice.org-emailmerge.postinst.in, debian/rules: don't hardcode the
    dir, use @OOBASISDIR@

  [ Ben Finney ]
  * debian/control.in:
    + add nosmart+ to Vcs-Bzr:
    + ‘Depends: ${misc:Depends}’ as recommended by Lintian for
      debhelper(7).
      (Closes: Bug#519644)

 -- Rene Engelhard <rene@debian.org>  Sat, 14 Mar 2009 12:10:56 +0100

openoffice.org (1:3.0.1-5) unstable; urgency=high

  * ooo-build:
    - update (r15496)
  * debian/shell-lib.sh:
    - $ORIGIN -> $OOO_BASE_DIR
  * debian/presubj:
    - directly point to http://wiki.debian.org/OpenOffice#debug in IV
     (closes: #517987)
  * debian/README.Debian:
    - remove openoffice.debian.net (closes: #517978)
  * debian/control.in: 
    - remove http://udk.openoffice.org/python/python-bridge.html from
      python-unos description, we already have it in Homepage:
  * merge from Ubuntu:
    - fix PYTHON_SITE for python2.6 (print(sysconfig.get_python_lib())
    - Update rebuild-gcj-db snippet.

 -- Rene Engelhard <rene@debian.org>  Tue, 10 Mar 2009 18:22:17 +0100

openoffice.org (1:3.0.1-4) unstable; urgency=low

  * ooo-build:
    - update (r15428)
  * debian/rules
    - MONO2=y (closes: #517738)
    - re-enable lsb_release -cs call and build-conflict against base-files = 5
      for sid
  * debian/control.in:
    - make -core conflict against < OOo3 -java-common (closes: #517001)

 -- Rene Engelhard <rene@debian.org>  Sat, 28 Feb 2009 15:02:26 +0100

openoffice.org (1:3.0.1-3) unstable; urgency=low

  * ooo-build:
    - update (r15395) 
  * debian/rules:
    - build with boost 1.37
    - add libdbX.Y-dbg to DBG_DBG_SUGGESTS
    - @ICONVERSION@ is 3 and not 30 (closes: #516257)
  * debian/control.in:
    - add Conflicts: openoffice.org-core  (<< ${Source-Version}) for
      openoffice.org-common (closes: #516090)
    - readd build-dep changing for suitesparse 3.2.0, bump to 1:3.2.0-2
      and make lenny backport compatible..

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Feb 2009 00:14:31 +0100

openoffice.org (1:3.0.1-2) unstable; urgency=low

  [ Rene Engelhard ]
  * upload to unstable
  * ooo-build:
    - update (r15324) 
  * debian/openoffice.org-common.links: add symlinks to the mimetype icons so
    that they adhere to the Icon Naming Specification, thanks Guido Günther
    (closes: #512792) 
  * debian/rules:
    - add Recommends openoffice.org-math to openoffice.org-writer
    - specify ARCH_FLAGS as -O0 when DEB_BULD_OPTIONS contains noopt
      (closes: #514166)
    - only build-dep on mono 2.0.1 when MONO2=y
    - MONO2=n and revert lp-solve build-dep on the one built against
      suitesparse 3.2.0/suitesparse builddep so that we build in sid right
      now.
    - build against default db (4.7) now (as librd0-dev depends on libdb-dev
      which depends on libdb-dev...)
  * debian/openoffice.org-{base,calc}.overrides.lintian: override 
    desktop-command-not-in-package here, too (like in all the other modules)

  [ Chris Halls ]
  * ooo-build/patches/dev300/sfx2-recent-files.diff:
    Update recent files list after save as and open (closes: #505879)

 -- Rene Engelhard <rene@debian.org>  Tue, 17 Feb 2009 00:57:26 +0100

openoffice.org (1:3.0.1-1) experimental; urgency=low
 
  * OpenOffice.org 3.0.1 final (except for Windows identical with rc2)
  * ooo-build
    - update (r15151)
  * debian/rules:
    - add build-conflicts against xulrunner-dev is MOZILLA != libxul
    - build-depend on libsuitesparse (>= 3.2.0) and a lp-solve also built
      against it to prepare the transition
  * debian/control.in:
    - allow imagemagick for build again, as it seem to create the splash
      correctly now 
  * debian/scripts/fix_image_rgb, debian/rules: use convert instead of
    gm convert
  * debian/openoffice.org-common.preinst.in: fix typo to actually also remove
    dictionary.lst.old

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Jan 2009 15:30:02 +0100

openoffice.org (1:3.0.1~rc2-2) experimental; urgency=low

  * ooo-build:
    - update (r15097)
  * debian/rules:
    - update xulrunner build-dep in MOZILLA=libxul case for current reality
    - use UREPACKAGEVERSION for determining ures version, more correct and
      also includes the micro. Remove +OOo3.0.0~ suffix as ure now is at 1.4.1
      and we bump .shlibs anyway
    - create .so symlinks in UREs dir in -dev so that we have some even if
      the SDK mechanism which creates a dir in $HOME fails.
    - stop adding a extra text/rtf as writer.desktop now already contains
      it upstream (closes: #512417)
  * debian/control.in:
    - make -common conflict against dictionaries-common (<< 0.98.14) 
    - move from Breaks: to Conflicts: as otherwise the experimental buildds
      fail to install -common...
  * merge from Ubuntu:
    - make ure only Suggest a JRE 

 -- Rene Engelhard <rene@debian.org>  Thu, 22 Jan 2009 09:56:13 +0100

openoffice.org (1:3.0.1~rc2-1) experimental; urgency=low

  * OpenOffice.org 3.0.1 rc2 (OOO300_m15)
  * ooo-build:
    - update (r15061):
      - remove workaround for #i97491 again (closes: #511459)
  * build without stray ure.links (closes: #509793)
  * debian/startcenter.desktop.in: use ooo-gulls.png as Icon 
  * debian/rules:
    - apply Python26 patchset if building with python 2.6 
    - install libsalalloc_malloc.so.3 into -qa-tools
    - remove rest of if(n)eq ETCH_BACKPORT conditionals
    - fix extra license/readme file removal
    - remove empty .../ure/lib dir in -common
    - fix OOSDKDIR setting and move all $(OODIR)/sdk to $(OOSDKDIR)
    - install ooo-build/NEWS
  * debian/control.reportdesign.in:
    - add missing Depends: on ${java-runtime-depends}
  * debian/control.in:
    - only recommend ttf-liberation and change it to
      ttf-liberation | msttcorefonts (closes: #509193) 
    - fix -kdes description: remove KDE adressbook mentioning, it's in -kab
    - -common Breaks: openclipart-openoffice.org (<= 0.18+dfsg-5)
  * debian/rules, control.gcj.in: disable ppc for -gcj as gij doesn't work
    there anyway (#478760). Fix Architecture: of -gcj to not include
    non-Java archs.
  * debian/rules, debian/broffice.org.{preinst,postrm}.in: also change
    UI-brand.xcu for BrOffice.org
  * debian/presubj: point to OpenOffice.orgs README sections
    ("Problems During Program Startup" and "File Locking"). 

 -- Rene Engelhard <rene@debian.org>  Tue, 13 Jan 2009 07:56:06 +0100

openoffice.org (1:3.0.1~rc1-2) experimental; urgency=low

  * ooo-build:
    - update (r14911):
      - work around #i97491: do not move soffice into
        openoffice.org-common (closes: #509435)
  * debian/rules: (temporarily?) comment out soffice changing in -common.
  * debian/control{,in}: fix Vcs-Bzr:

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Dec 2008 23:58:48 +0100

openoffice.org (1:3.0.1~rc1-1) experimental; urgency=low

  * OpenOffice.org 3.0.1 rc1 (OOO300_m14)
    - fixes usage of flash v9 plugin (closes: #434510)
  * ooo-build
    - switch to ooo-build-3-0-1 branch (r14903)
  * debian/source.lintian-overrides: override bogus (lintian bug #511859)
    missing-build-dependency-for-dh_-command
  * debian/rules:
    - update .so -> -dev merging to the fact that 3.0s SDK does not have
      the .so symlinks for libuno_* anymore but only for the internal xmlsec.
    - install vnd.openofficeorg.extension.desktop and /openoffice.applications
      directly from sysui and make install-*/broffice use the directories
      for the respective flavour directly
    - also install /usr/share/mime-info/openoffice.keys for broffice.org
    - remove "Lohit Hindi" addition for hi-INs help, obsolete since (at least)
      3.0.0
  * debian/README, debian/rules: remove obsolete targets, explain
    make patch.apply
  * debian/control.in:
    - openoffice.org-base-core needs to depend on openoffice.org-core....
  * debian/openoffice.org-common.postinst.in: remove; call to
    update-openoffice-dicts is obsolete because OOo does not honour
    dictionary.lst anymore
  * debian//openoffice.org-common.preinst: remove
    /etc/openoffice/dictionary.lst*
  * debian/shell-lib.sh: remove long obsolete "trap {...}". bashism anyway.
    Thanks lintian.

 -- Rene Engelhard <rene@debian.org>  Sat, 20 Dec 2008 01:28:26 +0100

openoffice.org (1:3.0.0-6) experimental; urgency=low

  * ooo-build:
    - update (r14697)
      - mailmerge-ssl-ehlo.diff: fix SMTP dialog for SSL (closes: #507448)
  * debian/rules:
    - changes for mono 2.0 transition (thanks Jo Shields):
      - build-depend on mono-devel (>= 2.0.1), bump MONO_MINVER to >= 2.0.1
      - add overrides for MCS, GMCS to /usr/bin/csc and MKBUNDLE2 (mkbundle)
    - if we enable gio, install ucpgio1.uno.so properly into -gnome and fix
      -gnomes description ((GNOME) VFS -> GIO)
    - add hackaround to use ENABLE_QA_TOOLS=n on ia64 as "jar" segfaults
      there (and only there) (closes: #507135)

 -- Rene Engelhard <rene@debian.org>  Wed, 03 Dec 2008 21:07:08 +0100

openoffice.org (1:3.0.0-5) experimental; urgency=low

  * ooo-build:
    - update (r14608)
      - sensible-browser.diff: fix "typo" (sic!) (closes: #505429)
      - i95118.diff: add patch from i#i95118 to make user scripts found again
        and python extensions deployable again (closes: #504140)
      - pythonloader-no-DEBUG.diff: don't set DEBUG=1 in pythonloader.py
        (closes: #491922)
    - src: update GSIs from ftp.linux.cz
  * debian/rules:
    - update ENABLE_GIO conditional, either we want gio or gnome-vfs
    - install the extension.desktop with Type=MimeType (to
      /usr/share/mimelnk/application/vnd.openofficeorg.extension.desktop) and
      install icons for it from ooo-build. Also actually install
      openoffice.org.xml for shared-mime-info (closes: #502737)
    - don't add | java5-runtime to JAVA_RUNTIME_DEPENDS as we don't work
      with cacao-oj6 
    - add lucene-depends substitution also to binary-arch since openoffice.org
      is not Arch: all and it doesn't get the liblucene2-java dep otherwise.
  * debian/startcenter.desktop.in:
    - MimeType=application/vnd.openofficeorg.extension
  * debian/control.postgresql.in:
    - only suggest postgresql
  * debian/control.in:
    - conflict against cacao-oj6-jre (closes: #495694)
  * debian/broffice.org.{preinst,postrm}.in: add
    /usr/share/mimelnk/application/vnd.openofficeorg.extension.desktop

 -- Rene Engelhard <rene@debian.org>  Wed, 26 Nov 2008 01:29:22 +0100

openoffice.org (1:3.0.0-4) experimental; urgency=low

  * ooo-build:
    - update (r14425)
      - no-latex-filter-without-writer2latex.diff: don't include LaTeX stuff
        in Writers filter list with --without-writer2latex (closes: #502549)
      - sensible-browser.diff: run kde-open on mailto: URLs in kde-open-url.sh
        instead of removed sensible-ooomua (closes: #502852)
  * debian/rules:
    - update libstlport_gcc.so symlink to be in ure/lib (closes: #502812)
    - add option to run the API tests (cwscheckapi)
    - build with java-gcj-compat on ia64 again, at least temporarily
      (closes: #502422)
  * debian/rules, debian/broffice.org.{preinst,postrm}.in: fix Setup.xcu
    diversion
  * debian/control.in:
    - make -common conflict against older broffice.orgs

 -- Rene Engelhard <rene@debian.org>  Thu, 30 Oct 2008 15:54:36 +0100

openoffice.org (1:3.0.0-3) experimental; urgency=low

  * ooo-build:
    - update (r14320)
  * debian/copyright, debian/README.Debian-source: fix 
  * debian/rules:
    - don't run the smoketest again as it still causes weird build/install
      failures on the buildds
    - remove etch-backport conditionals, add lenny-backport conditionla -
      use internal lucene there.
    - update LD_LIBRARY_PATH setting in the SDK wrapper scripts for the
      URE

 -- Rene Engelhard <rene@debian.org>  Thu, 16 Oct 2008 21:25:56 +0200

openoffice.org (1:3.0.0-2) experimental; urgency=low

  * ooo-build:
    - update (r14305)
      - xmlhelp-system-lucene-fix.diff/extensions-system-java.diff: don't
        hardcode unxlngx6.pro...
  * debian/rules:
    - make ootestapi find OOoRunnerLight.jar by setting the necessary symlink
  * debian/control.qa.in:
    - make -qa-api-tests depend on Java as it needs OOoRunnerLight.jar to be
      run to be used. Make -qa-tools suggest it.

 -- Rene Engelhard <rene@debian.org>  Tue, 14 Oct 2008 08:16:45 +0200

openoffice.org (1:3.0.0-1) experimental; urgency=low

  * OpenOffice.org 3.0.0 final (identical to rc4)
  * ooo-build
    - update (r14292)
      - system-python-ure-bootstrap.diff: set URE_BOOTSTRAP variable if not
        there with system-python, thanks Daniel Watkins (closes: #501028)
  * debin/rules:
    - remove now obsolete ADDITIONAL_SECTIONS="DebianBaseSystem*" 
    - build against KDE3 again. In contrast to building against KDE4 it works
      in runtime (and also works with KDE4)
    - run smoketest during build again to prevent e.g. #501664 happening again.
      Put it into a mktemp -q -d generated dir instead of in the build tree
      so that it doesn't break the install after it....
  * debian/control.in:
    - make openoffice.org metapackage depend on liblucene2-java.

 -- Rene Engelhard <rene@debian.org>  Sat, 11 Oct 2008 22:02:43 +0200

openoffice.org (1:3.0.0~rc4-1) experimental; urgency=low

  * OpenOffice.org 3.0 release candidate 4 (OOO300_m9)
  * ooo-build:
    - update (r14207)
      - unxsplash-rework.diff: don't run the external oosplash with -nologo
        (no splash anyway) and with the (new) -no-oosplash
    - src: update GSIs (et ro sk)
  * debian/*.mime: run with -no-oosplash (closes: #396276)
  * debian/control.in:
    - make the openoffice.org metapackage depend on
      openoffice.org-report-builder-bin as the libs contained there are
      in the standard OOo install and the SRB needs it (even more when
      installed not from the deb)
  * debian/rules:
    - create symlinks cli_xyz.config -> cli_xyz.dll.config as policy*dll
      apparently references the former

 -- Rene Engelhard <rene@debian.org>  Mon, 06 Oct 2008 01:27:08 +0200

openoffice.org (1:3.0.0~rc3-1) experimental; urgency=high

  * OpenOffice.org 3.0 release candidate 3 (OOO300_m8)
    - fixes CVE-2008-2238 (multiple EMF parser flaws)
  * ooo-build:
    - update (r14129)
      - soffice-detect-mozilla-certificates.diff: only do a full find for
        cert8.db when we don't find it with just maxdepth 2 (closes: #499062)
    - src: update GSIs (et ga ku sk)
  * debian/rules:
    - remove extraneous LICENSE file again
    - re-enable Mono packages
    - oops, remove $TMPD in get-orig-source
  * debian/openoffice.org-report-builder-bin.overrides.lintian: fix
  * debian/control.in:
    - conflict against non-matching versions of -qa-ui-tools now that
      the new "testautomation" module follows cwses

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Sep 2008 13:57:01 +0200

openoffice.org (1:3.0.0~rc2-1) experimental; urgency=high

  * OpenOffice.org 3.0 release candidate 2 (OOO300_m7)
    - fixes CVE-2008-2237 (WMF META_ESCAPE Integer Overflow Vulnerability
    - catches exception on (malformed) ODGs referencing not existing
      images (closes: #494644)
    - makes -report-builder depend on 3.0 *exactly*.
  * ooo-build:
    - use ooo-build-3-0 branch
    - update (r14043)
      - really fixes ppc/openjdk build
      - math-draw-generic-name.diff: add GenericName for
        Draw (closes: #498922) and Math (closes: #498924)
      - sc-skip-overlapped-cells.diff: check the vadility of row numbers
        (closes: #499374)
      - src: update GSIs
  * debian/rules:
    - fix USE_SCSOLVER conditional
    - re-enable hu
    - HELP_L10N_VIRTUAL_VERSION:=3.0
    - various conditional updates for new extension configure defaults
    - --with-java-target-version=1.5 for builds with openjdk/cacao-oj6
    - also complain in binary-indep when Mono is disabled
  * debian/control.reportdesign.in:
    - depend on OOo base and java-common with >= ${base-version} and conflict
      against them with >= ${base-version}.1. According to the bug this
      closes: #497204
  * debian/shlibs.override.icu: update for OOo 3.0s icu 3.6
  * debian/openoffice.org-presentation-minimizer.preinst.in: oops, fix version
    comparison

 -- Rene Engelhard <rene@debian.org>  Tue, 23 Sep 2008 14:58:14 +0200

openoffice.org (1:3.0.0~ooo300m3-3) experimental; urgency=low

  * ooo-build:
    - update (r13694)
      + config_office-openjdk-paths.diff: add missing paths or fix
        client/server mismatch for builds with OpenJDKon !i386/amd64
        (closes: #496479)
  * debian/rules:
    - update lucene2 version; enable system-lucene now that it's in main
    - add conditonal for cacao-oj6-jdk (which doesn't work, though,
      testtool fails with the same error as seen in #495694)
    - gcj-dbtool (which we use since we build with OpenJDK) is in gij, not
      gij-X.Y and only the latter is pulled in by java-gcj-compat-dev. Add
      builddep (closes: #496480)
    - create debian/usr/bin/moc during the build, pointing to the right moc.
      moc is an alternative and can point to the wrong Qts moc.
  * debian/control.ure.in:
    - Section: libdevel for uno-libs3-dbg to fix override disparity
  * debian/control.reportdesign.in:
    - -report-builder-bin contains librpt* which is linked against libraries
      from -base so that one should depend on -base, not -report-builder

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Aug 2008 18:53:13 +0200

openoffice.org (1:3.0.0~ooo300m3-2) experimental; urgency=low

  * ooo-build:
    - update (r13660)
      + bin/package-ooo: add OFFICE_BASE_HOME and OO_SDK_URE_HOME with
        correct contents to setsdkenv (closes: #496219)
    - src: update GSIs (bg et ga nb nn ro sk)
  * debian/rules:
    - make bin/piece/* also executable

 -- Rene Engelhard <rene@debian.org>  Sat, 23 Aug 2008 17:55:41 +0200

openoffice.org (1:3.0.0~ooo300m3-1) experimental; urgency=low

  * OpenOffice.org 3.0 release branch milestone 3 (OOO300_m3)
    - deleting cell contents while spellchecking window is open does now
      not crash in calc anymore in some circumstances (but the text is not
      editable) (closes: #490549)
    - package-ooo: fix install to make help land properly in -help-xx.
  * merge 1:2.4.1-7
  * ooo-build:
    - update (r13651)
    - src: get OOO300 GSIs from ftp.linux.cz
  * debian/rules:
    - Add SYSTEM_LUCENE conditional, disable it yet as liblucene2-java is
      in contrib
    - Add SYSTEM_REDLAND conditional
    - re-enable the SDK
    - enable mn (Mongolian); build all languages again (except hu which is
      broken and just contains Swedish right now)
    - build against kde4
    - update JAVA_RUNTIME_DEPENDS; add cacao-oj6-jre as alternative, bump
      java2-runtime to java5-runtime as we now stricly need a 1.5-capable
      JRE
    - don't run ldconfig in ure package, thanks lintian
    - add Replaces: for above help fix, ended up in -common in beta2-1
    - update get-orig-source
    - adapt for new source split
    - remove xalan/xerces conditionals, add saxon ones
    - build with OpenJDK
    - add conditional to decide whether to build with Suns Solver or Koheis
      as ooo-build supports it. Use Suns solver for now
    - add build-dep on libpoppler-dev (>= 0.8.0) as there's now a patch
      making "xpdfwrapper" build against poppler. yay.
  * debian/rules, debian/control.help.in: recommend
    liblucene2-java/openoffice.org-java-common. We don't depend on it as we
    don't want to make the help depend on Java (lucene is needed for "search"
    now)
  * debian/rules, debian/control.etch_lenny_transitional.diff: remove
    etch->lenny transitional package
  * debian/rules, debian/scripts/vars.m68k: yes, we do have a m68k port now...
  * debian/rules, debian/control.in:
    - -style-andromeda is back (contains the "Classic" theme)
    - split kab support into -kab to not make -kde depend on kdepimlibs5
  * debian/rules, debian/control.mono.in:
    - update for cli_types.dll split due to the three layer OOo and other
      restructuring inside OOo. Don't make ure contain/depend on cli*dll as
      that would make all OOo packages depend on mono and people might not
      want/need it
    - Install more (upstream-generated) .config and policy* files for the mono
      bridge
    - make cli-uno-bridge conflict against the old libuno-cli-types1.1-cil
  * debian/control.in:
    - fix -andromedas Replaces:
    - Homepage: http://www.go-oo.org, thanks Renato Yamane
    - move bsh from Depends to Suggests at -java-common
  * debian/control.ure.in:
    - uno-libs3-dbg is Priority: extra
  * openoffice.org-presentation-minimizer.prerm.in: fix removal 
  * debian/rules, debian/control.in,
    openoffice.org-headless.lintian-overrides: libvclplug_svp is now in
    -coreXY upstream. Follow.

 -- Rene Engelhard <rene@debian.org>  Thu, 21 Aug 2008 21:09:34 +0200

openoffice.org (1:2.4.1-7) unstable; urgency=medium

  * ooo-build:
    - update to debian-2-4-1 branch
  * debian/control.mono.in:
    - Section: libs to fix override disparity
  * merge from experimental/3.0:
    - debian/control.in:
      + remove xutils build-dep, nas was using xmkmf and it's long gone here
  * debian/control.in:
    - Standards-Version: 3.8.0 (already following it)
    - For upgrades from bpo packages add a Replaces on
      openoffice.org-java-common to -base because of hsqldb, see below.
      (closes: #494512)
  * debian/copyright:
    - wrap "Debian package authors:" line to please lintian
  * debian/rules:
    - remove obsolete [$(OOO_ARCHS)] qualifier from python-dev builddep
      (closes: #491623)
    - put hsqldb.jar also to -base  with internal hsqldb so that we don't
      get file differences between sids package and backports.
  * debian/rules, debian/control.reportdesign.in:
    - split librpt* out into a -report-builder-bin package. Newer versions of
      the SRB also often work with older librpt*/OOo, but that would not work
      with the current packaging due to shlibdeps.

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Aug 2008 16:14:21 +0200

openoffice.org (1:3.0.0~beta2-1) experimental; urgency=low

  * OpenOffice 3.0.0 beta2 (BEB300_m3)
    - Base now doesn't quit anymore on "recently used files" in the wizard
      when those got deleted/moved (closes: #452810)
    - now properly complains about missing permissions when trying to write
      to a read-only location (closes: #238906)
    - fixes printing of handouts in grayscale mode (closes: #416309)
  * ooo-build:
    - update (r13171)
  * debian/template.desktop.in: move to ..
  * debian/startcenter.desktop.in: .. this and run ooffice now, which
    will bring us to the new StartCenter. Reuse writers icon.
  * debian/*.overrides.lintian*: move ..
  * debian/*.lintian-overrides*: here.
  * debian/scripts/installoverrides: remove
  * debian/rules:
    - run dh_lintian
    - lots of updates for removed $UPD, removed files and changed locations
      and the "three-layer OOo" (of which we merge the layers in ooo-build)
    - bump ant builddep to ant (>= 1.7.0) and additonally build-dep on 
      ant-optional when we build the mediawiki extension
    - remove scsolver conditionals, not disableabe in Suns version.
      Remove obsolete mvs
    - support default-jdk-builddep, begin support of openjdk-6-jdk for
      building, still default to java-gcj-compat-dev
    - move ure Java stuff to /usr/share/java (as before in -java-common)
    - temporarily disable SDK package (until jsc21)
    - update get-orig-source target
    - add --enable-gio conditional, disable it for now since it breaks OOo
    - start of KDE4 support
    - add BUILD_GTK conditional
    - BUILD_ONLY_EN_US=y
    - remove spellchecking symlink and specify the new configure options for
      specifying dictionary/hyphenation/thesauri paths.
    - disable mono, known-broken right now, will be fixed with m22 onwards
  * debian/rules, debian/control.in:
    - make openoffice.org-core Pre-Depend on ure (>= 1.4+OOo3.0.0~)
      (unfortunately ure didn't update it's version although 3.0.0 needs new
      symbols) and update dh_makeshlibs to add a corresponding shlibs
  * debian/control.ure.in:
    - remove unneeded ${shlibs:Depends} for ure-dbg
  * debian/openoffice.org-core.shlibs.local, debian/rules:
    - don't use a .shlibs.local for the URE libs anymore. Get the URE
      dependency via the normal .shlibs mechanism
  * debian/rules, debian/control.in,
    debian/control.{minimizer,presenter,mediawiki}.in,
    debian/openoffice.org*.{preinst,prerm,postinst}.in,
    debian/openoffice.org*.{script.bug}:
    - package the new Presenter Console, Wiki Publisher and PDF Import 
      extensions 
    - update/add Presentation Minimizer conditionals
  * debian/broffice.org.{preinst,postrm}.in,
    debian/openoffice.org-dtd-officedocument1.0.xmlcatalogs,
    - update
  * debian/rules, debian/control.in: URE is now a part of the "three-layer
    office". Remove PACKAGE_URE conditionals and make -core depend on ure.
  * debian/copyright: LGPL v3; update
  * debian/scripts/vars.*: add PLATFORMID (not kfreebsd-* yet...)
  * debian/control.in:
    - s/cupsys/cups/
    - remove xutils build-dep, nas was using xmkmf and it's long gone here
  * debian/openoffice.org-presentation-minmizer*: update for new ID
  * debian/rules, debian/control.ure.in: package the public UNO libs
    into a specific uno-libs3 package

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Jul 2008 03:09:05 +0200

openoffice.org (1:2.4.1-6) unstable; urgency=low

  * ooo-build
    - update (r13167)
  * debian/rules:
    - only try to copy debian/tmp/pkg/openoffice.org-{help,l10n}-xx when
      it's there
  * debian/control.mono.in, debian/rules:
    - hrm, we probably shouldn't make binary-arch depend on binary-indep.
      Hardcode cli-uno-bridges dependencies instead of relying on
      dh_clideps

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Jul 2008 22:25:33 +0200

openoffice.org (1:2.4.1-5) unstable; urgency=medium

  * ooo-build:
    - update (13085)
  * debian/rules:
    - re-enable Java for armel, gcj-4.3 OOM reportedly fixed. Add build-dep
      on gcj-4,3 (>= 4.3.1-2) for armel
  * debian/rules, debian/control.mono.in, debian/*.installcligac: split
    cli_*dll in various subpackages to make the packages CLI policy compliant.
    Rename libuno-cil to cli-uno-bridge. Move the files in libuno*-cil to
    /usr/lib/cli/uno-1.x
  * debian/rules, debian/control.in:
    - split emailmerge out into an own package. Don't make -writer depend on
      python-uno anymore so that -writer (and openoffice.org) still can be
      installed when python-uno is not installable (like at python-defaults
      changes)
  * debian/openoffice.org-emailmerge*: unopkg add --shared mailmerge.py
    to register mailmerge.py as it otherwise doesn't seem to work
    (closes: #488875)

 -- Rene Engelhard <rene@debian.org>  Mon, 07 Jul 2008 21:32:28 +0200

openoffice.org (1:2.4.1-4) unstable; urgency=medium

  * ooo-build
    + update (r12994)
      + sw-field-patch-fix-competing-protection.diff: for the competing
        protection problem from n#400884 (really closes: #477653)
      + distro-configs/Common.conf.in: randr re-enabled per default
  * debian/rules:
    - re-enable randr
    - re-enable mono, mono seems to be fixed on amd64
  * debian/control.in:
    - make openoffice.org metapackage depend on ttf-liberation. Remove
      msttcorefonts suggestion.
  * debian/openoffice.org-core.postrm.in:
    - fix. rm -rf /var/spool/openoffice, not /var/spool/openoffice2

 -- Rene Engelhard <rene@debian.org>  Tue, 01 Jul 2008 23:06:23 +0200

openoffice.org (1:2.4.1-3) unstable; urgency=medium

  * ooo-build:
    - update (r12885)
      + cws-cmcfixes47-sw.diff: backport fix from 3.0 to not open Word
        documents read-only (closes: #477653)
      + cws-cmcfixes47-extensions.diff: fix mozilla plugin for 64-bit mozilla
        API
      + distro-configs/Common.conf.in: --disable-randr (closes: #485833)
  * debian/rules:
    + re-enable mozilla plugin for 64bit archs
    + add ENABLE_RANDR conditional, remove libxrandr2 Recommends:

 -- Rene Engelhard <rene@debian.org>  Fri, 13 Jun 2008 23:41:39 +0200

openoffice.org (1:2.4.1-2) unstable; urgency=low

  * ooo-build:
    - update (r12856)
      + ooo86080.unopkg.bodge.diff: fix bashism: s/==/=/ (closes: #485706)

 -- Rene Engelhard <rene@debian.org>  Wed, 11 Jun 2008 09:04:10 +0200

openoffice.org (1:2.4.1-1) unstable; urgency=low

  * OpenOffice.org 2.4.1 final
  * upload to unstable
  * ooo-build:
    - update (r12837)
  * debian/control.in:
    - only recommend -fitler-binfilter. (closes: #484287)
    - conflict against libgtk2.0-0 = 2.12.10-1 on amd64 because of
      #484580 and #484758.
  * debian/rules:
    - install also other resolutions than 48x48 for the ooo-build/desktop 
      icons, thanks Chris Cheney
  * debian/rules, debian/broffice.org.*.in:
    - fixup openoffice.applications (closes: #485437) and stop specifying
      unopkg with full paths (we don't do it for ooffice either and
      /usr/bin/unopkg does it)
  * debian/copyright:
    - update

 -- Rene Engelhard <rene@debian.org>  Mon, 09 Jun 2008 20:15:06 +0200

openoffice.org (1:2.4.1~rc2-1) experimental; urgency=low

  * OpenOffice.org 2.4.1 rc2 (OOH680_m17)
  * ooo-build:
    - update (r12720)
  * debian/control.in:
    - s/meta package/metapackage/
  * debian/rules:
    - fix typo in installing bug scripts/presubj for arch-indep packages

 -- Rene Engelhard <rene@debian.org>  Fri, 30 May 2008 13:42:13 +0200

openoffice.org (1:2.4.1~rc1-1) experimental; urgency=low

  * OpenOffice.org 2.4.1 rc1 (OOH680_m16)
    - now doesn't need a patched icu (public SetBreakType) anymore for
      building
  * ooo-build:
    - use ooo-build-2-4-1 branch
    - update (r12682)
      + allows to change broken java configuration
        This closes: #451928, #452925
        Most probably also closes: #454996
  * debian/rules:
    - we also need to build-depend on libnss3-dev (closes: #481996)
    - re-enable system-icu for etch backports
    - add get-orig-source target
    - remove overseen $(OOO_ARCHS); make control/maintscripts depend on all
      .ins for it (removes duplicate contro.gcj.in). Thanks Chris Cheney
    - disable mono on amd64 and OGLtrans on 64-bit archs
    - improve USE_STLPORT/ENABLE_MONO/ENABLE_OGLTRANS/MOZILLA conditionals to 
      add the right build-deps even when the arch we generate it doesn't build
      e.g. with STLport
  * debian/control.in:
   - remove libicu build-conflicts
  * debian/control.in, debian/rules:
    - libsapdbc-java was removed, stop suggesting it and adding it to OOos
      CLASSPATH

 -- Rene Engelhard <rene@debian.org>  Tue, 27 May 2008 22:44:43 +0200

openoffice.org (1:2.4.1~ooh680m14-1) experimental; urgency=low

  * OpenOffice.org 2.4.1 snapshot OHO680_m14
  * ooo-build:
   - update (r12554)
  * debian/rules:
    - update for new xulrunner 1.9 packaging using iceape-dev.
      Use MOZILLA=iceape (closes: #480813)
    - specify -Nopenoffice.org-gcj when building without Java
    - remove extra dependency changing for libhyphen0, we now get a
      dependeny on 2.4 "for free"; build-dep on libhyphen-dev (>= 2.4)
  * debian/control.qa.in:
    - fix -qa-tools' depends
  * debian/copyright: fix "Obtained from", mention go-oo.org. Remove obsolete
    section about odk/sdk_oo

 -- Rene Engelhard <rene@debian.org>  Mon, 12 May 2008 11:38:39 +0200

openoffice.org (1:2.4.0-6) unstable; urgency=low

  * ooo-build:
    - update (r12409)
  * debian/rules:
    - fix debian/rules to add archs to OOO_SCSOLVER_ARCHS when they build OOo
      to not get useless build-deps there
    - support xulrunner 1.9
    - fix java-gcj-compat-dev build-depends conditional logic to set the
      right versioned build-dep for !etch
    - correct control.mono.in inclusion regardless of host architecture
    - explicitely set ENABLE_REPORTDESIGN=n in arch conditonals for
      disabling java (-> arm(el)). Only depend on openoffice.org-writer2latex
      when Java is enabled
    - also install pythonscript.py into $(SITE_PACKAGES)
  * debian/control.in:
    - make the openoffice.org metapackage depend on ttf-dejavu, since upstream
      OOo ships it
  * debian/scripts/vars.ppc64: actually add 
  * debian/control.in, debian/rules:
    - remove the "build libmythes-dev only" option as OOo is now enabled
      on all important archs. Remove the now unndeeded arch specifiers
      on builddeps. Hopefully makes mips(el) parse the builddep line
      again without segfault...
  * debian/control.in:
    - make impress recommend libxrandr2 as OOo now can detect size
      changes through it
    - build-depend against libxrandr-dev

 -- Rene Engelhard <rene@debian.org>  Thu, 01 May 2008 16:25:12 +0200

openoffice.org (1:2.4.0-5) unstable; urgency=low

  * rebuild with python-central 0.6.4 (closes: #476678)
  * ooo-build
    - use ooo-build-2-4 branch
    - update (r12270)
      + patches/src680/configures-explicit-arch.diff: fix up for
        the internal icu build
      + patches/src680/sc-openformula-frequency.diff: fixed a silly regression
        that prevents the built-in FREQUENCY function from working properly
        (closes: #477104)
      + patches/src680/sdk-settings-honour-linux.diff: honour also linux
        as in s390-ibm-linux instead of only linux-gnu (closes: #477153)
  * debian/rules:
    - revert libstlport4.6-dev builddep bump. Will break our builddeps
      for etch-backports and testing now has already -ldbl
    - set PACKAGE_NPSOPLUGIN=n when MOZILLA= (--disable-mozilla)
    - enable scsolver for armel (lp-solve now available)
  * debian/control.in, debian/rules:
    - only add a dependency on openoffice.org-officebean to openoffice.org
      when openoffice.org-officebean is actually built (i.e. we build with
      Java), thaks Chris Cheney
  * debian/changelog: mention the various security fixes in OOH680_m5 and
    OOH680_m6
  * merge from Ubuntu:
    - debian/rules:
      + Correct control.mozilla.in inclusion regardless of host architecture

 -- Rene Engelhard <rene@debian.org>  Mon, 21 Apr 2008 17:02:51 +0200

openoffice.org (1:2.4.0-4) unstable; urgency=medium

  * rebuild against python 2.5 (closes: #476220)
  * ooo-build:
    - update (r12156)
      + disables cjk-character-units-*.diff as they cause some problems
        (closes: #474028)
      + emf+-canvas-vcl-non-closed-polygon.diff: fixed invalid access
        (closes: #465423)
      + sw-hindi-numbers.diff: revert change for i#81577 to fix number
        displaying in hebrew docs
      + fixes uninitialized memory in manual spellchecking (closes: #469894)
    - src: update GSIs from ftp.linux.cz: bg da et fi ga mk nb nn
  * debian/rules:
    - handle new aotcompile.py location in java-gcj-compat-dev due to
      python-central >= 0.6 (closes: #475987)
    - bump libstlport4.6-dev builddep to ensure building against
      libstlport4.6ldbl
    - re-enable system-hunspell
    - bump libhyphen0 dep to 2.3-1-3
    - set MOZILLA= when arch not in OOO_MOZILLA_ARCHS
    - fix OOO_OGLTRANS_ARCHS conditional
    - disable Java (OOM) and mozilla (no xulrunner/nss/nspr available yet)
      on armel
  * debian/rules, ooo-build/patches/src680/configures-explicit-arch.diff:
    explicitely specify --host and --build (closes: #475037)
  * debian/control.in, debian/control.reportdesign.in: Fix long
    description, thanks Gerfried Fuchs (closes: #475992)
  * merge from Ubuntu:
    - debian/*.mime:
      + Update and sort mime-types.
    - debian/rules:
      + Use openjdk-6-jre instead of icedtea-java7-jre.
    - debian/control.reportdesign.in:
      + change %OOO_ARCHS% to %OOO_JAVA_ARCHS%

 -- Rene Engelhard <rene@debian.org>  Mon, 14 Apr 2008 12:23:51 +0200

openoffice.org (1:2.4.0-3) unstable; urgency=low

  * The "Third time is a charm?" release.

  * ooo-build:
    - update (r12025 - ooo-build 2.4.0.5)
      + now installs a /usr/bin/unopkg wrapper (closes: #319548)
    - src: update GSIs from ftp.linux.cz: et ga
  * debian/shell-lib.sh, debian/openoffice.org{,-common}.preinst.in:
    - don't query docbook-xmls conffiles but ours....
  * debian/rules:
    - actually add text/rtf to ooo-writer.desktop (closes: #472952)
  * debian/openoffice.org-common.manpages: install unopkg.1

 -- Rene Engelhard <rene@debian.org>  Fri, 28 Mar 2008 10:53:56 +0100

openoffice.org (1:2.4.0-2) unstable; urgency=low

  * Brown paper bag release.
  * build with a correct control to get the needed libstlport4.6-dev builddep
    on i386
  * debian/rules:
    - remove arm also from OOO_MOZILLA_ARCHS and OOO_NPSOLPLUGIN_ARCHS. Fix
      "build-only-mythes" conditional to actually be on effect for arm

 -- Rene Engelhard <rene@debian.org>  Fri, 28 Mar 2008 00:28:17 +0100

openoffice.org (1:2.4.0-1) unstable; urgency=low

  * OpenOffice.org 2.4.0 final
  * ooo-build:
    - update (r11988)
      + buildfix-oox-depends-on-unotools.diff: make oox
        depend on unotools (closes: #471633)
      + sc-fix-value-iterator.diff; fixes e.g MIN function
        (closes: #471416)
  * debian/control.in:
    - remove obsolete libsndfile1-dev builddep
    - also build-conflict against nvidia-glx-legacy-dev
    - fix Vcs-Bzr:
  * debian/*.lintian-overrides*: remove "unused-override"s
  * debian/openoffice.org-{core,ogltrans}.control.bug:
    Report-With: infos about fglrx and nvidia drivers
  * debian/rules:
    - disable binfilter builds for arm(el)
    - disable arm builds completely as it's "an obsolete arch". Still keep
      armel (won't block testing migration)
    - don't build-depend on g{cc,++}-4.3 on s390 anymore as it's the default
      now anyway. Build-depend on gcc (>> 4.3.0) and g++ (>> 4.3.0)
      instead
    - fix l10n-sr up to not conflict against -sr-cs as that's our
      etch->lenny transitional package.

 -- Rene Engelhard <rene@debian.org>  Wed, 26 Mar 2008 22:42:18 +0100

openoffice.org (1:2.4.0~rc6-1) unstable; urgency=low

  * OpenOffice.org 2.4.0 rc6 (aka OOH680_m12)
  * ooo-build:
    - update (r11918)

 -- Rene Engelhard <rene@debian.org>  Sun, 16 Mar 2008 21:07:25 +0100

openoffice.org (1:2.4.0~rc5-1) unstable; urgency=low

  * OpenOffice.org 2.4.0 rc5 (aka OOH680_m11)
  * ooo-build:
    - update (r11890)

 -- Rene Engelhard <rene@debian.org>  Thu, 13 Mar 2008 12:22:53 +0100

openoffice.org (1:2.4.0~rc4-1) unstable; urgency=low

  * OpenOffice.org 2.4.0 rc4 (aka OOH680_m10)
  * ooo-build:
    - update (r11862)
      - ubuntu-soffice-config.diff: set $HOME from getent if not set
        (closes: #431976)
      - src:
        - update GSIs from ftp.linux.cz:  bg da et fi ga mk ro uz
  * debian/rules:
    - suggest libnss-1d-dbg instead of libnss3-0d-dbg (closes: #469872)
  * debian/control.in:
    - GTk -> GTK+, thanks lintian
  * debian/udk*ref.in
    - Apps/Programming -> Programming, thanks lintian

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Mar 2008 21:08:38 +0100

openoffice.org (1:2.4.0~rc3-1) unstable; urgency=low

  * OpenOffice.org 2.4.0 rc3 (aka OOH680_m9)
  * ooo-build
    - update (r11840)
  * debian/rules:
    - enable s390 build (don't enable mono); force gcc 4.3 to workaround
      ICE(s)
  * debian/control.in:
    - build-depend on libxtst-dev

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Mar 2008 08:22:20 +0100

openoffice.org (1:2.4.0~rc2-1) unstable; urgency=low

  * OpenOffice.org 2.4.0 rc2 (aka OOH680_m8)
    - fixes printing of control elements (closes: #467168)
  * ooo-build:
    - update (r11750)
  * debian/rules, debian/control.ure.in:
    - introduce ure:Version variable (closes: #466932)
  * debian/rules:
    - fix self-reference of GCJ_JAWT_DEPENDS on etch-backports
      (closes: #466932)
  * debian/control.in:
    - remove obsolete libstartup-notification0-dev builddep

 -- Rene Engelhard <rene@debian.org>  Thu, 28 Feb 2008 23:00:39 +0100

openoffice.org (1:2.4.0~rc1-3) unstable; urgency=low

  * ooo-build:
    - update (r11700)
      + cws-ia64port01.diff: backport ia64 port
      + ubuntu-soffice-config.diff: remove disabling of thai autohinting,
        thanks Theppitak Karoonboonyana (closes: #467180)
  * debian/rules:
    - use readlink -f for determining libstlport_gcc.so.4.6s location
      (closes: #466040)
    - BUILD_IA64=y
    - --disable-mono for arm(el)
    - add GCJ_JAWT_DIR to LD_LIBRARY_PATH for a try to fix FTBFS on mips
    - install pythonloader.py into $(PYTHON_SITE) (closes: #466412)
    - temporarily build with internal hunspell (closes: #459943)
    - build with libdb4.6 (closes: #464754)
    - add symlink /usr/share/doc/openoffice.org-dev/index.html ->
      /usr/lib/openoffice/sdk/index.html. Is the other way around like
      the submitter suggested but still closes: #420804 AFAIS.
      Replace non-working link to license.html with link to
      http://www.gnu.org/licenses/lgpl.html
    - openoffice$(VER) -> $(OODIRNAME)
    - build against libsuitesparse-3.1.0; adapt build-depends to require
      the new version (and the lp-solve built against libsuitesparse-3.1.0)
    - add ttf-thai-tlwg FONT_SUGGESTS
  * debian/control.in:
    - only recommend openoffice.org-writer2latex at -writer. Add it
      to the "openoffice.org" metapackage as Depends (closes: #466170)
    - only suggest -style-{hicontrast,industrial} (closes: #466494)

 -- Rene Engelhard <rene@debian.org>  Mon, 25 Feb 2008 18:46:30 +0100

openoffice.org (1:2.4.0~rc1-2) unstable; urgency=low

  * upload to unstable
  * ooo-build:
    - update (r11592)
  * debian/rules:
    - build-depend on debhelper >= 5.0.51~ for dh_icons, thanks lintian
    - make arm build really use --without-java for the build
  * debian/libuno-cil.installcligac.in:
    - also register cli_uno_bridge.dll (although versioned 0.0.0.0) into the
      GAC
  * debian/openoffice.org-core.control.bug:
    - s/openoffice.org-filter-so52/openoffice.org-filter-binfilter/
  * debian/openoffice.org-{report-builder,ogltrans}.control.bug:
    - add report-with: openoffice.org-base / openoffice.org-impress
  * debian/*.script.bug:
    - new bug scripts listing all extensions (-core) or the extension infos
      (-report-builder, -sdbc-postgresql, -presentation-minimizer)

 -- Rene Engelhard <rene@debian.org>  Fri, 15 Feb 2008 14:15:08 +0100

openoffice.org (1:2.4.0~rc1-1) experimental; urgency=low

  * OpenOffice.org 2.4.0 rc1 (aka OOH680_m7)
  * ooo-build:
    - update (r11558)
    - src: update GSIs from frp.linux.cz (mk, ro, uz, vi)
  * debian/control.in:
    - fix logic error, we of course should conflict against old
      openoffice.org-calcs in the new common, not the other way around
      (really closes: #464544).
      Go safe for the future; make -common Conflicts: against all the modules
      (<< ${base-version})
    - build-conflict against flex (= 2.5.34-1) on amd64
    - s/python/Python/, thanks lintian. Add Homepage: field for python-uno
  * debian/control.qa.in:
    - add ${shlibs:Depends}, thanks lintian
  * debian/control.ure.in:
    - make ure-dbg depend on ure, thanks lintian
  * debian/control.postgresql.in:
    - s/postgresql/PostgreSQL/, thanks linttian

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Feb 2008 09:28:35 +0100

openoffice.org (1:2.4.0~ooh680m6-3) experimental; urgency=low

  * ooo-build:
    - update (r11531)
  * debian/control.in:
    - make -calc conflict against openoffice.org-common (<< 1:2.3.0)
      (closes: #464544)

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Feb 2008 00:19:05 +0100

openoffice.org (1:2.4.0~ooh680m6-2) experimental; urgency=low

  * ooo-build:
    - update (r11513)
  * debian/rules:
    - add some missing/fix arch qualifiers to libsuitesparse-dev/libgcj-bc
      builddeps
    - fix typos in specifying the libxml.jar and libfonts.jar
    - reinstate Common-math.xcu moving (somewhen got lost(?)) to prevent
      file conflicts on upgrade
  * debian/control.ogltrans.in:
    - bump depends to force fixed openoffice.org-common containing the correct
      Impress.xcs

 -- Rene Engelhard <rene@debian.org>  Wed, 06 Feb 2008 02:09:14 +0100

openoffice.org (1:2.4.0~ooh680m6-1) experimental; urgency=low

  * new upstream snapshot (OOH680_m6)
    - fixes CVE-2007-4770 and CVE-2007-4771 for the (unused) internal icu
      copy
  * ooo-build:
    - update (r11494)
  * debian/rules:
    - stop adding libgcj9-0-awt to java-runtime-depends. Make
      java-gcj-compat depends of officebean versioned to force 1.0.77-4 which
      already depends on the -awt package now
    - specify --with-XXXX-jar for the report-builder jars explcitely

 -- Rene Engelhard <rene@debian.org>  Sun, 03 Feb 2008 23:02:29 +0100

openoffice.org (1:2.4.0~ooh680m5-1) experimental; urgency=high

  * new upstream snapshot (OOH680_m5)
    - adds https support for WebDAV (closes: #244280)
    - officially adds possibility to input formulas starting with -/+
      (closes: #433360)
    - now queries CUPS for printers again when opening the print dialogue;
      not only on startup (closes: #290016)
    - doesn't link libofficebean.so with -lgcj anymore (closes: #441202)
    - fixes CVE-2007-5745, CVE-2007-5746, CVE-2007-5747 and
      CVE-2008-0320
  * ooo-build:
    - use trunk again (r11432)
    - src:
      + use (new) OOH680 GSIs from ftp.linux.cz
        . new: ro, gd
      + add eu GSI from Issue 85486
  * debian/rules, debian/scripts/vars.mips{,el}, debian/scripts/vars.arm{,el}:
    (re)add conditionals and vars for new mips(el)/armel and revived arm
    support; enable
  * debian/rules, debian/scripts/vars.ia64: first preparations for the
    (upcoming) ia64 port
  * debian/rules:
    - fix configure flags for "no mozilla" case, we need to specify
      --without-system-mozilla explicitely
  * debian/control.in, debian/rules,
    debian/openoffice.org-presentation-minimizer*:
    - package the new "Presentation Minimizer" extension as
      openoffice.org-presentation-minimizer
  * debian/control.ure.in, debian/rules, debian/ure.overrides.lintian.in:
    - package the URE
  * debian/rules:
    - build against OpenSSL versions of curl and (especially) neon again
      as the webdav ucp now directly links against openssl...
      (reopens: #391671). Use system-openssl.
    - ENABLE_OPENGL=y
    - bump dmake builddep
    - fix BUILD_BINFILTERS conditional to work
    - add PACKAGE_WRITER2LATEX / USE_EXTERNAL_WRITER2LATEX conditionals
    - s/stlport4/stlport/
    - fix ENABLE_JAVA=n build, build the help as it doesn't need Java anymore,
      don't build report-builder
    - enable the report-builder using the internally-built jars for the etch
      backport now that this is possible
    - temporarily build the report-builder using the internally-built jars
    - fix SYSTEM_XALAN conditional to not reset SYSTEM_XML_APIS
      bogusly
    - enable eu and ro langpacks, enable eu help
    - s/libjfreereport-java/libpentaho-reporting-flow-engine-java/
    - update for gcj 4.3; detect libgcj package name/libjawt dir automatically
    - add icedtea-java7-jre to JVM alternatives for JVM recommends/depends.
      Place it before sun-java?-jre
    - don't try to create a libstlport_gcc.so symlink if we don't build
      with stlport and the readlink will fail :)
  * debian/control.in:
    - remove Provides: writer2latex from -writer, bogus (we only provide
      libwriter2latex-java at all, and that with an old version). Depend
      on openoffice.org-writer2latex.
    - build-depend on graphicsmagick-imagemagick-compat instead of simply
      graphicsmagick as ooo-builds Makefile.shared now uses "convert".
      Suggest graphicsmagick-imagemagick-compat | imagemagick.
    - suggest only ttf-dejavu instead of ttf-dejavu | ttf-bitstream-vera;
      OOo now contains the DejaVu fonts. Closes: #461279
    - add USE_SYSTEM_JFREEREPORT conditional
    - build-depend on flex-old instead of flex, see Issue 85508
    - another Replaces: (-core) missed the epoch, thanks Chris Cheney
    - make openoffice.org-writer conflict against -java-common (<< 1:2.3.1)
      (closes: #462477)
  * debian/control.ogltrans.in:
    - depend on openoffice.orgVER-core and openoffice.orgVER-impress
      >> 2.4.0~m237
  * debian/openoffice.org-ogltrans.*.in:
    - remove, ooo-build makes this pre-registered
  * debian/openoffice.org-{ogltrans,base-core}.overrides.lintian:
    - override RPATH warning
  * merge from Ubuntu:
    - debian/rules:
      + Use java-runtime-depends variable for java dependencies.
      + make -gcj depend on libhsqldb-java-gcj
      + some minor parallel build conditional improvements

 -- Rene Engelhard <rene@debian.org>  Tue, 29 Jan 2008 00:25:31 +0100

openoffice.org (1:2.3.1-3) unstable; urgency=low

  * debian/control.in:
    - update VCS headers...
    - add build-conflicts on broken libmono-devs
  * debian/rules:
    - add build-dep on mono-{1,2}.0-devel for new mono packages
      (closes: #458541)
    - mono is now also building sparc packages; enable it

 -- Rene Engelhard <rene@debian.org>  Fri, 28 Dec 2007 16:51:47 +0100

openoffice.org (1:2.3.1-2) unstable; urgency=low

  * ooo-build:
    - update (r11083)
      + buildfix-sal-system.h-no-asm-sigcontext.h.diff: don't include
        <asm/sigcontext.h>, thanks Aurelien Jarno
      + disables SVGImport
  * debian/rules:
    - fix PYTHONPATH setting and remove aotcompile.pyc in clean, too...
    - we also need -l$(PKGDIR)-base/$(OODIR)/program for dh_shlibdeps
      as report-builder links against libdbu
    - remove libsvg conditional; SVGImport is incomplete and now disabled
      in ooo-build
    - etch backport fixes
      - use db4.4
      - use internal icu
      - use STLport on all archs
  * debian/rules, debian/control*.in:
    - add ENABLE_REPORTDESIGN conditional; disable it for etch backports
    - verbosize -report-builders description
  * debian/control.in:
    - add missing epoch to -base-core's Replaces: (closes: #454625)
    - add Replaces: openoffice.org-common (<< 1:2.3.1) to
      openoffice.org-writer as the MediaWiki things moved into -writer
      upstream (closes: #455961)
  * debian/copyright:
    - UTF-8'ize, thanks lintian

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Dec 2007 23:08:31 +0100

openoffice.org (1:2.3.1-1) unstable; urgency=low

  * OpenOffice.org 2.3.1 final (identical to rc1);
    mention CVE-2007-4575 in rc1s changelog
  * merge 2.3.0.dfsg-3 (closes: #453130)
  * upload to unstable
  * ooo-build
    - use ooo-build-2-3 branch
    - update (r11041)
      + patches/src680/fpicker-kde-dialog.diff: keeps filename between 2
        directories now (closes: #427908)
      + fixes right() function in StarBasic (closes: #452267)
      + disables GnomeVFS section for !Novell (closes: #451849)
    - src: update mk GSI from ftp.linux.cz
  * debian/control.gcj.in:
    - "fix" override disparity of -gcj
  * debian/control.in:
    - make -l10n-in depend on -mr-in, too
  * debian/control.ogltrans.in, debian/rules,
    debian/openoffice.org-ogltrans*:
    - package the new "OpenGL rendered transitions" UNO package as
      openoffice.org-ogltrans when ENABLE_OPENGL=y.
  * debian/rules:
    - add $(OOO_ARCHS) to the mesa builddeps
    - fix build with new dpkg-dev
    - re-enable cy langpack
    - build against libhyphen-dev which contains a shared lib for ATLinuxhyph
      now
  * debian/rules, debian/aotcompile-256M-default.diff: work around
    java-gcj-compat-devs defaults causing (at least) the i386 buildd
    to OOMing while building the native jars
  * debian/control.in, debian/rules:
    - put libdba680l?.so into a -base-core package. Make -base, -writer and
      -calc depend on it (closes: #381083)
  * debian/README.Debian-source
    - update
  * debian/shell-lib.sh:
    - run unopkg with -env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY=1 because
      otherwise the first run with gcj won't find a JRE (and might fail the
      install then). Flush the cache after removing as unopkg doesn't remove
      files on uninstall but marks them as "to-be-removed-on-next-start".
      Thanks Caolan McNamara.
  * debian/README.Debian:
    - update

 -- Rene Engelhard <rene@debian.org>  Wed, 05 Dec 2007 07:15:05 +0100

openoffice.org (1:2.3.0.dfsg-3) unstable; urgency=low

  * ooo-build:
    - update (r10855)
      + patches/emf+/emf+-cppcanvas-emfplus.diff: fix big endian builds

 -- Rene Engelhard <rene@debian.org>  Sat, 17 Nov 2007 13:54:47 +0100

openoffice.org (1:2.3.1~rc1-1) experimental; urgency=high

  * OpenOffice.org 2.3.1 rc1 (OOG680_m9)
    - fixes CVE-2007-4575
  * ooo-build:
    - src: remove vi and ar again (integrated)
  * debian/rules:
    - bump (build-)dep for external hsqldb to >= 1.8.0.9-1
    - fix milestone detection...
  * debian/control.in:
    - build-conflict against libicu36-dev (<= 3.6-7), libicu-dev (<= 3.8-1)
      because we need a function which was private in those versions...
  * debian/README.Debian-source
    - update

 -- Rene Engelhard <rene@debian.org>  Thu, 15 Nov 2007 13:29:04 +0100

openoffice.org (1:2.3.0.dfsg-2) unstable; urgency=low

  * ooo-build:
    - update (r10834)
      + pyuno-rpath-ooodir.diff: fix (closes: #316030)
  * debian/README.Debian-source:
    - update

 -- Rene Engelhard <rene@debian.org>  Thu, 15 Nov 2007 13:26:48 +0100

openoffice.org (1:2.3.0.dfsg-1) unstable; urgency=low

  * clean jfreereport sources included in OOo from binary-only jars
  * upload to unstable
  * ooo-build
    - update (r10794)
      - jvmfwk-detect-removed-java.diff: try autodetection if it is allowed
        and the current JRE has been removed (hopefully closes: #416242,
        please reopen if not)
    - src:
      - update GSIs from ftp.linux.cz: da km mk sl vi
      - add ar GSI from from i#83301
  * debian/rules:
    - since 2.3.0 final we need --enable-dbus explicitely
    - remove obsolete glitz build-dep
    - re-enable -gcj (closes: #449201) and bump build-dep on
      java-gcj-compat-dev for this
    - fix logic error preventing mozilla-openoffice.org having
      real content, oops (closes: #449528)
    - use system jfreereport libs
    - re-enable ar langpack
    - add libfontconfig1-dbg to DBG_DBG_SUGGESTS
    - Adapt for STLport5 patchset not applied anymore. Remove STLport5
      support.
    - Build --without-stlport4 (closes: #294105). Keep STLport4 for i386
      now due to compatibility with upstream OOo and binary-only stuff
    - fix -dbg suggests on libstdc++6 (we want libstdc++6-4.x-dbg)
  * debian/control.in:
    - XS-Vcs-* -> Vcs-*
    - add a conflict against libicu38 (= 3.8~d01-1)
  * debian/control.{,gcj}.in:
    - depend/recommend (on) java-gcj-compat instead of gij | java-gcj-compat
      as "gij" alone doesn't seem to be sufficient to make OOo know there's
      a "Free Software Foundation" JDK (closes: #440899)
    - s/j2re1.4/sun-java5-jre/
  * debian/shell-lib.sh: fix again to match what a plain upstream build
    creates when embedding the extension in the installset...

 -- Rene Engelhard <rene@debian.org>  Tue, 13 Nov 2007 08:34:15 +0100

openoffice.org (1:2.3.0-4) experimental; urgency=medium

  * ooo-build:
    - update (r10582)
  * debian/control.mozilla.in:
    - recommend konqueror-nsplugins (closes: #446911)
  * debian/control.in:
    - build-conflict against libicu-dev (= 3.8~d01-1) and rebuild against
      libicu-dev 3.8-1 (closes: #447735)
    - stop recommending nfs-common because people now need to install
      nfs-common anyway when they want to use NFS (closes: #424761)
  * deian/rules:
    - fix qstart.desktop installation. Yes, it's not obsolete (why did I thnk
      that?) and ended up in the wrong package (closes: #447732)

 -- Rene Engelhard <rene@debian.org>  Wed, 24 Oct 2007 11:19:24 +0200

openoffice.org (1:2.3.0-3) experimental; urgency=medium

  * ooo-build:
    - update (r10550)
      + ooo82608.vcl.gtkbadfree.diff: backport fix from i#82608 to fix
        bad free on theme resources (closes: #444741)
    - src/: (re)add biblio.tar.bz2
  * debian/rules:
    - readd $(OOO_ARCHS) at neon builddep which got lost
    - add a libstlport_gcc.so symlink in /usr/lib/openoffice/program when
      using STLport4 to not rely on libstlport4.6-dev where binary-only
      components would expect a libstlport_gcc.so
    - look for Autodoc_DiagnosticMessages.txt in the correct path...
    - add conditional for --enable-opengl (cws transogl1)
  * debian/control.in:
    - build-conflict against nvidia-glx-dev for safety
    - build-conflict against broken libicu36-devs on amd64, see #447275
  * debian/control.in, debian/rules:
    - adapt for new qstart implementation in ooo-build, which apparently
      makes ooqstart and qstart.desktop obsolete

 -- Rene Engelhard <rene@debian.org>  Sat, 20 Oct 2007 18:13:43 +0200

openoffice.org (1:2.3.0-2) experimental; urgency=low

  * ooo-build:
    - update (r10478)

  [ Rene Engelhard ]
  * debian/rules:
    - remove bogus curl conditional which was temporary but slipped in...
    - fix Developer Snapshot detection to match on x.y.z~mX
    - migrate from num-cpus= to parallel= in DEB_BUILD_OPTIONS, the latter
      is the quasi standard and will also be used by -j of the new
      dpkg-buildpackage
    - fix ooo-extension.desktop fixing and actually install it in the right
      target...
    - we build against libcurl3-gnutls, so build against -gnutls for neon, too
    - default to -P<number of cores> for PARALLEL_BUILD=y
    - build against neon 0.27.x
    - get rid of Autodoc_DiagnosticMessages.txt completely
  * debian/control.in:
    - make -report-builder depend on -java-common (>= 1:2.3.0~oog680m1) as
      that apparently is needed
    - remove long obsolete debconf depends; we don't use debconf anymore
  * debian/copyright:
    - point to /usr/share/common-licenses/LGPL-2.1 instead of just LGPL
      as OOo is LGPL 2.1 only
  * debian/control.mozilla.in, debian/rules:
    - don't build mozilla-openoffice.org on amd64/ppc64, broken
  * debian/*.overrides.lintian.in: adapt for new lintian
  * merge from Ubuntu:
    - debian/control.in: Build openoffice.org-officebean only on architectures
      with java support

  [ Mirco Bauer ]
  * debian/rules:
    - use LC_ALL=C instead of LANG=C for date call, else LC_ALL or LC_TIME
      might override it.
    - added mono-jit-dbg and mono-dbg to suggest list for debug packages
  * debian/control.mono.in:
    - enhanced package description

 -- Rene Engelhard <rene@debian.org>  Tue, 16 Oct 2007 17:31:47 +0200

openoffice.org (1:2.3.0-1) experimental; urgency=low

  * OpenOffice.org 2.3.0 final (identical to 2.3.0rc3)
  * ooo-build:
    - update (r10301)
      + sc-preserve-imp-opts.diff: fix order (closes: #403128), thanks
        Nagy Elemer Karoly
      + ucb-no-CURL_NO_OLDIES.diff: don't build with -DCURL_NO_OLDIES
        (closes: #442338)
  * debian/changelog:
    - mention fix for the tiff bug in 2.3.0~src680m224-1s changelog
  * debian/rules:
    - honour nocheck at test:
  * debian/control.in: Build-Conflict against libc6-dev (= 2.6.1-3) and
    libc6-dev (= 2.6.1-3) on i386/amd64 as sigcontext.h is broken
    there.

 -- Rene Engelhard <rene@debian.org>  Sun, 16 Sep 2007 11:11:08 +0200

openoffice.org (1:2.3.0~rc3-1) experimental; urgency=low

  * OpenOffice.org 2.3.0rc3 (OOG680_m5)
  * ooo-build:
    - update (r10271)
      + build with hash-style=both
      + (temporarily) disables SELinux patch again (closes: #441380)
    - src: update GSIs: da mk; remove *.log
  * debian/rules:
    - add support to build/run unit tests. For now, ignore all errors
      (bugs in the build); disable per default
  * debian/README.Debian-source: update
  * debian/watch: add
  * debian/openoffice.org-impress.mime: run Impress with -show for .pps

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Sep 2007 21:28:10 +0200

openoffice.org (1:2.3.0~rc2-1) experimental; urgency=low

  * OpenOffice.org 2.3.0rc2 (OOG680_m4)
  * ooo-build:
    - update (r10223)
    - src: update GSIs: bg cs da et vi
  * debian/rules:
    - build against db4.5 on sid (closes: #431786)
    - build with system-boost again
    - remove apparently obsolete OOO_LICENSE change to the GSIs (except
      lv and sr-CS/sh-YU which apparently still need it)
    - do not corrupt the ku GSI
  * debian/control.*.in:
    - migrate to new Homepage: field instead of adding it to the package
      description
  * debian/README.Debian-source: s/2.2.0/2.3.0/

 -- Rene Engelhard <rene@debian.org>  Fri,  7 Sep 2007 08:10:26 +0200

openoffice.org (1:2.3.0~rc1-1) experimental; urgency=low

  * OpenOffice.org 2.3.0rc1 (OOG680_m3)
  * ooo-build:
    - update (r10187)
      + jvmfwk-gij-paths.diff: update for new gcj-4.2 packages
      + jawt-check-cleanup.diff: clenup jawt check to not expect -lgcj
        (only needed with long obsolete libgcjawt). As we now only
        have a dependency on libjawt.so which all supported JDKs have,
        and don't have a dependency on a specific gcj lib anymore we
        can just depend (or-ed) on all supported JDKs.
        Indirectly closes: #439287
      + ooo80816.selinux.bridges.diff: add patch from Fedora to make OOo
        work under SELinux (closes: #440105)
      + src/: update GSIs from ftp.linux.cz: bg cs eo et fi mk vi
  * debian/README.Debian: mention myspell-hy, myspell-fa, hunspell-ar
  * debian/rules:
    - BUILD_JARS_NATIVE=n until gcj-4.2 is unbroken
    - actually install the binfilters...
    - don't specify --with-java=gij anymore to use javac -> ecj from
      java-gcj-compat on sid
    - (build-)depend on libhsqldb-java (>= 1.8.0.8-1)
    - don't run dh_icons on etch backports
    - remove PATH setting for icu tools, now handled by configure
    - remove $(PATCHSET)64 handling, obsolete
    - temporarily disable cy, as it breaks building sbasics help

 -- Rene Engelhard <rene@debian.org>  Sun,  2 Sep 2007 09:12:11 +0200

openoffice.org (1:2.3.0~oog680m2-1) experimental; urgency=medium

  * new upstream snapshot (OOG680_m2)
    - doesn't "translate" function names into german in hebrew calc anymore
      (closes: #365964)
  * ooo-build:
    - update (r10111)
      - ooo59127.vcl.honourcairofont.diff: fix for gdk hang. [CC]
        (closes: #433870)
      - cairo-canvas-ppc-fix.diff: fix endianness to fix yellow color in
        presentation mode under cairo (closes: #339439)
    - src: update GSIs from ftp.linux.cz: bg cs et fi gl sl vi
  * debian/control.in:
    - fix libpq-dev builddep, thanks calc
    - make the openoffice.org metapackage depend on openoffice.org-officebean as
      the officebean is a "standard part of the office"
  * debian/control.qa.in:
    - make -qa-tools conflict against openoffice.org-core (<< 1:2.3.0~oog680m2) as m1 breaks
      the testtool and it's already uploaded..
  * debian/rules:
    - remove some more occurances of conditionals I missed to remove
      in 2.3.0~src680m225-1
    - remove RID_STR_EXTENSION_NOT_PRESENT translation from the GSIs so that
      it is not merged (we changed the string)
    - bump HELP_L10N_VIRTUAL_VERSION to 2.3
  * merge from Ubuntu:
    - fix JAWT_DEPENDS for new gcj-4.2

 -- Rene Engelhard <rene@debian.org>  Thu, 23 Aug 2007 00:21:59 +0200

openoffice.org (1:2.3.0~oog680m1-1) experimental; urgency=low

  * new upstream snapshot (OOG680_m1)
    - makes unopkg being able to handle bundled Java extensions
  * ooo-build:
    - update (r10077)
      + cws-dba23e.diff: fix system-hsqldb
    - src/: Get fixed be-BY GSI from Issue 79966
  * debian/shell-lib.sh, debian/openoffice.org-report-builder.{pre,post}*.in:
    impove maintainer scripts (based on cws jl68). Check whether the extension
    is registered before trying to remove it (it's not in case unopkg fails,
    and we should be able to recover)
  * debian/control.in:
    - make -report-builder depend on -core >> 1:2.3.0~oog680m1 as we need the
      fixes from cws jl68
    - add Homepage: for the report-builder extension
  * debian/control.in:
    - fix -devs description; Xmerge Javadoc is not there for now, mention
      gsicheck instead
  * debian/rules:
    - fix control target dependencies
    - remove hack for #340468; seems to be not needed anymore
    - readd MySQL, MaxDB and PostgreSQL JDBC drivers to
      UNO_JAVA_JFW_CLASSPATH_URLS (removed in m224-1 due to the hsqldb
      problems fixed in dba23e)
    - one more lintian/.desktop fix
    - build-depend on libicu-dev; 3.8 changed the -dev name (and 3.4 and 3.6
      provide libicu-dev)
    - update for OOG680
    - handle epochs in $(BINARY_VERSION)
    - fix X-KDE-Protocols addition to not add it a second, third etc. time on
      incremental builds
    - ooo-extension.desktop also needs Application; removed
  * debian/control.{postgresql,}.in, debian/rules,
    debian/openoffice.org-sdbc-postgresql.*: package PostgreSQL SDBC Driver
    from http://dba.openoffice.org/drivers/postgresql/ (closes: #346475)
  * debian/copyright: update from readlicense_oo/html/THIRDPARTYLICENSE.html
    (removing stuff which is not (anymore) in OOos source...) and
    reportdesign/util/THIRDPARTYLICENSE.html

 -- Rene Engelhard <rene@debian.org>  Thu, 16 Aug 2007 12:59:20 +0200

openoffice.org (2.3.0~src680m225-1) experimental; urgency=low

  * new upstream snapshot (SRC680_m225)
  * ooo-build:
    - update (r10029)
    - src: update GSIs from ftp.linux.cz: bg cs dz et fi mk sk
  * debian/control.in:
    - build-conflict against gjdoc (= 0.7.8-2) [RE]
    - make -base suggest -report-builder and -report-builder enchance
      Base [RE]
  * debian/rules:
    - clean up multi-threaded build support [CC, RE]
    - remove share/xdgs .desktop files (except qstart.desktop), not
      needed [RE]
    - enable system-libwpg on sid [RE]
      (it's on p.d.o/~rene/libwpg while in NEW)
    - fix PRUNE_OOOBUILD conditional [RE]
    - remove removal of the Sun logo from the BrOffice.org splashs again,
      upstream now also has nologo versions for them [RE]
  * debian/*:
    - remove Ubuntu conditionals added in -1 again, it makes
      the rules for Debian even harder to read/understand than
      it's even now... [RE]
  * debian/soffice.sh, debian/rules:
    - install /etc/openoffice/soffice.sh, merged from Ubuntu. [CC, RE]
  * debian/rules, debian/overrides.lintian:
    - fix or override (package depends on package containing the file)
      lintians new desktop warnings [RE]
  * debian/rules, debian/control.in, debian/openoffice.org-report*:
    component got renamed to sun-report-builder. sigh. adapt [RE]

 -- Rene Engelhard <rene@debian.org>  Wed,  8 Aug 2007 18:39:20 +0200

openoffice.org (2.3.0~src680m224-1) experimental; urgency=high

  * new upstream snapshot (SRC680_m224)
    - fixes joining cells in writer tables (closes: #218281)
    - fixes text width in PDF export (closes: #408209)
    - adds fy_NL localedata (closes: #413205)
    - adds option to ignore printer settings from documents (closes: #428646)
    - fixes sheet printing in calc (what to print now choosable easily)
      (closes: #386250)
    - fixes tiff heap overflow (CVE-2007-2834)
  * ooo-build:
    - use trunk again
    - update (r10006)
      + apply Split section. Fixes the binfilter split so that StarWriter
        3.0-5.0 etc. do not appear anymore when -filter-binfilter is not
        installed (indirectly closes: #421274)
    - src/:
      + add updated GSIs from ftp.linux.cz:
        af be-BY bg cs cy da dz eo et fi ga ka ku lt mk nb ne nn sl tg vi
      + add uz GSI from cwx localisation21 [RE]
  * debian/rules, debian/Adobe-Core35_AFMs-314.tar.gz.uu: remove, unneeded
    [RE]
  * debian/rules:
    - update for 2.3 [RE]
    - add ppc64 test-wise [RE]
    - re-enable mr-IN since now fixed [RE]
    - build-depend on libneon26 again, got fixed and is the only supported
      version since m219 anyway [RE]
    - add conditional for system-libsvg, enable it for sid/experimental [RE]
    - install headless vcl plugin into -headless [RE]
    - remove debian/libuno-cil.installcligac in clean [RE]
    - set HELP_L10N_VIRTUAL_VERSION to $(shell $(UPSTREAM_VERSION) | tr [~]
      [\\-]) [CC]
    - suggest libc*-dbg [RE]
    - build with --enable-openxml to get the OOXML extensions for the bash
      completion [RE]
    - don't manually split binfilters anymore [RE]
    - build-depend on gperf for OOXML patchset [RE]
    - fix some stuff for etch backports [RE]
    - install splash screens directly from OOos source tree after fixing
      their RGBness and removing the Sun logo from the BrOffice.org splash
      while we don't have a nologo variant upstream yet (thanks Martin Hasch
      for the conversion hint and André Schnabel for the needed (gm) convert
      statement for the "Sun removal") [RE]
    - migrate to graphicsmagick as convert from imagemagick (at least etchs)
      does create a broken BMP out of the Sun logo removal step.. [RE]
    - re-enable km again due to demand of the Khmer people... [RE]
    - uuencode all ooo-build/desktop icons [CC]
    - add USE_SYSTEM_VIGRA conditional, enable it [RE]
    - install *updchk* again, as the extension manager UI now apparently
      needs this one, too... [RE]
    - wrap various java code with ENABLE_JAVA [CC]
    - wrap ooo-build pruning with PRUNE_OOOBUILD [CC]
    - simplify uuencode/uudecode code [CC]
    - add DBVER substition [CC]
    - fix testtoolrc (non)installation [RE]
    - enable uz langpack [RE]
  * debian/control.in:
    - build-depend on libxml-parser-perl [RE]
    - Add XS-Vcs-{Bzr,Svn} fields [RE]
    - we need to build-depend on dmake (>= 1:4.7) [RE]
    - build-depend on netpbm [RE]
    - remove imagemagick; add graphicsmagick [RE]
    - remove version from java-common-depends since it is substituted [CC]
  * debian/*.menu, debian/*.overrides.lintian:
    - update for 2.3 [RE]
  * debian/README.Debian-source: update [RE]
  * merge from Ubuntu:
    - make system-dmake conditional [RE]
    - add Ubuntu conditonals [CC]
  * debian/br{intro,about}.bmp.uu: remove, obsolete [RE]
  * debian/scripts/fix_image_rgb: add [RE]
  * debian/openoffice.org-core.shlibs.local: add
    libuno_purpenvhelpergcc3 [RE]
  * debian/rules, debian/openoffice.org-reportdesigner*: properly
    install/package the reportdesigner extension [RE]
  * debian/rules, debian/*.menu.in, debian/*.overrides.lintian.in:
    add version number to the icon= entry dynamically [RE]
  * debian/NEWS: remove, obsolete [CC]

   (CC = Chris Cheney)

 -- Rene Engelhard <rene@debian.org>  Sun,  5 Aug 2007 17:42:24 +0200

openoffice.org (2.2.1-7) unstable; urgency=low

  * ooo-build:
    + update (r9936)
    + src:
      - add he GSI from Issue 79651
        . fixes hardcoded 2.0.3 in recovery dialog (closes: #432770)
        . removes bogus 2.0.3 from Help->About ttle (closes: #432771)
  * merge from 2.3/experimental branch:
    - debian/rules:
      + fix some stuff for etch backports
      + suggest libc*-dbg
      + re-enable km again due to demand of the Khmer people...
    - debian/*.mime: move Star* into a -filter-binfilter.mime [RE]
  * debian/control.in:
    - add build-conflicts against
      libxul-dev (= 1.8.0.13~pre070720-0etch1) - broken security update, see
      #434844
  * debian/README.Debian: update for myspell-af and
    openoffice.org-hyphenation-it
  * debian/rules:
    - suggest openoffice.org-ctl-he at -l10n-he

 -- Rene Engelhard <rene@debian.org>  Mon, 30 Jul 2007 22:17:05 +0200

openoffice.org (2.2.1-6) unstable; urgency=low

  * ooo-build:
    - update (r9849)
  * debian/*.menu:
    - adapt to the new menu sections
    - fix icon=
  * debian/openoffice.org-*.overrides.lintian:
    - update overrides for menu icons
  * debian/rules:
    - fix order in USE_LIBCURL4
    - fix setting of path for the ICU utils, thanks calc
    - (temporarily) stop install xmerge javadoc as its build broke with ant
      1.7.0. Fixes FTBFS because files were tried to be installed which aren't
      there (the ant step doesn't fail...)
    - build against lp-solve (>= 5.5.0.10-4) and libsuitesparse
      (closes: #433486)

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Jul 2007 10:28:49 +0200

openoffice.org (2.2.1-5) unstable; urgency=low

  * ooo-build:
    - update (r9703)
      + libpaper-support.diff: backport suppressing of
        "paperconf: command not found" from cws vcl79 (closes: #430141)
  * debian/control.mozilla.in:
    - stop recommending mozilla-browser (closes: #431269)
  * debian/rules:
    - remove FontOOo from /usr/lib/openoffice/share/basic/launcher/script.xlb,
      see issue 79153
    - stop running the smoketest again...
    - revert to using libstlport4.6, sorry Torsten...

 -- Rene Engelhard <rene@debian.org>  Wed,  4 Jul 2007 10:48:34 +0200

openoffice.org (2.2.1-4) unstable; urgency=low

  * debian/rules: fix lp-solve builddeps, oops

 -- Rene Engelhard <rene@debian.org>  Fri, 29 Jun 2007 17:47:56 +0200

openoffice.org (2.2.1-3) unstable; urgency=low

  * debian/shell-lib.sh: do not parse /var/lib/dpkg/status diretcly, use
    dpkg-query -W -f='${Conffiles}'
  * ooo-build:
    - update (r9666)
      + distro-configs: --disable-access, broken, thanks Mechtilde Stehmann
        for the reminder
      + fix smoketestoo_native
  * debian/rules:
    - --disable-access; remove BUILD_MDBTOOLS conditionals, see above
    - improve test target; make it honour nocheck for DEB_BUILD_OPTIONS,
      run smoketest per default
    - remove some ifeq "$(ETCH_BACKPORT)" "y" conditionals, one to go...
    - make -gcj depend on bsh-gcj
    - add (Build-)Conflicts against libcairo2 (= 1.4.8-1) (closes: #430135),
      cairo 1.4.10 is fixed
    - install xmerge javadoc into -dev-doc
    - change ooo-template.desktop also for BrOffice.org
  * debian/broffice.org*.in: add diversion for ooo-template.desktop
  * debian/openoffice.org-impress.mime: add pps
  * debian/openoffice.org.control.bug: fix thinko (s/base/core/)
  * debian/control.mozilla.in: remove unneeded ${misc:Depends} at
    mozilla-openoffice.org

 -- Rene Engelhard <rene@debian.org>  Fri, 29 Jun 2007 01:04:37 +0200

openoffice.org (2.2.1-2) unstable; urgency=low

  * ooo-build:
    - update (r9584)
      + canvas_x64.diff: fixes vanvas build with internal boost on amd64
  * debian/rules:
    - adapt libmythes-dev build for canonical upstream tarball name
      (closes: #428850)
    - do not add the internal libxmlsec to openoffice.org-cores .shlibs
    - add SYSTEM_LIBWPG conditional, not enabled anywhere yet
    - use internal boost on amd64, too (closes: #425528 again)
    - fix typos (s/oooqstart/ooqstart/)

 -- Rene Engelhard <rene@debian.org>  Thu, 14 Jun 2007 16:53:01 +0200

openoffice.org (2.2.1-1) unstable; urgency=low

  * OOo 2.2.1 final release without source changes
    (with new, fixed orig.tar.gz removing some non-free stuff which
    were left in to the scripts' bug and a overseen upstream change)
  * mention CVE-2007-0245 fix in 2.2.1~rc1-1's changelog
  * ooo-build:
    - update (r9562)

 -- Rene Engelhard <rene@debian.org>  Fri,  8 Jun 2007 17:24:56 +0200

openoffice.org (2.2.1~rc3-3) unstable; urgency=low

  * ooo-build
    - update (r9534)
      + wpgimporter.diff: wpgimport moved intro -draw
  * debian/control.in:
    - update Replaces:
  * debian/rules:
    - fix debian/rules typo at adding libmono0-dbg to -dbgs Suggests
      which made OOo FTBFS on archs where mono is enabled

 -- Rene Engelhard <rene@debian.org>  Wed,  6 Jun 2007 12:59:10 +0200

openoffice.org (2.2.1~rc3-2) unstable; urgency=low

  * ooo-build:
    - update (r9520)
  * debian/rules:
    - use internal boost (closes: #425528)
    - add libmono0-dbg to -dbgs Suggests:
    - handle libgcj8-0-awt of gcj-4.2
  * build in a clean env without DEB_BUILD_OPTIONS="lang=en-US de" to
    actually build with all languages... *sigh*, again (closes: #427547)

 -- Rene Engelhard <rene@debian.org>  Mon,  4 Jun 2007 23:10:26 +0200

openoffice.org (2.2.1~rc3-1) unstable; urgency=low

  * OOo 2.2.1rc3 (aka OOF680_m18)
    - fixes CVE-2007-2754 for the (unused) internal freetype copy
  * ooo-build:
    - update (9495)
      + distro-configs/Debian*conf.in: --without-nas
  * debian/rules:
    - stop symlinking simpress' help files as that breaks searching
      in it. ship them again instead of hardlinking them as hardlinks
      are not allowed/discouraged (closes: #411693)
    - build-depend on libcurl{3,4}-gnutls-dev (closes: #391671)
    - remove unneeded diriso setting at help copying. confusing and not
      needed anymore.
    - fix qstart.desktop - again (closes: #415180)
  * debian/control.in:
    - remove libaudio-dev builddep
    - add Replaces: broffice.org (<< 2.2.1~rc1) to openoffice.org-common
      to fix upgrades from etch with broffice.org installed.  Thanks
      Otavio Salvador for the report

 -- Rene Engelhard <rene@debian.org>  Fri,  1 Jun 2007 11:05:29 +0200

openoffice.org (2.2.1~rc1-1) unstable; urgency=high

  * OOo 2.2.1rc1 (aka OOF680_m16)
    - fixes RTF parser heap overflow (CVE-2007-0245)
  * build in a clean env without DEB_BUILD_OPTIONS="lang=en-US" to
    actually build with all languages, oops
  * ooo-build:
    - update (r9418)
    - distro-configs/Debian*.conf.in: remove --with-libpaper-link
      libpaper is GPL. (closes: #423906)
    - libpaper-support.diff: update to version in cws vcl78 using the
      paperconf command.
  * merge 2.2.0-7 (closes: #422492, #422530)
  * debian/rules:
    - don't remove updatefeed.uno.so, the extension manager needs it
      (closes: #422870)
    - fix some files in the udk-common-ref doc-base file
    - updates for 2.2.1
    - remove generated udk-common-* doc-base files in clean
    - don't add Autodoc_DiagnosticMessages.txt into udk-{cpp,common}-refs
      doc-base.
  * debian/broffice.org.*.in:
   - add about.bmp to the diversions
  * debian/control.in:
    - Stop build-depending on libpaper-dev; suggest libpaper-utils (see above)
    - (again) only suggest the packages from -style-*. Somehow got lost.
      (closes: #423950)

 -- Rene Engelhard <rene@debian.org>  Tue, 15 May 2007 13:15:22 +0200

openoffice.org (2.2.1~oof680m15-1) experimental; urgency=low

  * new upstream milestone (OOF680_m15)
  * ooo-build:
    - update (r9359)

 -- Rene Engelhard <rene@debian.org>  Sat,  5 May 2007 00:04:02 +0200

openoffice.org (2.2.0-7) unstable; urgency=low

  * ooo-build:
    - update (r9364)
      + default to OPENGL_SUPPORT=no (closes: #422492)
      + prefer /gcj-4.1-71/libjvm.so over /gcj-4.1/libjvm.so
  * debian/rules:
    - use tail -n 1 instead of grep ^ii in the gcj-4.1 dpkg -l check
      as it apparently isn't always ii after installed (like in sbuild/on the
      buildds)... Same change at the libc6 check for consistency although
      libc6 probaby should be ii always even on the buildds :)
    - move oovbaapi.rdb back into -core (closes: #422530)
  * debian/rules, debian/control.in:
    - build against libcurl4 on sid

 -- Rene Engelhard <rene@debian.org>  Tue,  8 May 2007 11:28:09 +0200

openoffice.org (2.2.0-6) unstable; urgency=low

  * ooo-build:
    - update (r9346)
      + jvmfwk-gij-paths.diff: add /gcj-4.1-71/libjvm.so to fix FTBFS with
        new libgcj7-1
  * debian/rules:
    - stop creating a xt.jar symlink (closes: #412671)

 -- Rene Engelhard <rene@debian.org>  Fri,  4 May 2007 23:22:16 +0200

openoffice.org (2.2.0-5) unstable; urgency=low

  * ooo-build:
    - switch to ooo-build-2-2 branch
    - update (r9331)
      + adds crashfix for impress crashing with STLport5.1 on exit
        (closes: #421297)
  * debian/control.in:
    - add forgotten Conflicts to -common against older -writer etc due to the
      wrapper scripts/ooqstart changes
    - make new -base,-writer,-mobiledev,-officebean pre-depend on new
      -java-common, make java-common conflict against old versions of above
      packages.
  * debian/rules:
    - move oovbaapi.rdb into -calc as the rest of VBA stuff is there
    - remove unneeded updatefeed.uno.so
    - make classes a normal dir again (and add symlinks in it) instead of it
      being a symlink itself since it breaks the UNO bootstrap mechanism
      some stuff (including extensions) seem to rely on...
    - add ice* to senddoc again, got lost with the upgrade to 2.2.0
      (closes: #411387)
    - install tenmplate.desktop as ooo-template.desktop
    - handle new libgcj7-1-awt...
    - fix links to the DevelopersGuide (closes: #420803)
    - fix "openoffice" command, symlink to ooffice instead of gone ooo-wrapper
      (closes: #421030)
    - fix acor_*.dat fixing (closes: #401651)
    - cleanup:
      - split binary-* targets, remove binary-common
      - remove makebinariestar, we now have a -dbg
    - fix some links in the UDK Java docs
  * debian/libuno-cil.installcligac.in:
    - remove cli_uno_bridge.dll
  * debian/openoffice.org-{base,writer,officebean,filter-mobiledev,java-common,dev}.preinst.in:
    - add; remove classes symlink if found since dpkg doesn't replace a
      symlink with a dir
  * debian/template.desktop.in:
    - add from Ubuntu (changed in Debian to read "OpenOffice.org"
      instead of a "OpenOffice.org From Template" and remove now obsolete
      translation; and to show it) per user requests...
  * debian/rules, debian/udk-{java,common,cpp}.ref.in:
    - register UDK documentation with doc-base (closes: #420805)
  * debian/control.in, debian/rules:
    - don't depend on libxerces2-java-gcj, libxalan2-java-gcj on etch
      backports

 -- Rene Engelhard <rene@debian.org>  Wed,  2 May 2007 20:12:24 +0200

openoffice.org (2.2.0-4) unstable; urgency=low

  * Upload to unstable
  * ooo-build:
    - update (r9238)
      + apply CairoFonts patchset
  * debian/rules:
    - build-depend on libgtk2.0-dev (>= 2.10) as CairoFonts needs it
    - build against libportaudio2 (portaudio v19)
    - work around loads of fakeroot warnings by adding /usr/lib/libfakeroot
      to LD_LIBRARY_PATH ourself.
    - remove version number from qstart.desktop
    - remove temporarily added mono-build-deps again

 -- Rene Engelhard <rene@debian.org>  Mon, 16 Apr 2007 20:40:03 +0200

openoffice.org (2.2.0-3) experimental; urgency=low

  * ooo-build:
    - update (r9218)
  * debian/control.in:
    - lower Recommends added in last revision to Suggests since
      aptitude users otherwise would get the whole kde/gnome chain installed
      although they just want crystal/industrial icons.
    - make mozilla-openoffice.org depend on openoffice.org-core. remove
      conflicts; also remove unneeded ${perl:Depends}
  * debian/rules:
    - add missing mkdir -p at mono-openoffice.pc install, doh..

 -- Rene Engelhard <rene@debian.org>  Thu, 12 Apr 2007 09:36:29 +0200

openoffice.org (2.2.0-2) experimental; urgency=low

  * ooo-build:
    - update (r9212)
      + merge ubuntu-soffice-config.diff from Ubuntu. Makes variables residing
        in soffice configurable (and disables autohinting for thai)
  * debian/rules:
    - etch backport fixes (no mono, system-lpsolve fixes)
    - fix standalone libmythes build for new upstream archive type
    - revert to build with libneon25
      (closes: #406926, #396094, #401286, #410917)
    - run dh_installcligac, thanks Mirco Bauer
    - install mozilla plugin as it now apparently seems to work. (closes: #418270)
      Conflict against openoffice.org-core (<< 2.2.0-2)
  * debian/libuno-cil.installcligac.in: add
  * debian/control.in:
    - make -style-crystal recommend kde-icons-crystal;
      make -style-industrial recommend gtk2-engines, gnome-themes,
      industrial-icon-theme; make -style-hicontrast recommend
      gtk2-engines; make -style-tango suggest tango-icon-theme
    - make -dtd-officedocument1.0's description say what DTD is
      (closes: #417068)
    - make -writer Suggest -base (see #381083)
    - remove "instructions for using the package" from the descriptions
      (closes: #392629)
  * debian/control.mozilla.in: update
  * debian/copyright, debian/README.Debian-source: minor updates
  * debian/libuno-cil.{prerm,postinst}.in: remove
  * merge from openoffice.org_2.2.0-1ubuntu2.diff.gz:
    - build pt help
    - recommend nfs-common at -core

 -- Rene Engelhard <rene@debian.org>  Sun,  8 Apr 2007 19:21:03 +0200

openoffice.org (2.2.0-1) experimental; urgency=low

  * 2.2.0 final release.
  * ooo-build:
    - update (r9112)
      + libpaper-support.diff, libpaper-link.diff: add (closes: #412067)
  * debian/rules:
    - follow upstreams mono pkg-config rename to mono-openoffice.pc
    - fix glibc 2.5 check
  * debian/control.in:
    - build-depend on libpaper-dev
    - fix duplicate Replaces: at -style-andromeda, thanks lintian
  * debian/ttf-opensymbol.post{inst,rm}.in: use fc-cache -fs
  * debian/libuno-cil.{prerm,postinst}.in: fix typo 

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Mar 2007 14:20:45 +0200

openoffice.org (2.2.0~rc4-1) experimental; urgency=low

  * new upstream release candidate
  * ooo-build:
    - update (r9064)
  * debian/rules, debian/control.in:
    - rename -style-default to -style-andromeda
  * debian/libuno-cil.prerm.in: fix, doh
  * debian/libuno-cil.*.in, debian/broffice.org.*.in:
    - remove hardcoded usr/lib/openoffice, use @OODIR@
    - add @VER@ for desktop files
  * debian/rules:
    - temporary increase mono build-deps (all packages which differ in
      experimental to sid when we install mono-gmcs mono-mcs libmono-dev
      cli-common-dev) as autobuilding otherwise fails in experimental...
    - install tango icons
    - fix dh_shlibdeps call for glibc 2.5
  * debian/control.in:
    - add -style-tango package; make -gtk depend on -tango instead of
      -industrial as tango now is default on GNOME

 -- Rene Engelhard <rene@debian.org>  Thu, 22 Mar 2007 18:29:38 +0100

openoffice.org (2.2.0~rc4~oof680m13-1) experimental; urgency=low

  * new upstream milestone
  * ooo-build:
    - update (r9022)
      + added senddoc-add-mutt.diff: add mutt to senddoc, thanks Gregor Hermann
        for the patch (closes: #411631)
      + added helpcontent-fr-and.diff: fix wrong function description translation
        for French, thanks Sebastien Blondeel (closes: #412117)
  * debian/libuno-cil.prerm.in:
    - use gacutil -us
  * debian/control.in:
    - remove version info from broffice.org/openoffice.orgs
      package description, hardcoded and redundant
  * debian/rules:
    - fix permission of some examples, thanks lintian
    - generalize mono-ooo.pc installation to not fail when OOO_VERSION changes
      in ooo-build
    - enable system-libwps
    - install scsolvers ChangeLog into -calc
    - fix <ooodir>/share/xdg/qstart.desktops Exec=, thanks Fabian Greffrath
      for noticing (closes: #415180)
    - bump libhunspell-dev builddep to surely build against 1.1.5s (a bit) changed
      ABI... Since libhunspell-1.1-0 so far was only in experimental, OOo was
      the only external app using it yet and 1.1.5 is the first official
      upstream version with shared lib, just build against that and forget the
      "old" ABI...
  * debian/rules, debian/control.in: fix binfilter substvar setting for
    -filter-so52 -> filter-binfilter move and fix the indentation of the
    binfilter description. Remove now superfluous Suggests at the
    openoffice.org metapackage and make -writer use the substvar for its
    Recommends:

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Mar 2007 21:47:20 +0100

openoffice.org (2.2.0~rc2-1) experimental; urgency=high

  * new upstream releasse candidate.
    - fixes bibliography database encoding (closes: #186010)
    - "Hide slide" option now renamed on hidden slides (closes: #335720)
    - fixes StarCalc format file parser stack overflow (CVE-2007-0238)
    - fixes escaping of hyperlinks (CVE-2007-0239)
    - internal (unused here) libwpd copy fixes CVE-2007-0002
  * ooo-build:
    - use trunk
    - update
    - src/:
      - remove obsolete GSI files
      - add OOF680 GSIs from ftp.linux.cz
  * debian/control*, debian/rules:
    - rename -filter-so52 to -filter-binfilter due to upstream move of some
      other filters to the "binfilters"
  * debian/rules:
    - build -l10n-gl/-help-gl (galician)
    - 2.2 updates
    - make desktop file changing/installation handle extension.desktop and
      make broffice target changing it
    - bump mono build-deps; the C# climaker is done but needs mono (>= 1.2.3).
      We also need mono-gmcs. Also add versioned mono-utils build-dep to work
      around #412970.
    - use br{intro,about}.bmp for BrOffice.org splash/about
    - temporarily disable smoketest build completely (idlc somehow
      fails to create temporary file)
    - add lp-solve (>= 5.5.0.10-2) builddep (we now expect the shared lib)
      and make -calc depend on it when we use system lp-solve
    - build-depend on libhunspell-dev (>= 1.1.4-6) on sid
    - use internal altlinuxhyph for etch backports, thanks Otavio Salvador
    - remove defaulting to parallel builds since the formerly biggest bottleneck
      now is none anymore (HelpLinker)
    - Bump cli-common-dev builddep. Run dh_makeclilibs. Fix comment.
    - we need to specify --enable-mono explicitely when we want mono
    - install mono-ooo.pc into libuno-cil
    - enable libuno-cil on i386 and amd64 (ppc has no suitable mono yet and
      fails due to #412967 anyway, neither has sparc a mono anyway)
  * debian/scripts/vars.*: add mips and kfreebsd-i386/-amd64
  * debian/control*.in:
    - make the openoffice.org metapackage depend on -filter-mobiledev and
      -filter-binfilter (the latter doesn't have the obvious package name
      anymore and not having it gives a confusing error)
    - verbosize libuno-cils description, put it into libs
    - make libuno-cil depend on mono-gac
  * debian/rules, debian/control.mono.in: add OOO_MONO_ARCHS variable
  * debian/broffice.org.{preinst,postrm}.in: also divert ooo-extension.desktop
  * debian/*broffice.org.{bmp,png}.uu: remove, obsolete ...
  * debian/br{intro,about}.bmp.uu: ... and use these from svx/res from
    cws_oof680_nativebroffice
  * debian/libuno-cil.{postinst,prerm}.in: add; run gacutil
  * debian/openoffice.org-filter-so52.*: remove ...
  * debian/openoffice.org-filter-binfilter.*: ... add this
  * merge from openofficeorg--unstable--2.0.4:
    - debian/rules:
      + change open-url to know ice*

 -- Rene Engelhard <rene@debian.org>  Thu,  1 Mar 2007 12:58:45 +0100

openoffice.org (2.1-4) experimental; urgency=low

  * ooo-build:
    - update (r8890 / ooo-build-2-1 branch)
      + src/: add libwps-0.1.0~svn20070129.tar.gz and
              libwpd-0.8.8.tar.gz (unused...)
  * debian/control*in:
    - make -gcj Depend on libxerces2-java-gcj and libxalan2-java-gcj
  * debian/rules:
    - prepare for system-libwps by adding conditional for it, to be enabled
      once libwps gets out of NEW
    - bump libaltlinuxhyph-dev builddep to ensure we build with OOo 2.1s
      hyphenation code
    - remove obsolete --with-system-gcc
    - readd libdb4.4-java builddep until some patch ordering problems in
      ooo-build are sorted out and we actually can apply no-db-jar.diff
      (closes: #409281)
    - the smoketest hangs on amd64, disable it for amd64
  * debian/rules:
    - update cvsupdate target for svn
    - change senddoc to know iceape and iceweasel. Do it here since it's easy
      to change with sed and we don't need a debian-specific ooo-build for
      this (closes: #411387)
  * debian/openoffice.org-writer.mime:
    - add application/vnd.ms-works
  * merge from openofficeorg--unstable--2.0.4:
    - debian/control.help.in:
      + fix descriptions ("help of OpenOffice.orgs help"..)
    - debian/rules:
      + work around ooo-build not removing the generated
        openoffice{,-extra}.{applications,keys} from desktop/ by
        running make clean there before the global make distclean.
      + disable ar langpack, broken

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Feb 2007 00:31:11 +0100

openoffice.org (2.1-3) experimental; urgency=low

  * ooo-build:
    - update (r8669)
  * debian/changelog:
    - recode to UTF-8 to shut lintian up
  * debian/rules:
    - do not install Helvetica-Narrow*.afm because it confuses OOo...
    - stop build-depending on libdb4.4-java, not needed anymore due to
      the C++ HelpLinker
    - update for new location of 48x48 px icons in ooo-build
    - LIBSTLPORT_MINVER= (>= 5.0.99rc2-5) in the STLPORT5 case
    - use libstlport4.6 in the etch backport case, the needed 5.1 is stuck
      in sid
    - xvfb needs xauth (xbase-clients) and xfonts-base is also needed; add
      both to build-depends
    - link directly to xml-apis.jar instead of hard-coding jaxp-1.2.jar
      and remove depends on libjaxp1.2-java since libxalan2-java has the
      link we use and it depends on the right version, too (closes: #406783)
    - readd lost touch at build target
    - remove install-arch stampdir after dh_strip --dbg-package because
      dh_strip is not idempotent
    - fix stlport (build-)deps generation
  * debian/README.Debian:
    - s/oopadmin/spadmin/ (closes: #406760)
  * merge from openoffice.org_2.1-2ubuntu4.patch:
    - make packaging of SDK conditional
    - don't compress example python files

 -- Rene Engelhard <rene@debian.org>  Sat, 27 Jan 2007 19:02:06 +0100

openoffice.org (2.1-2) experimental; urgency=low

  * ooo-build:
    - now in svn. update (r8549)
      + odk-no-strip.diff: don't strip ODKs programs
      + odk-platform-sparc.diff: add SPARC to settings.mk (closes: #403623)
      + cws-cmcfixes30.diff: backport cws cmcfixes30, fixes
        CVE-2006-6628 (closes: #404105)
  * debian/rules:
    - don't remove ODK programs from -dbg anymore
    - don't hardcode 680, use SRCNUM variable
    - add also links in /usr/lib/ice{ape,weasel} for libnpsoplugin.so
    - when not building using firefox/xulrunner, disable mozilla, there's no
      mozilla-dev anymore
    - uri-encode is now a binary in -core; don't try to fix it's shebang :-)
    - don't expect/install opens___.ttf in ooo-build, got removed. Remove -N
      hack when we don't want to build ttf-opensymbol, add it to control as
      other conditional packages
    - prepare to build-depend on libgtk2.0-dev (>= 2.10) when applying the
      CairoFonts patch. Do not do it yet because libgtk2.0-0 (>= 2.10) as in
      experimental removes sids GNOME on an upgrade
    - build against stlport5(.1) again (closes: #364814)
    - update get-ooo-build for svn
    - fix SDK wrapper scripts to quote $@ (closes: #405974)
    - "build" in smoketestoo_native. Add build-dep on xvfb if we do that.
  * debian/control.in:
    - update broffice.org and openoffice.org descriptions version-wise
  * debian/scripts/vars.*:
    - readd, readd LIBSUFFIX; the maintscripts target gives warnings without
      it and we might need it in future anyway (e.g. for lib diversions)
  * debian/*broffice.org*.uu: update BrOffice.org images, thanks Claudio
  * debian/changelog :):
    - mention CVE-2006-5870 in 2.0.4-1 changelogs entry
  * debian/README.Debian:
    - mention uzbek dictionary

 -- Rene Engelhard <rene@debian.org>  Wed, 10 Jan 2007 01:15:20 +0100

openoffice.org (2.1-1) experimental; urgency=low

  * OpenOffice.org 2.1 final
  * ooo-build:
    - update
      + add patch from Fedora to honour fontconfig font hinting
        (closes: #385798)
      + src/:
        - update GSIs from ftp.linux.cz
  * debian/control*.in:
     - one more %CONTRIB% to be removed, oops
     - update/fix -style-*'s Replaces
     - update -dev-docs replaces...
  * debian/openintro_debian.bmp.uu, debian/rules:
    - remove intro.bmp hacks again, now in ooo-build :)
  * debian/rules:
    - bump HELP_L10N_VIRTUAL_VERSION to 2.1
    - temporary disable km build; breaks in sdraws and simpress' help
  * merge 2.0.4.dfsg.1-1 to 2.0.4.dfsg.2-2

 -- Rene Engelhard <rene@debian.org>  Thu, 14 Dec 2006 09:28:43 +0100

openoffice.org (2.1~rc2-1) experimental; urgency=low

  * OpenOffice.org 2.1 rc2 (OOE680_m6)
    - remove non-free afms (closes: #401325) and other non-free stuff (db 4.2
      docs, non-free ppds) from orig.tar.gz
  * ooo-build:
    - update
  * debian/control.in:
    - bump dmake builddep to dmake (>= 1:4.6)
    - fix -style-defaults short description
    - fix l10n-ins Depends:, oops
  * debian/rules:
    - remove sarge backport conditionals, prepare for etch backport
    - also extract $(TAG)/lingucomponent/inc to fix libymthes-dev-only build
      with pch
    - work around ooqstart not being able to handle 2.1's new splash image;
      install openintro_debian.bmp as intro.bmp
  * debian/rules, debian/*.menu, debian/*.overrides.lintian:
    - update menu stuff for 2.1
  * debian/rules, debian/ control.sarge_etch_transitional.in:
    - remove sarge->etch transitional packages
  * debian/openintro_debian.bmp.uu: add, original intro.bmp converted to RGB
  * debian/rules, debian/presubj, debian/*.control.bug:
    - add (report)bug stuff
  * debian/README.Debian-source: update
  * merge 2.0.4-6 and -7

 -- Rene Engelhard <rene@debian.org>  Mon,  4 Dec 2006 01:45:38 +0100

openoffice.org (2.1~m190-1) experimental; urgency=low

  * OpenOffice.org SRC680_m190 on the way to 2.1
  * ooo-build:
    - use HEAD again; update
  * debian/rules:
     - update for milestone versioning
     - stop depending on libxt-java at -java-common; unneeded and xt.jar is
       removed from the installset
     - update for SRC680/ooo-build changes (ooqstart, pch)
     - re-enable -dbg; use -g1, though
  * merge from
    doko@ubuntu.com--2006-pkg-openoffice/openofficeorg--unstable--2.0.4:
    - patch-38/40: Split out the four style files into their own packages.
      - Let the -gtk package depend on the industrial style.
      - Let the -kde package depend on the crystal style.
      - Let the -common package recommend all style packages.
    ( Fix package descriptions to tell the truth )
  * debian/control.in:
     - make -common depend on the default style
     - add metapackages (l10n-in and -l10n-za for all Indic/South African
       languages)
     - add some missing VERs

 -- Rene Engelhard <rene@debian.org>  Mon, 30 Oct 2006 20:04:06 +0100

openoffice.org (2.0.4.dfsg.2-3) unstable; urgency=high

  * ooo-build:
    - cws-cmcfixes30.diff: add writer parts of cws cmcfixes30, fixes
      CVE-2006-6628 (closes: #404105)
  * debian/changelog :):
    - mention CVE-2006-5870 in 2.0.4-1 changelogs entry

 -- Rene Engelhard <rene@debian.org>  Fri,  5 Jan 2007 21:06:58 +0100

openoffice.org (2.0.4.dfsg.2-2) unstable; urgency=high

  * ooo-build:
    - use special debian-2-0-4 branch, merge two important fixes
      from ooo-build-2-0-4
    - ooo68047.vcl.zwj.diff: import from Fedora, fix important regression
      in 2.0.3 for South Asian scripts (closes: #403275)
    - src:
      + update to fixed dz GSI, thanks Pema Geyleg
  * debian/rules:
    - enable dz help
    - update OOO_BUILD_BRANCH
  * debian/control.in:
    - update -dev-docs replaces...
  * merge from openofficeorg--experimental--2.1:
    - debian/control.in:
      + make -l10n-{in,za} Arch: all...

 -- Rene Engelhard <rene@debian.org>  Sat, 16 Dec 2006 01:29:02 +0100

openoffice.org (2.0.4.dfsg.2-1) unstable; urgency=high

  * again new .orig.tar.gz :/:
    - remove the rest of the ppds, except the two generic printers
      ("All Rights Reserved")
  * ooo-build:
    - update
    - src/:
      + add dz GSI from savannah (dzongha-gnome)
    - bin/openoffice-xlate-lang: add dz
  * debian/rules:
    - enable -l10n-dz, add FONT_SUGGESTS (ttf-dzongkha)
    - re-add free afms, thanks Frank Küster
    - add Mhz, GHz and THz to the exclusion list for the AutoCorrect
      (closes: #401651)
    - fix SDK docs install wrt index.html (closes: #397375)

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Dec 2006 11:08:01 +0100

openoffice.org (2.0.4.dfsg.1-1) unstable; urgency=high

  * new orig tar.gz:
    - remove non-free afms (closes: #401325) and other non-free stuff (db 4.2
      docs, non-free ppds)
  * ooo-build:
    - update (many important fixes, some translations)
  * debian/rules:
    - fix DH_COMPAT setting
  * merge from openofficeorg--experimental--2.1:
    - debian/control.in:
      + bump dmake builddep to dmake (>= 1:4.6)
    - debian/README.Debian-source: update

 -- Rene Engelhard <rene@debian.org>  Sun,  3 Dec 2006 21:56:24 +0100

openoffice.org (2.0.4-7) unstable; urgency=high

  * The "Not everything which looks like sufficiently translated is" release

  * ooo-build
    - update
    - major printing fix
  * debian/rules:
    - prefer Lohit Hindi in -help-hi-in's *.css files
    - disable sk, mk, bg help (< 45%)
    - enable hi-IN help (51%), make -help-in Depend on ttf-devanagari-fonts
      since without Lohit Hindi we get broken headers/bold text
  * debian/control.help.in:
    - make -help-XY depend on -l10n-XY since -help-XY seems to have no
      effect when -l10n-* isn't there and the UI is switched to
      that language. By the way this closes: #258841

 -- Rene Engelhard <rene@debian.org>  Wed,  8 Nov 2006 00:26:14 +0100

openoffice.org (2.0.4-6) unstable; urgency=medium

  * ooo-build:
    - update
      + new sk,cs translations
      + distro-configs/Debian*conf.in: re-enable --with-system-odbc-headers to
        actually build with the headers from system... (somewhen/-how got lost)
  * ooo-build/src:
    - add uk GSI from upstream IZ
  * ooo-build/bin/openoffice-xlate-lang:
    - add uk (ukrainian)
  * debian/rules:
    - enable uk langpack
    - re-enable build with system-boost again, works now
  * debian/*.mime:
    - use e.g. "soffice -writer" instead of "oowriter" since ooowriter returns
      immediately with ooqstart and this breaks e.g. mutt. (closes: #396276)
  * merge from openofficeorg--experimental--2.1 branch:
    + add metapackages (l10n-in and -l10n-za for all Indic/South African
      languages)
    + add some missing VERs
    + re-enable -dbg; use -g1, though
    + sort ISOS/LANGPACKISOS again

 -- Rene Engelhard <rene@debian.org>  Fri,  3 Nov 2006 22:40:49 +0100

openoffice.org (2.0.4-5) unstable; urgency=medium

  * Brown paper bag or: "Don't use an older .diff.gz/.dsc for final
    building" release.
  
  * ooo-build:
    - update
    - buildfix-hsqldb-1-8-0-7.diff: fix build with hsqldb 1.8.0.6/7
  * debian/rules:
    - enable system hsqldb again..
  * debian/control.in:
    - also suggest hunspell-dictionary at openoffice.org

 -- Rene Engelhard <rene@debian.org>  Mon, 30 Oct 2006 04:40:39 +0100

openoffice.org (2.0.4-4) unstable; urgency=medium

  * debian/rules:
    - build with internal hsqldb due to graitous hsqldb upload (1.8.-0.7) to
      sid breaking API....

 -- Rene Engelhard <rene@debian.org>  Sat, 28 Oct 2006 18:32:01 +0200

openoffice.org (2.0.4-3) unstable; urgency=medium

  * ooo-build:
    - update
  * ooo-build/src:
    - add new/fixed ca GSI (http://people.debian.org/~jordi/ca.sdf.bz2),
      thanks Jordi Mallach
    - add updated ku GSI from http://download.ferheng.org/ooo2/GSI_ku.sdf.bz2
  * debian/rules:
    - WITH_AGG=n; not used in OOo yet (although built-in), just in the source
      because of "internal [Sun] reasons..."
    - stop adding ($(BUILDER)) to OOO_VENDOR. It ends up only in the res files
      and therfore only has an effect on the initial l10n (_all) upload
      and appears on all archs (also if they've been built on the buildd) which
      is not what was intended
    - add LOCALES_DEPENDS for or-IN, was added to glibc together with as-IN;
      update some LOCALES_DEPENDS for new locales packages
    - enable or-IN, ss, ns, nr, ve, ts langpacks
  * debian/control.*.in:
    - suggest iceweasel and iceape-browser
    - bump FONT_SUGGESTS Suggests to Recommends

 -- Rene Engelhard <rene@debian.org>  Wed, 25 Oct 2006 15:29:39 +0200

openoffice.org (2.0.4-2) unstable; urgency=high

  * ooo-build:
    - update
    - fixed system-icu.diff now also working with 3.4 again
    - SDK installation fixed to not fail with many languages
    - openoffice-xlate-lang: eo added
    - allow unpacking of help_images_<iso>.tar.gz and extras_<iso>.tar.gz
    - disable "Shrink" patchset, (closes: #393857)
    - src:
      - remove de GSI, old and obsolete; thanks to Eric Hoch for finding this
      - add eo GSI from http://people.ubuntu.com/~doko/edgy
      - add help_images_sl.tar.gz and extras_sl.tar.gz from ftp.linux.cz
        to fix/update sl's help images/extras
  * debian/rules:
    - enable -gcj
    - add "locales (>= 2.3.6.ds1-1) | locales-all (>= 2.3.6.ds1-1)" Depends
      for -l10n-as-in
    - enable as-IN and eo langpacks
    - revert to building with libstlport4.6 (closes: #392698, reopens: #364814)
  * debian/control.in:
    - make -common conflict against 2.0.4~rc3-1 -core which would still expect
      the libcu*.so.26 symlinks here. See #393597.
    - once again, change the Mozilla suggestions (this time also in the
      package descriptions): remove all transitional packages except
      thunderbird (still "normal" in testing), add icedove in front of
      "thunderbird". Keep mozilla-browser since it's still present in unstable.
    - Analogous with the xlibmesa-gl | libgl1 suggestion, just keep libgl1
    - remove oooqs-kde Suggests since we conflict against it anyway now
      (closes: #389616)
  * debian/scripts/aot-compile: remove, obsolete
  * debian/README.Debian: (minor) updates, mention statd-not-running problem.

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Oct 2006 21:06:21 +0200

openoffice.org (2.0.4-1) unstable; urgency=medium

  * The "Happy Birthday OpenOffice.org!" release.

  * OpenOffice.org 2.0.4 final.
  * ooo-build:
    - update; use ooo-build-2-0-4 branch
    - system-icu.diff, cws-icuupgrade.diff: icu 3.6 support
    - soffice-detect-mozilla-certificates.diff: prefer firefox, actually
      support thunderbird. Also handle multiple profiles in e.g.
      ~/mozilla/firefox and profiles with spaces (closes: #391392), thanks
      Ben Wheeler
    - apply CalcSolver patchset for amd64, too now that it builds again
    - disable speed-chart.diff (closes: #391875)
    - sd-slideshowimpl-check-for-viewframe.diff: backport revision 1.31.60.1
      from cws impress107 to fix crash on the impress wizard (i#69530)
      (closes: #389473)
    - cws-cmcfixes28.diff: backport some important fixes (64bit,
      CVE-2006-5870, ...) (closes: #405679)
  * debian/rules:
    - build with system icu again
    - build also native versions of officebean.jar, sdbc_hsqldb.jar and
      writer2latex.jar if building -gcj
    - move scsolver also into -calc on amd64
    - make get-ooo-build use ooo-build-2-0-4 branch
    - update milestone detection for ~-versioning
    - fix regcomp wrapper installation
  * debian/control.in:
    - put firefox at the beginning of the Mozilla suggests since firefox
      should be prioritized, add thunderbird. Keep
      mozilla-{firefox,thunderbird} after it and move mozilla-browser to
      the end. (to be removed)
    - stop conflicting against openoffice.org-gcj at -java-common
    - Build-Conflict against libstlport5.0-dev (= 5.0.2-10) (see #392131)
  * debian/README.Debian-source: add
  * merge from
    doko@ubuntu.com--2006-pkg-openoffice/openofficeorg--unstable--2.0.4:
    - patch-34: Add gij as an alternative dependency for a java runtime.
    - patch-36:
      Build again the openoffice.org-gcj package using the updated
      java-gcj-compat-dev build infrastructure; don't build native
      code for ridl.jar, avoiding a crash in the JVM. Adjust
      dependencies and suggestions.
  * merge from patches.ubuntu.com:
    - use %OOO_ARCHS% at -gcjs Architecture: and add Enhances:
    - some minor rules improvements
    - make usage of ooo-build .desktop files possible
      ( add it into a USE_OOO_BUILD_DESKTOPS conditional )

 -- Rene Engelhard <rene@debian.org>  Thu, 12 Oct 2006 21:26:11 +0200

openoffice.org (2.0.4~rc3-1) unstable; urgency=high

  * OpenOffice.org 2.0.4 rc3
    - handles missing Setup.xcu at unopkg (closes: #388215, 387224)
  * ooo-build:
    - update
  * debian/control.in:
    - fix typo in -gnomes description (closes: #389423)
  * debian/rules:
    - temporarily build with internal icu again. icu 3.6 doesn't seem
      to be sufficiently compatible... (closes: #390106, #390128)
      Most probably also closes: #390133, #390136.
  * debian/rules, debian/shlibs.override.icu:
    - add shlibs overrides for internal icu
  * merge from
    doko@ubuntu.com--2006-pkg-openoffice/openofficeorg--unstable--2.0.4:
    - patch-27: Build using db4.4. (closes: #341649)

 -- Rene Engelhard <rene@debian.org>  Mon,  2 Oct 2006 21:44:01 +0200

openoffice.org (2.0.4~rc2-2) unstable; urgency=high

  * ooo-build:
    - update
    - debian-opt.diff: build with -O2 on i386 and sparc, too (closes: #198694)
    - src/: add ka GSI from Ubuntu
  * debian/rules:
    - build-depend against libicu36-dev
    - remove shlibs.local for libstlport5.0, fixed. Bump STLPORT_MINVER
    - remove unneeded libupdchk680*so
    - fix broffice.org resources changing
    - add new broffice target instead of doing it in binary-arch since
      it will not do what we want on the buildds. The files and diversions
      we need are only created on a "normal" build. Make binary-indep depend
      on broffice
  * debian/control.*.in:
    - make -help-* depend on -writer (closes: #388397)
    - make -common conflict against openoffice.org-debian-menus from the
      www.openoffice.org packages
    - make broffice.org Arch: all
  * merge from Ubuntu
    - Don't build the ti-ER locale; we are limited in the number of
      languages that we can build; ka (Georgian) was requested by users,
      ti-ER not.

 -- Rene Engelhard <rene@debian.org>  Sun, 24 Sep 2006 11:11:30 +0200

openoffice.org (2.0.4~rc2-1) unstable; urgency=low

  * OpenOffice.org 2.0.4 rc2
  * ooo-build:
    - update [RE]
    - config_office-dbus-check.diff: proper configure check for dbus [RE]
    - soffice-detect-mozilla-certificates.diff: detect mozilla certificates
      (closes: #345703, #373224) [RE]
    - src: GSI updates from ftp.linux.cz (af, da, sl)
  * debian/rules, debian/control.in:
    - add hardcoded depends for -officebean on libgcj7-awt (libjawt.so)
      which isn't picked up by dpkg-shlibs [RE]
  * debian/rules, debian/control.in, debian/*broffice.org*:
    - add a broffice.org package; diverting necessary files from
      openoffice.org-* away. [RE, CH]
  * debian/rules:
    - only match on o*.1 for manpage symlink changing - do not move
      libxmlsec1*.so.1... [RE]
    - remove dbus workaround again, specify --disable-dbus when disabling
      dbus; enable it again for sid [RE]
    - enable amd64 debs (closes: #376134). Actually already in accident in the
      last upload but withdrawn after the buildd build.
  * debian/control.in:
    - add versioned conflicts against openoffice.org-common at
      openoffice.org-dtd-officedocument1.0 (closes: #386763) [RE]
    - add missing Replaces: against -l10n-en [RE]

 -- Rene Engelhard <rene@debian.org>  Sat, 16 Sep 2006 11:53:48 +0200

openoffice.org (2.0.4~rc1-1) unstable; urgency=medium

  * OpenOffice.org 2.0.4 rc1
  * upload to unstable
  * debian/rules:
    - add shlibs.local entry for libstlport5.0 to force dependency on
      libstlport5.0 >= 5.0.2-7 to go safe
    - disable -dbg package
  * debian/control.in:
    - temporarily hack around and build-conflict against libdbus-glib1-dev
      to force disabling of the dbus things (breaks with dbus update...). Will
      be fixed properly...

 -- Rene Engelhard <rene@debian.org>  Fri,  8 Sep 2006 16:53:46 +0200

openoffice.org (2.0.4~ood680m2-2) experimental; urgency=low

  * ooo-build:
    - update
    - lfs.diff: allow to build with -D_FILE_OFFSET_BITS=64 (closes: #245861)
    - configure.in: do not try to copy unowinreg.dll on non-Java builds
      (which don't have --with-mingwin specified). Really closes: #384727
    - src/: GSI updates again (bg, et, ne, sk, sl, ve). Remove ar and fa.
  * debian/rules:
    - enable build against stlport5, namely libstlport5.0 (closes: #364814)
    - binfilter builds with stlport5 now, remove disabling
    - use system-boost again since build with stlport5 fails without it
    - build against libneon26
    - chmod 644 testtoolrc, thanks lintian again
    - handle new ooo-build/current directory created by ooo-build instead of
      ooo-build/$(TAG), create symlink for ooo-build/$(TAG), thanks Matthias
      Klose
    - bump debhelper and python-dev build-deps, thanks Matthias Klose again
    - revert unneeded $(DIST) change above, wrong var and the cause was
      configure.in, see above (doh!)
    - add gstreamer0.10-ffmpeg to the gstreamer suggests
    - add missing ifeq "$(ENABLE_JAVA)" "y"'s to -qa-* packaging
    - remove creating soffice symlink; now done by ooo-build already
    - add STLPORT_VER=500 to the SDKs settings.mk if we build with STLport5 to make
      stuff using it use -lstlport instead of -lstlport_gcc
    - move qstart.desktop into -gtk (as ooqstart is in -core, and libegg* in
      -gtk..)
    - re-enable Java on amd64, seems to work on current amd64/sid now
  * debian/openoffice.org-core.manpages: remove, bogus

 -- Rene Engelhard <rene@debian.org>  Sun,  3 Sep 2006 22:57:05 +0200

openoffice.org (2.0.4~ood680m2-1) experimental; urgency=low

  * new upstream milestone (OOD680_m2)
  * ooo-build:
    - update
    - new GStreamer patchset for avmedia using GStreamer. Inserting Sounds
      works now (although due Insert->Movie and Sound only) so this
      closes: #332194
    - src/: GSI updates from ftp.linux.cz (bg da et ga mk sk sl ss ve)
  * debian/rules:
    - enable gstreamer
    - chmod 644 unowinreg.dll, thanks lintian
    - fix README.qa installation
    - fix NEWS.Debian non-installation in libmythes-dev. Do not install
      the OpenOffice.org README and README.Debian into libmythes-dev
    - specify --with-mingwin also on $(DIST) Debian64/DebianSarge
      (closes: #384727)
    - enable ku langpack
    - bump python-central builddep to >= 0.5
    - move testtoolrc into -qa-tools
    - install main_transform.xsl again... (don't remove help/ in -common...)
    - remove unneeded (and broken) sed which was forgotten to be removed
  * debian/control.in, debian/rules:
    - suggest gstreamer0.10-plugins-*
    - suggest -dbg packages for libs we use at -dbg
  * debian/openoffice.org-qa-tools.overrides.lintian:
    - override binary-or-shlib-defines-rpath
    - override executable-not-elf-or-script (bogus)
  * debian/openoffice.org-calc.manpages:
    - add, forgotten at last upload
  * debian/pycompat: add, thanks lintian
  * debian/source.lintian-overrides: override openoffice.org source:
    missing-build-dependency python-central (>= 0.5). False positive...
  * debian/openoffice.org.preinst.in:
    - fix logic error - don't remove psprint.conf and sofficerc is "$2" is
      empty (we didn't have "openoffice.org" before - so that both don't
      vanish. If they vanished without you wanting that, use
      dpkg -i --force-confmiss on openoffice.org-common to restore them

 -- Rene Engelhard <rene@debian.org>  Sun, 27 Aug 2006 13:29:15 +0200

openoffice.org (2.0.4~ood680m1-1) experimental; urgency=low

  * new upstream milestone (OOD680_m1)
  * ooo-build:
    - update
      + bin/package-ooo: install gid_Module_Optional_Grfflt into -draw directly
      + system-xmlsec.diff: use xmlsec1-nss for pkg-config, not xmlsec1
      + disable printer-properties-disable.diff (closes: #373974, #353595)
      + distro-configs/Common.conf.in: --with-use-shell=bash
      + src/:
        . update GSI files from ftp.linux.cz
          (be-BY bg cs da et ga lv mk nb nn sk sl ss)
        . remove ar (broken bz2)
  * debian/rules:
    - enable installation of ooqstart/libeggtray again since ooo-build is now
      fixed wrt this
    - enable -dbg package
    - enable pyuno and binfilters on amd64
    - stop creating -l10n-en-us, merge its files back into the main
      packages, install en-US' resources consequently into -common
    - remove empty /usr/lib/openoffice/help directories
    - move gcj classmap creation into the right conditional
    - fix clean target for ooo-build changes
    - remove unowinreg.dll build/strip, now done upstream, remove manual
      install; mv the one installed by OOo to the right place
    - fix no-java build (don't try to move around writer2latex.jar)
    - enable packaging of -qa-* (requested by OOo QA) and fix README.qa
      installation
    - remove .testtoolrc installing at all (seems to be a sneaked-in file);
      rm -f it when it should appear
    - add USE_GSTREAMER conditional (gstreamer support for avmedia is
      progressing...); remove .wav files only if not building with GStreamer
    - move mingw32 build-dep into ifeq "$(DIST)" "Debian" and specifiy
      --with-mingwin=i586-mingw32msvc-g++
    - install manpages using dh_installman, still not optimal but better than
      the broken manpage installation before
  * debian/control*.in:
    - fix -dbgs description
    - stop depending on -l10n-en-us at -core and -common since now merged back
      into -common (closes: #335266). Also makes sarge->etch upgrades with
      plain apt-get possible without apt trying to remove openoffice.org
      (closes: #360489)
    - add -l10n-hi and -help-en transitional packages (to -l10n-hi-in and
      -help-en-us) for sarge->etch upgrade; add Replaces:
      openoffice.org-help-en at -help-en-us
    - hardcode << 2.0 in the hardcoded help conflicts against sarge at core;
      that's what meant and using ${base-version} breaks with the ~ semantics
    - remove -gtks conflicts and fix it's description
    - remove build-dep on tcsh
    - add openoffice.orgVER-l10n-${help-l10n-virtual-version} suggest
    - add missing Replaces: for Embedding-*.xcu move upstream
    - since ooqstart now is in -core, also conflict against ooqstart-gnome and
      oooqs-kde there. Probably should be removed then after this enters
      sid...
    - add patch from Matthias Klose to improve some Replaces:/Conflicts and
      Provides:
  * debian/rules, debian/control*in:
    - introduce new BASE_VERSION variable and use this one for base-version
    - introduce HELP_L10N_VIRTUAL_VERSION and ${help-l10n-virtual-version}
      since we cannot use base-version there with ~ ( ~ not allowed in
      package names)
    - remove >= 2.4 (and python-minimal at all) at python build-deps since
      default in sid is now 2.4
  * debian/control.in, debian/rules, debian/*.xmlcatalogs:
    - split OfficeDocument 1.0 DTD out into own package (closes: #321876)
  * merge 2.0.3-5 and -6

 -- Rene Engelhard <rene@debian.org>  Sat, 19 Aug 2006 16:23:39 +0200

openoffice.org (2.0.3+2.0.4m179-1) experimental; urgency=low

  * new upstream milestone m179 on the way to OOo 2.0.4
  * since we upload to experimental, which has python 2.4 as default
    we can as well build against 2.4 now (closes: #336284)
  * ooo-build:
    - use HEAD
    - apply xmlhelp-use-libxslt-from-system.diff again; crashes supposedly
      fixed
    - src: GSI updates for SRC680 from ftp.linux.cz
  * debian/control.in:
    - bump python-dev builddep to (>= 2.4) as the experimental buildds
      otherwise won't pick it up from exeperimental, version python and
      python-minimal (newly added) ones, too since iirc the experimental
      buildds still won't take it otherwise. To be removed again when this
      goes to sid.
    - remove build-conflicts on dmake 4.5 again since dmake 4.5 works here
    - make -writer provide writer2latex
    - add openoffice.orgVER-filter-mobiledev
  * debian/rules:
    - use i586-mingw32msvc-g++ now as unowinreg is now a .cxx with extern "C"'s
    - we upload to experimental anyway, so let's enable amd64 packages for the
      time this is in experimental. Will be disabled for sid again.
    - (re-)add USE_LIBXSLT conditional, enable it
    - move mobile devices filters (AportisDoc, Pocket{Word,Excel} into an own
      package
    - build with internal xmlsec
    - build pt langpack
    - rework override for internal libxmlsec libs, doesn't work with also
      overriding the UNO libs, create shlibs.local from the different
      overrides
    - add conditional to install/not install the quickstarter stuff; disable
      it for now because it crashes
  * merge from
    doko@ubuntu.com--2006-pkg-openoffice/openofficeorg--unstable--2.0.3:
     - move ooqstart to -core

 -- Rene Engelhard <rene@debian.org>  Tue,  1 Aug 2006 11:53:34 +0200

openoffice.org (2.0.3-6) unstable; urgency=medium

  * debian/control.in:
    - fix Replaces: at -draw (closes: #383388)
    - remove obsolete Suggests on prelink
    - add openoffice.orgVER-l10n-${base-version} suggest
    - tighten depends at -impress to -draw - also = ${Source-Version}
    - make -gtk conflict against oooqs-kde (closes: #383405)
  * debian/openoffice.org-hunspell.overrides.lintian: obsolete, remove
  * debian/rules:
    - fix .wav removal to not leave an empty sounds/ dir behind

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Aug 2006 17:31:01 +0200

openoffice.org (2.0.3-5) unstable; urgency=low

  * build against python 2.4 (closes: #336284)
  * ooo-build:
    - update
      + bin/package-ooo: install gid_Module_Optional_Grfflt into -draw directly
      + system-xmlsec.diff: use xmlsec1-nss for pkg-config, not xmlsec1
      + disable printer-properties-disable.diff (closes: #373974, #353595)
  * debian/README.Debian:
    - mention new helps, pl mentioned already in 2.0.3-4 but the rest
      was forgotten...
  * debian/control.*.in:
    - some substitutions with %OOO_ARCHS% which were forgotten
    - suggest libsqliteodbc
    - add patch from Matthias Klose to tighten up dependencies and conflicts
      to force every part to be the same version
    - fix typo in conflicts for sarges openoffice.org-help-tr
  * debian/rules:
    - fix dependencies to not build libmythes*.a twice
    - fix some hardcoded occurances of /usr/lib/openoffice, use $(OODIR)
    - move fcfg_{draw,impress}graphics*.xcu out of -common into their
      respective packages (overseen at the move of libflash* and
      libsvgfilter*) and remove manual move of libflash*/libsvgfilter* to
      draw, now done by ooo-build directly
    - fix unowinreg.dll installation, it belongs into ../win
    - fix system-lp-solve conditional to readd lost libufsparse build-dep
    - fix parallel build conditional not *really* not use anything else than 1
      on the buildds
  * debian/README.Debian: update
  * merge from
    doko@ubuntu.com--2006-pkg-openoffice/openofficeorg--unstable--2.0.3:
    - patch-27:
      + Re-add dependency of -writer on python-uno, if python-uno is built.
      + Remove the sound files from the gallery. The media framework isn't
        yet built in 2.0.3.
      + Remove unused bitmap files.

 -- Rene Engelhard <rene@debian.org>  Sat, 12 Aug 2006 23:51:51 +0200

openoffice.org (2.0.3-4) unstable; urgency=low

  * ooo-build
    - update:
      + ooqstart-honour-sofficerc.diff: fix to not segfault if
        /etc/openoffice/sofficerc cannot be fopen()'ed (closes: #380420)
    - src:
      + update da and sl GSIs from ftp.linux.cz
      + get fa and ku GSIs from Ubuntu
  * debian/rules:
    - move chmoding of files from scripts/setperms to configure target,
      and remove call to scripts/setperms. Fixes error when running
      debian/rules get-ooo-build without an existing ooo-build directory
      in the source [CH]
    - get-ooo-build - do not run configure during autogen.sh [CH]
    - fix nostrip logic to actually invoke i586-mingw32msvc-strip on
      unowinreg.dll [RE]
    - fix fcfg_*_filters.xcu installation so that they properly go into
      -java-common [RE]
    - enable pl help, thanks Mateusz Skowronski [RE]
    - readd --with-vendor=$(OOO_VENDOR) (closes: #379739) [RE]
    - make SARGE_BACKPORT=y automatically set; use new DISTREL
      (lsb_release -cs) [RE]
    - define OOO_ARCHS variable; subsitute %OOO_ARCHS% in control. [RE]
  * debian/control.in:
    - rename NO_JAVA_ARCHS to OOO_JAVA_ARCHS and reverse semantics [RE]
    - remove %AMD64%, add %OOO_ARCHS% for the Architecture field and also
      for the builddeps only needed for OOo (most) and not for libmythes-dev [RE]
  * scripts/setperms, scripts/xcftobmp, scripts/Makefile,
    scripts/gen_lib_list, debian/openoffice.org-thesaurus-en-us.post*in:
    - remove obsolete files (move fixperms stuff into rules) [CH, RE]
  * merge from patches.ubuntu.com: [RE]
    - some build fixes / enhancements / beautifications
    - parallel build facility. Enhance/fix it as following:
      when num-cpus= not specified detection using getconf. Default to 2 to
      do stuff while helpcontent2 is building. Use 1 on the buildds (see
      -devel).
      num-cpu= is still usable to manually set/override it.
    - enable bg, km, mk, ru, sk, sl help
  * merge from
    doko@ubuntu.com--2006-pkg-openoffice/openofficeorg--unstable--2.0.3: [RE]
    - patch-11 / patch-13: pycentral fixes (make pycentral stuff dependant on
      new USE_PYCENTRAL conditional, instead of SARGE_BACKPORT).

 -- Rene Engelhard <rene@debian.org>  Sun, 30 Jul 2006 13:57:23 +0200

openoffice.org (2.0.3-3) unstable; urgency=low

  * ooo-build:
    - patches/src680/vcl-glyph-cjk-embolden.diff: properly conditionalize
      so that our configure check has sense and this works on sarge
    - patches/scsolver/scsolver-source-service-service-cxx.diff:
      fix g++ 3.3 build
  * debian/rules:
    - fix ibm JDK build-dep
    - re-enable system-neon
    - build unowinreg.dll using i586-mingw32msvc-gcc and install it
      (closes: #377531); build-depend on mingw32
    - run dh_makeshlibs using -n to not get useless ldconfig calls, thanks
      lintian
    - don't install .testtoolrc when not packaging the testtool; install it
      with 644 (thanks lintian) into -qa-tools instead of -common
    - move jar.sos from <oodir>/program/classes-native to
      /usr/lib/gcj-$(GCJ_VERSION); still not working, though :/
    - move libflash and libsvgfilter to draw, export filters only used
      there (and impress where flash makes most sense if at all depends on
      -draw anyway...)
    - clean up README installation (closes: #351229)
  * debian/control.in:
    - add missing %CONTRIB% at -gtk...
    - improve grammar in python-unos description, thanks Thue Janus Kristensen
      (closes: #377186)
    - add conflicts against -writer, -calc etc (<< ${base-version}) at -core
      and -common (closes: #377852); bump depends at -writer, -calc etc to
      depend on 2.0.3-2 with the border/{check,radio}boxes fix
    - build-conflict against dmake 4.5 version in experimental
    - make openoffice.org-gtk-gnome Architecture: i386 powerpc sparc %AMD64%
      to not show this on archs which never had a openoffice.org-gtk-gnome
    - move conflict against ooqstart-gnome from -gnome to -gtk
    - mention Quickstarter in -gtks description
  * debian/rules, debian/shell-lib.sh, debian/openoffice.org.*.in,
    debian/ttf-opensymbol.*.in:
    - clean up maintainer scripts and their generation. As a side effect this
      closes: #377261
    - update *rm_conffile* functions; add openoffice.org.{pre,post}.inst.in to
      remove psprint.conf and sofficrc if unchanged; fixes needless conffile
      prompts because those conffiles moved from openoffice.org to
      opanoffice.org-common (closes: #346282), thanks Justin Przyby and
      Bill Allombert
  * debian/openoffice.org-core.shlibs.local: add, local shlibs setting nothing
  * debian/openoffice.org-gtk.overrides.lintian: add, also override
    binary-or-shlib-defines-rpath for -gtk
  * debian/README.Debian: s/irc.freenode.net/irc.debian.org/

 -- Rene Engelhard <rene@debian.org>  Sun, 23 Jul 2006 03:03:42 +0200

openoffice.org (2.0.3-2) unstable; urgency=low

  * ooo-build:
    - src:
      - readd lost mdbtools tarball, needed for sarge backport
      - add relicensed rhino.patch from cws misclic (old, "sun confidential"
        one was removed from the orig)
    - patches:
      - apply: fix sarge backport, add CalcSolver again
    - update; use ooo-build-2-0-3 branch
      - disable SpeedImageList patchset (closes: #376316, #376776)
      - disable disable-rhino patch
  * debian/control.in:
    - remove dbus,neon,curl,some X11 builddeps (see below why)
    - replace openoffice.org-dev (<< 2.0.3-2) at -dev-doc
    - remove duplicate depends at -gtk
  * debian/rules:
    - also set [LD_LIBRARY_]PATH at install stage, thanks Matthias Klose
    - add libdbus-glib-1-dev (>= 0.60) builddep for sid, not needed/built on
      sarge (dbus too old..)
    - remove GCC_VERSION=3.3 setting for sarge; 3.3 is default there anyway
    - add curl, libxinerama, libxkbfile and render build-deps into a
      conditional to avoid |'s in controls builddeps. Fixes apt-get build-dep
      for openoffice.org...
    - fix <oodir>/sdk/docs symlink in -dev-doc; remove the link from -dev to
      avoid file conflicts.
    - add conditional for system-neon and system-neon builddeps. Enable
      system-neon on sarge, disable it temporaily for sid to get these
      packages into testing without the neon/subversion/perl combo blocking
      the security fixes.
    - use g{cc,++} 4.1 on sparc again
  * debian/README.Debian: update dictionary/thesauri info

 -- Rene Engelhard <rene@debian.org>  Wed,  5 Jul 2006 22:24:28 +0000

openoffice.org (2.0.3-1) unstable; urgency=high

  * new upstream release
    - security fix:
      - fix memory corruption bug; it was possible to write values to
        arbritrary memory when opening special files. (CVE-2006-3117)
  * ooo-build/:
    - update
    - don't enable CalcSolver patchset for amd64 [RE]
    - stop moving docdir in package-ooo [RE]
  * debian/control*.in:
    - change dependency of -gnome to gtk to (= ${Binary-Version}), needed for
      when we change the version using -v to dh_gencontrol [RE]
    - add alternative dependency for dbus on sarge [CH]
    - add missing conflicts against old help packages [RE]
    - make -help conflict with older OOos [RE]
    - stop -common depending on -core to resolve circular dependency [RE]
      (closes: #375877)
  * debian/rules:
    - reorganise debhelper/pyuno build dependencies [CH]
    - Sarge backport differences: [CH]
      - use internal agg, altlinuxhyph, bsh, hsqldb and xmlsec
      - do not use XULRunner
    - add missing -- at libmyspell-dev only builds' dh_gencontrol call [RE]
    - build using system-boost on amd64 [RE]
    - don't install scsolver on amd64 [RE]
    - fix nojava build [RE]
    - build against system-lpsolve (and system-colamd) [RE]
    - don't specify --with-vendor=Debian anymore due to ooo-build changes [RE]
    - fix file conflict between -dev/-dev-doc; remove broken ln -s, update
      SDK docs installation and move the docs to
      /usr/share/doc/openoffice.org-dev/docs with a symlink
      /usr/share/doc/openoffice.org-dev-doc/docs to it [RE, CH]
    - configure with --with-docdir=/usr/share/doc/openoffice.org

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Jun 2006 22:30:34 +0200

openoffice.org (2.0.2.99.2.0.3rc6-1) unstable; urgency=medium

  * new upstream release candidate (2.0.3rc6).
    - adds menu shortcut hint for "Tabelle" in German (closes: #364333)
    - drop-down boxes in KDE for RTL languages fixed (closes: #286246)
    - security fixes:
      - fix macro handling security bug; it was possible to embed macros
        in documents without OOo seeing them and executing them without
        any user interaction. (CVE-2006-2198)
      - disable Java applets feature because it's possible to write Java
        applets breaking out of the sandbox (CVE-2006-2199)
  * ooo-build:
    - update
      + now falls back to english help when no local one is there
        (closes: #345152)
      + src/: GSI updates for OOC680 [RE]
  * debian/rules:
    - enable ta-IN (Tamil), te-IN (Telugu), ti-ER (Tigrigna Eritrea),
      fa (Farsi) and tg (Tajik) langpacks [RE]
    - add conditional to build against XULRunner; enable it (closes: #364062),
      bump libxmlsec builddeps' version [RE]
    - allow locales-all in LOCALES_DEPENDS. Although it does provide
      locales we have one case a versioned depends and as we all know
      versioned provides don't work. Note that locales-all does *not*
      work out of the box, read its README.Debian. [RE]
    - add "soffice" symlink in /usr/bin to /usr/lib/openoffice/program/soffice
      for the UNO bootstrap... (closes: #369924) [RE]
    - native jar build/*.post* fixes; don't enable it though because again
      broken... [RE]
    - create libjava_uno -> libjava_uno.so link, again something like that
      *sigh*. Should find out the root cause... [RE]
    - re-enable lo langpack [RE]
    - cleanup conditionals, split definitions and tests, distro- and
      arch-specific stuff [CH, RE]
    - fix typo in makebinariestar, thanks Joo Martin [RE]
    - more updates for new python policy on sid (closes: #373468): [RE]
      + add Provides: ${python:Provides} and XB-Python-Version:
        ${python:Versions} to python-uno
      + build-depend on python-central (>= 0.4.10), python (>= 2.3.5-7)
        and debhelper (>= 5.0.37.1)
      + run dh_pycentral
    - add build-dep on dpkg-dev (>= 1.13.19) for ${source:Version] support
      when we build the native stuff [RE]
    - don't build qadevOOo when we don't package the QA tools [RE]
    - build with internal boost again to work around scscolver build failure [RE]
    - add conditional to build against system liblpsolve55, not enabled yet
      since we need to wait for a suitable lp_solve in Debian [RE]
    - (temporarily) use g{cc,++} 4.0 on sparc [RE]
    - add conditionalsfor using stlport5, not enabled yet; adapt rules for changed
      flag by the STLport5 patches [RE]
  * debian/control.*.in:
    - remove hardcoded libnss3/libnspr4 depends and subsitute it by
      ${mozilla-nss-depends} substvar replaced by hardcoded values as
      before with mozilla and nothing with XULRunner (libs gotten via
      .shlibs) [RE]
    - remove more hardcoded -core deps (mozilla); add firefox in
      Recommends; also add the OOo modules the Plugin supports file formats
      for there (all..) [RE]
    - stop recommending specific g++-x.y versions at -dev, suggest just g++
      since we use the default g++ anyway since a long time... [RE]
    - fix descriptions, thanks Fillipus Klutiero (closes: #372831) [RE]
    - use ${source:Version} at -gcjs -java-common depends to make it
      bin-NMU-safe, thanks Steve Langasek
  * debian/README.Debian: mention openoffice.org-hyphenation-*
  * merge Ubuntu changes: [RE]
    - split control.*.in lines; merge them together in control
    - merge doko@ubuntu.com--2006-pkg-openoffice/openofficeorg--unstable--2.0.1:
      + patch-84: split -gtk out of -gnome (partially merged, gconfbe* should
        remain in -gnome)

 -- Rene Engelhard <rene@debian.org>  Wed, 21 Jun 2006 19:05:55 +0200

openoffice.org (2.0.2-3.4pre) UNRELEASED; urgency=low

  * rebuild against libgcj7 (closes: #369984)
  * ooo-build:
    - update
      + add Debian.dic
      + enable "simple-install mechansm" for the SDK
      + help-msg-add-package-info.diff: mention help packages names
        in the "help not found" error.
      + system-neon-0.26.diff: allow building against neon 0.26.x
      + actually apply Lockdown patchset, doh
      + ooqstart-honour-sofficerc.diff: make ooqstart handle sofficerc again
        (Logo=0/1)
      + really make kde-open-url use & (closes: #336528 again)
      + handle gnome-screensaver during Impress presentation
      + make splash progress bar black until the color is read from sofficrc
        again since a white progress bar a white background
        (OOo-standard-splash) is bad(tm) ;)
      + completely remove the Internet - Mozilla Plug-In option for now;
        we don't ship the plugin because it's buggy and we shouldn't show the
        option then (closes: #364067)
  * debian/rules:
    - update cli-common build-depends
    - run dh_makeshlibs -V to add .shlibs. You still need to set a
      LD_LIBRARY_PATH to /usr/lib/openoffice/program to catch the libs, but...
    - adapt to new SDK installation, move SDK docs to
      /usr/share/doc/openoffice.org-dev-doc with symlink from "old" location
    - disable Java for native amd64 for now - until regcomp doesn't segfault
      at registering Java components anymore
    - remove libgamin-dev workaround; not needed anymore
    - make -l10n-fi suggest openoffice.org-spellcheck-fi instead of only
      myspell-dictionary-fi to suggest both myspell-fi and Soikko.
    - remove rest of $(DIST) Debian/Ubuntu. switching.
      Getting unmaintained and old and changing too fast to keep up.
    - merge changes from doko@ubuntu.com--2006-pkg-openoffice:
      + install gsicheck into -dev
      + add application/rtf to ooo-writer.desktop
      + add X-KDE-Protocols=file,http,smb to the .desktop files
      + some cleanups
      + add ml-IN (ttf-malaylam-fonts) and or-IN (ttf-oriya-fonts) to
        FONT_SUGGESTS
      + build lv, ne, nr, ml-in langpacks
    - add ftp,webdav to X-KDE-Protocols=
    - also suggest ttf-devanagari-fonts for ne and mr-in
    - remove manual installing of hid.lst
    - extend NO_JAVA_ARCHS to all Debian supported Linux archs to make
      libmxthes-dev buildable on them because many of them have problems
      installing the Java builddeps. Better solution, also excluding the
      OOo-only build-deps pending.
    - add te-IN (ttf-telugu-fonts), ta-IN (ttf-tamil-fonts) and
      fa (ttf-farsiweb) FONT_SUGGESTS in preparation for 2.0.3
    - enable Java for sparc mow that the needed java-gcj-compat-dev is
      uploaded; bump builddep
    - make hsqldb2 symlink really work (closes: #340468)
    - remove unneeded space from desktop file Name='s when $(VER) isn't set
    - install resume.ott and project-proposal.ott templates from ooo-build
  * debian/control.in:
    - remove depends on openoffice.org-core (>> ${base-version}) from the
      arch-dep packages; now done via dpkg-shlibdeps
    - Standards-Version: 3.7.2 - no changes needed
    - make openoffice.org-gnome depend on gconf2, thanks Matthias Klose
    - merge changes from doko@ubuntu.com--2006-pkg-openoffice:
      + make -core depend on fontconfig
    - add libdbus-glib-1-dev builddep for the gnome-screensaver patch
    - build-depend on x11proto-render-dev | render-dev since render-dev now is
      a dummy package (closes: #369101)
    - add -Python-Version: current for new python policy
    - stop suggesting ooqstart-gnome at -gnome since we conflict with it,
      thanks Adam C Powell IV for noticing (closes: #370230); also don't talk
      about "Base" in -gnomes description.
  * debian/rules, debian/control*in:
    - for sarge backports move the packages to contrib since we use
      a non-free JDK as (build-)dependency.
  * debian/README.Debian: update, mention Slovak myspell dictionary

 -- Rene Engelhard <rene@debian.org>  Tue,  6 Jun 2006 12:25:18 +0200

openoffice.org (2.0.2-3) unstable; urgency=low

  * ooo-build:
    - use ooo-build-2-0-2 branch
      - sensible-browser.diff: run sensible-browser with & in
        kde-open-url (closes: #336528)
    - src/: add ar, br, lo and mk GSIs
  * debian/rules:
    - update get-ooo-build (and make it actually work, doh)
    - stop trying to build the javadocs independently, doesn't really
      work. Add fat warning when executing binary-all on an arch not
      enabled for Java
    - add FONT_SUGGESTS for ar and lo
    - enable ar, br, lo and mk langpacks
    - use rm -f at libnpsoplugin.so/nsplugin rm, fixes sparc build
    - move gengal into -dev; gengal.bin is there
    - rm l10n.fdupes in clean
    - bump java-gcj-compat-dev builddep for sparc; we need gcj/gij 4.1...
      Not enabled yet since we need java-gcj-compat-dev using 4.1 which
      is only in experimental...
    - disable -lt help (closes: #361442)
    - add "OpenOffice.org Draw" also to GNOMEs/KDEs "Graphics" Menu
    - readd "openoffice" symlink as openoffice(1) mentions it
    - make it possible to build only libmythes-dev and therefore build it
      for all architectures
    - cleanup
    - don't install NEWS.Debian into libmythes-dev
    - use dh_installchangeslogs to install the ooo-build changelog
    - run dh_installdocs with -A to make README.Debian.gz appear in all
      packages. Together with the update this closes: #348780)
  * debian/control.in:
    - add missing [$(NO_JAVA_ARCHS)] pieces
    - make -core conflict against openoffice.org-gnome (<< 2.0.2)
      (closes: #358470)
    - remove one more duplicate section (closes: #356901)
    - make openoffice.org suggest openoffice.org-help-${base-version}
      (closes: #362861)
    - make libmythes-dev Architecture: any
  * debian/source.lintian-overrides: override
    "package-lacks-versioned-build-depends-on-debhelper", bogus error here.
  * debian/README{,.Debian}: update
  * merge doko@ubuntu.com--2006-pkg-openoffice/openofficeorg--unstable--2.0.1:
    + patch-73: remove empty help directories from -l10n-*

 -- Rene Engelhard <rene@debian.org>  Sun, 23 Apr 2006 21:10:08 +0200

openoffice.org (2.0.2-2) unstable; urgency=low

  * debian/rules:
    - actually define CCODE in the control.help.in rule
    - revert %U -> %F change, breaks opening of remote files
    - remove /usr/lib/openoffice/share/fonts/truetype/opens___.ttf from
      -common, we have the right version from ooo-build installed into
      ttf-opensymbol
    - create symlink /usr/lib/openoffice/program/libhsqldb2 ->
      /usr/lib/openoffice/program/libhsqldb2.so, hopefully closes: #340468
    - remove README_* from /usr/lib/openoffice/share/readmes and
      /usr/lib/openoffice/readmes; install README and README.html into
      /usr/share/doc/openoffice.org-common
    - enable hu, da, en-GB, nl, lt help
    - move scsolver.uno.so into -calc
    - readd lost USE_SYSTEM_HUNSPELL variable; set it to y for sid to actually
      build with system-hunspell
    - remove USE_SABLOT/USE_LIBXSLT conditionals.
    - create wrapper scripts setting LD_LIBRARY_PATH for the SDK binaries
      again, thanks Miguel Telleira de Esteban for the report.
  * debian/control.*in:
    - make openoffice.org-help-* Suggests at -l10n-* unversioned
      (closes: #343111)
    - add missing Replaces against -common (<= 2.0.1-5) at -gnome
  * ooo-build:
    - src/: update bg, el, et, lt, ne, br, sk, sl GSIs from ftp.linux.cz
            update hu from hu.openoffice.org
    - CVS update:
      - build with --with-alloc=system instead of internal malloc/calloc/free
        implementation
      - opens___.ttf fixed wrt 0x2212 minussign glyph (closes: #357125)
      - enable CalcSolver patchset
      - stop applying xmlhelp-use-system-libxslt.diff; works on i386 but ppc
        crashes; and just not specifying --with-system-lixbslt doesn't work
        either.
  * debian/control.in, debian/control.gcj.in, debian/rules: disable -gcj
    build, the wizards don't work with it installed. move -gcj into
    control.gcj.in, conflict against openoffice.org-gcj to
    openoffice.org-java-common to force it off the system for those who
    already installed it.
  * debian/openoffice.org-gcj-{pre,post}{inst,rm}.in: use gij instead of
    gcj (closes: #356984)
  * debian/openoffice.org-common.preinst.in: rm_conffile obsolete
    /etc/bash_completion.d/ooo-wrapper.sh
  * merge doko@ubuntu.com--2006-pkg-openoffice:
    - patch-48: link to the online versions of the non-free DevelopersGuide
      stuff not in -dev-doc in the html files referencing it.
    - patch-55 (parts; without dicdir-symlinking yet) and patch-57:
      + Symlink some identical draw and impress files in the help packages.
        (4% smaller).
      + Symlink identical template files in the l10n packages (20% to 70%
        smaller)

 -- Rene Engelhard <rene@debian.org>  Sat, 18 Mar 2006 14:01:25 +0100

openoffice.org (2.0.2-1) unstable; urgency=low

  * new upstream release
    - should fix behaviour on NFS (closes: #335742)
    - should fix NullPointerException with at the wizards (closes: #343761)
    - parallel building now should work (closes: #152718)
  * debian/control*in:
    - add Suggests on pstoedit and imagemagick
    - build-depend on libneon25-dev | libneon24-dev; build with neon 0.25
    - don't build -hunsell anymore, now in -core; add appropriate
      Conflicts:/Replaces:/Provides:
    - make the langpacks suggest hunspell-dictionary-@LCODE@ additionally to
      myspell-dictionary-@LCODE@
    - fix duplicate Replaces: and Section: fields, thanks lintian
    - add openoffice.org-dbg
    - make openoffice.org-gnome unconditionally conflict against
      ooqstart-gnome, -gnome now has a quickstarter
    - update Architecture: for libuno-cil, s390's gone long ago
    - add FONT_SUGGETS=", ttf-khmeros" for -l10n-km.
    - remove mozilla-openoffice.org from control.in, move it to
      control.mozilla.in.
      remove openoffice.org-dbg from control.in, move it to
      control.debug.in. Request from ftpmasters.
  * ooo-build/src: add OOB680 GSIs from ftp.linux.cz and bs GSI from
    http://vedran.root.ba/GSI_bs.sdf.bz2, thanks Vedran LjuboviÄ
  * debian/rules:
    - remove system-myspell stuff from the CXXLIBS conditional;
      hunspell replaced myspell and we really don't need to link with
      libmyspell just for ulingu stuff.
    - specify --with-system-{xalan,xerces,xml-apis,xt} in appropriate places;
      in ooo-build the hardcoded stuff got replaced with dynamic ones. add
      appropriate conditionals.
    - enable help build
    - add system-altlinuxhyph conditional, enable it for sid; bump necessary
      build-dep to >= 0.1.1-8
    - add conditional for libxslt usage (externally) instead of internal
      libsablotron. enable it.
    - enable bs (bosnian) langpack
    - chmod 644 two SDK Documentation build.xml files, thanks lintian
    - bump libdb4.2 builddep to the non-miscompiled ones - (>= -23.1)
    - move libvbaobj* and vbaevents* into -calc, they are linked to
      libsc* and calc-only anyway (thanks Matthias Klose and Noel Power)
    - add conditionals for building a -dbg package. only possible on sid.
      disable it per default, though due to its size (324 MB deb, 1 GB i-s)
    - add mozilla-openoffice.org / -gcj to control if wanted.
    - make debian/control target depend on debian/control.help.in, thanks
      Matthias Klose
    - Recommend -gcj at -java-common
  * debian/openoffice.org-core.overrides.lintian: override
    wrong-name-for-upstream-changelog
    usr/share/doc/openoffice.org-core/changelog.ooo-build.gz
  * merge changes from doko@ubuntu.com--2006-pkg-openoffice:
    - patch-5: Only suggest the binfilter package, if it is built.
    - patch-21/22: keep unmodified uuencoded files, keep time stamps
    - SMALL_SYMBOLS logic fix
    - patch-35:
      - Unconditionally conflict with ooqstart-gnome. -gnome, now contained
        in the openoffice.org-gnome package.
      - Make ooo-wrapper aware of ooqstart
      - Recompile java code to native code from byte code.
      - don't hardcode !sparc, introduce NO_JAVA_ARCHS variable
      - build with --enable-lockdown, --enable-atkbridge
    - manpage installation fixes
    - patch-37/38/39: possibility to build openoffice.org-qa-{tools,api-tests}

 -- Rene Engelhard <rene@debian.org>  Mon,  6 Mar 2006 23:47:17 +0100

openoffice.org (2.0.1-5) unstable; urgency=high

  * doh, fix broken build-depends logic wrt neon, remove hardcoded build-dep;
    make it a conditional in debian/rules; enable it for sarge
  * disable mdbtools support until mdbtools is fixed (see #34595)

 -- Rene Engelhard <rene@debian.org>  Thu,  2 Mar 2006 21:29:39 +0100

openoffice.org (2.0.1-4) unstable; urgency=low

  * rebuild with internal neon; neon 0.25.x was uploaded as neon and 0.24.x
    will be gone :/. External neon (0.25.x) will be re-enabled with OOo 2.0.2 

 -- Rene Engelhard <rene@debian.org>  Tue, 21 Feb 2006 23:36:35 +0100

openoffice.org (2.0.1-3) unstable; urgency=low

  * debian/rules:
    - add SMALL_SYMBOLS switch to control debug symbol generation,
      and default to 'y' to reduce package build time and space [CH]
    - build he langpack [RE]
    - stop installing/packaging the mozilla plugin. At least for now. Buggy.
    - If DEB_BUILD_OPTIONS contains from=<project>, continue
      build from this project [CH]
    - Update get-ooo-build target [CH]
    - Parallel building support: set DEB_BUILD_OPTIONS=num-cpus=<n>
      for n projects to be built in parallel [CH]
  * ooo-build/src:
    - add GSI_he.sdf.gz [RE]
  * ooo-build/patches/*: disable disable-visibility-feature.diff again
    and don't apply cws-i18nshrink.diff which was the cause [RE]
  * debian/control.in:
    - fix openoffice.org-help-ko conflict (s/fff/ff), thanks Matthias
      Klose [RE]
    - remove now unneccessary python depends from -common [RE]
    - suggest the improved Bitstream Vera fonts (ttf-dejavu) as an alternative
      to ttf-bitstream-vera [RE]
